package com.dayou.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import cn.dev33.satoken.stp.StpUtil;
import com.dayou.dto.AssetsProjectQueryDTO;
import com.dayou.result.Result;
import com.dayou.result.Status;
import com.dayou.vo.AssetsProjectVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.service.AssetsProjectService;
import com.dayou.entity.AssetsProject;
import org.springframework.web.bind.annotation.*;
/**
 * 资产项目基本信息表
 *
 * @author mybatis-plus-generator
 * @since 2024-11-12
 */
@RestController
@RequestMapping("assetsProject")
@Slf4j
@CrossOrigin
@SaCheckLogin
public class AssetsProjectController {
    @Autowired
    private AssetsProjectService assetsProjectService;

    /**
    * 资产项目基本信息表列表
    */
    @GetMapping("/page")
    public Result<Page<AssetsProjectVO>> page(Page page, AssetsProjectQueryDTO dto){
        Page<AssetsProjectVO> pages=assetsProjectService.getAssetsProject(page, dto);
        return Result.build(pages);
    }

    /**
     * 资产项目基本信息表详情
     */
    @GetMapping("/detail/{id}")
    public Result<AssetsProject> detail(@PathVariable Long id){
        AssetsProject xAssetsProject =assetsProjectService.detail(id);
        return Result.build(xAssetsProject);
     }

    /**
     * 资产项目基本信息表新增
     */
    @PostMapping("/save")
    public Result<Boolean> save(@RequestBody AssetsProject assetsProject) {
        Boolean ret = assetsProjectService.add(assetsProject);
        return Result.build(ret);
    }

    /**
     * 资产项目基本信息表更新
     */
    @PutMapping("/update")
    public Result<Boolean> update(@RequestBody AssetsProject assetsProject) {
        Boolean ret = assetsProjectService.update(assetsProject);
        if (ret) {
            return Result.build(true);
        }else {
            return Result.build(Status.PARAM_ERROR, "当前项目下已存在测算表或报告,无法变更项目类型！", false);
        }
    }

    /**
     * 资产项目基本信息表删除
     */
    @DeleteMapping("/delete/{id}")
    public Result<Boolean> delete(@PathVariable Long id) {
        Boolean ret = assetsProjectService.delete(id);
        return Result.build(ret);
    }

}

