package com.dayou.controller;

import com.dayou.entity.CertificateFixedAssets;
import com.dayou.result.Result;
import com.dayou.service.CertificateFixedAssetsService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 不动产证控制器
 */
@RestController
@RequestMapping("certificateFixedAssets")
@Slf4j
public class CertificateFixedAssetsController {

    @Autowired
    private CertificateFixedAssetsService certificateFixedAssetsService;

    @PostMapping("")
    public Result<Boolean> add(@RequestBody CertificateFixedAssets certificateFixedAssets){
        return Result.build(certificateFixedAssetsService.add(certificateFixedAssets));
    }

    @GetMapping("/list")
    public Result<List<CertificateFixedAssets>> getByBusinessIdAndTargetId(Long businessId, String targetId){
        List<CertificateFixedAssets> list = certificateFixedAssetsService.getByBusinessIdAndTargetId(businessId,targetId);
        return Result.build(list);
    }

    /**
     * 删除不动产权证
     * @param id
     * @return
     */
    @DeleteMapping("/{id}")
    public Result<Boolean> delete(@PathVariable("id") Long id){
        boolean b = certificateFixedAssetsService.removeById(id);
        return Result.build(b);
    }
}
