package com.dayou.controller;

import com.dayou.entity.CertificateFixedAssets;
import com.dayou.entity.CertificateHouseOwn;
import com.dayou.result.Result;
import com.dayou.service.CertificateFixedAssetsService;
import com.dayou.service.CertificateHouseOwnService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 房地产证控制器
 */
@RestController
@RequestMapping("certificateHouseOwn")
@Slf4j
public class CertificateHouseOwnController {

    @Autowired
    private CertificateHouseOwnService certificateHouseOwnService;

    @PostMapping("")
    public Result<Boolean> add(@RequestBody CertificateHouseOwn certificateHouseOwn){
        return Result.build(certificateHouseOwnService.add(certificateHouseOwn));
    }

    @GetMapping("/list")
    public Result<List<CertificateHouseOwn>> getByBusinessIdAndTargetId(Long businessId, String targetId){
        List<CertificateHouseOwn> list = certificateHouseOwnService.getByBusinessIdAndTargetId(businessId,targetId);
        return Result.build(list);
    }
    /**
     * 删除房屋所有权证
     * @param id
     * @return
     */
    @DeleteMapping("/{id}")
    public Result<Boolean> delete(@PathVariable("id") Long id){
        boolean b = certificateHouseOwnService.removeById(id);
        return Result.build(b);
    }
}
