package com.dayou.controller;

import com.dayou.entity.CertificateHouseOwn;
import com.dayou.entity.CertificateLandUse;
import com.dayou.result.Result;
import com.dayou.service.CertificateHouseOwnService;
import com.dayou.service.CertificateLandUseService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 土地使权用证控制器
 */
@RestController
@RequestMapping("certificateLandUse")
@Slf4j
public class CertificateLandUseController {

    @Autowired
    private CertificateLandUseService certificateLandUseService;

    @PostMapping("")
    public Result<Boolean> add(@RequestBody CertificateLandUse certificateLandUse){
        return Result.build(certificateLandUseService.add(certificateLandUse));
    }

    @GetMapping("/list")
    public Result<List<CertificateLandUse>> getByBusinessIdAndTargetId(Long businessId, String targetId){
        List<CertificateLandUse> list = certificateLandUseService.getByBusinessIdAndTargetId(businessId,targetId);
        return Result.build(list);
    }
    /**
     * 删除国土证
     * @param id
     * @return
     */
    @DeleteMapping("/{id}")
    public Result<Boolean> delete(@PathVariable("id") Long id){
        boolean b = certificateLandUseService.removeById(id);
        return Result.build(b);
    }
}
