package com.dayou.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.DocumentProductionQueryDTO;
import com.dayou.entity.DocumentProduction;
import com.dayou.result.Result;
import com.dayou.service.DocumentProductionService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/production")
@Slf4j
//@SaCheckLogin
public class DocumentProductionController {

    @Autowired
    private DocumentProductionService documentProductionService;

    /**
     * 文档列表
     * @param dto
     * @return
     */
    @GetMapping("")
    public Result<Page<DocumentProduction>> documentProduction(DocumentProductionQueryDTO dto, Page page) {
        Page<DocumentProduction> ret = documentProductionService.getPage(dto,page);
        return Result.build(ret);
    }

    /**
     * 保存文档信息
     * @param documentProduction 文档信息
     * @return Boolean
     */
    @PostMapping("/save")
    public Result<Boolean> saveDocumentProduction(@RequestBody DocumentProduction documentProduction) {
        return Result.build(documentProductionService.saveDocumentProduction(documentProduction));
    }
}
