package com.dayou.controller;

import com.dayou.result.Result;
import com.dayou.vo.EqptGnEvpVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.service.EqptGnEvpService;
import com.dayou.entity.EqptGnEvp;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 通用非标准设备估价参数表 General Non-Standard Equipment Valuation Parameters
 *
 * @author mybatis-plus-generator
 * @since 2024-12-02
 */
@RestController
@RequestMapping("eqptGnEvp")
@Slf4j
@CrossOrigin
public class EqptGnEvpController {

    @Autowired
    private EqptGnEvpService eqptGnEvpService;

    /**
     * 获取通用非标准设备估价参数表
     * @return List<EqptGnEvp>
     */
    @GetMapping("/listAll")
    public Result<List<EqptGnEvpVO>> listAll() {
        return Result.build(eqptGnEvpService.listAll());
    }

}

