package com.dayou.controller;

import com.dayou.result.Result;
import com.dayou.vo.EqptLifeIfrRefsVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.service.EqptLifeIfrRefsService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 设备年限、安装费率参考信息表
 *
 * @author mybatis-plus-generator
 * @since 2024-11-25
 */
@RestController
@RequestMapping("eqptLifeIfrRefs")
@Slf4j
@CrossOrigin
public class EqptLifeIfrRefsController {

    @Autowired
    private EqptLifeIfrRefsService eqptLifeIfrRefsService;

    /**
     * 获取设备参考年限、安装费率
     * @return List<EqptLifeIfrRefsVO>
     */
    @GetMapping("/listAll")
    public Result<List<EqptLifeIfrRefsVO>> listAll() {
        return Result.build(eqptLifeIfrRefsService.listAll());
    }

}

