package com.dayou.controller;

import com.dayou.entity.EqptPPI;
import com.dayou.result.Result;
import com.dayou.vo.EqptPPIDropDownData;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.service.EqptPPIService;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * 机器设备物价指数表
 *
 * @author mybatis-plus-generator
 * @since 2024-11-26
 */
@RestController
@RequestMapping("eqptPPI")
@Slf4j
@CrossOrigin
public class EqptPPIController {

    @Autowired
    private EqptPPIService eqptPpiService;

    /**
     * 获取所有
     * @return List<String>
     */
    @GetMapping("/getPPIDownData")
    public Result<List<EqptPPIDropDownData>> getPPIDownData() {
        return Result.build(eqptPpiService.getPPIDownData());
    }

    /**
     * 根据类型获取ppi
     * @param ppiType 指数类型
     * @return List<EqptPPI>
     */
    @GetMapping("/getPPIByType/{ppiType}")
    public Result<List<EqptPPI>> getPPIByType(@PathVariable String ppiType) {
        return Result.build(eqptPpiService.getPPIByType(ppiType));
    }

    /**
     * 根据ppi名和类型获取ppi
     * @param ppiName 名
     * @param ppiType 类型
     * @return EqptPPI
     */
    @GetMapping("/getPPIByNameType")
    public Result<EqptPPI> getPPIByNameType(String ppiName, String ppiType) {
        return Result.build(eqptPpiService.getPPIByNameType(ppiName, ppiType));
    }

}

