package com.dayou.controller;

import com.dayou.entity.GlobalConfig;
import com.dayou.result.Result;
import com.dayou.service.GlobalConfigService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("globalConfig")
@Slf4j
public class GlobalConfigController {

    @Autowired
    private GlobalConfigService globalConfigService;

    @GetMapping("/type")
    public Result<List<GlobalConfig>> byType(String type){
        List<GlobalConfig> ret = globalConfigService.getByType(type);
        return Result.build(ret);
    }
}
