package com.dayou.controller;

import com.dayou.result.Result;
import com.dayou.service.HouseExcelDataService;
import com.dayou.vo.HouseGuarantyBaseVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 房地产估价对象标的物区位状况
 */
@RestController
@RequestMapping("houseExcelData")
@Slf4j
public class HouseExcelDataController {

    @Autowired
    private HouseExcelDataService houseExcelDataService;

    /**
     * 获取报告基本信息
     * @param excelId
     * @return
     */
    @GetMapping("/baseInfo/{excelId}")
    public Result<HouseGuarantyBaseVO> getBaseInfo(@PathVariable("excelId") Long excelId){
        HouseGuarantyBaseVO base = houseExcelDataService.getBaseInfo(excelId);
        return Result.build(base);
    }

}
