package com.dayou.controller;

import com.dayou.entity.HouseGuarantyArea;
import com.dayou.result.Result;
import com.dayou.service.HouseGuarantyAreaService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 房地产估价对象标的物区位状况
 */
@RestController
@RequestMapping("houseGuarantyArea")
@Slf4j
public class HouseGuarantyAreaController {

    @Autowired
    private HouseGuarantyAreaService houseGuarantyAreaService;

    /**
     * 更新区位信息
     * @param houseGuarantyArea
     * @return
     */
    @PutMapping("")
    public Result<Boolean> updateArea(@RequestBody HouseGuarantyArea houseGuarantyArea) {
        return Result.build(houseGuarantyAreaService.updateArea(houseGuarantyArea));
    }

    /**
     * 根据经纬度查询附近
     * @param lngLat
     * @return
     */
    @GetMapping("/lngLat")
    public Result<HouseGuarantyArea> getByLngLat(String lngLat) {
        HouseGuarantyArea area = houseGuarantyAreaService.getByLngLat(lngLat);
        return Result.build(area);
    }

    /**
     * 查询估价对象区位列表
     * @param excelId
     * @return
     */
    @GetMapping("")
    public Result<List<HouseGuarantyArea>> getAreaInfo(Long excelId){
        List<HouseGuarantyArea> ret = houseGuarantyAreaService.getAreaInfo(excelId);
        return Result.build(ret);
    }

}
