package com.dayou.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import com.dayou.common.DropDownBoxData;
import com.dayou.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.service.SysDictDataService;
import com.dayou.entity.SysDictData;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 字典数据表
 *
 * @author mybatis-plus-generator
 * @since 2024-11-12
 */
@RestController
@RequestMapping("sysDictData")
@Slf4j
@CrossOrigin
@SaCheckLogin
public class SysDictDataController {

    @Autowired
    private SysDictDataService sysDictDataService;

    /**
    * 字典数据表列表
    */
    @GetMapping("/page")
    public Result<Page<SysDictData>> page(SysDictData sysDictData, Page page){
        Page<SysDictData> pages=sysDictDataService.selectPage(page,sysDictData);
        return Result.build(pages);
    }

    /**
     * 字典数据表详情
     */
    @GetMapping("/detail/{id}")
    public Result<SysDictData> detail(@PathVariable Long id){
        SysDictData xSysDictData =sysDictDataService.detail(id);
        return Result.build(xSysDictData);
     }

    /**
     * 字典数据表新增
     */
    @PostMapping("/save")
    public Result<Boolean> save(@RequestBody SysDictData sysDictData) {
        Boolean ret = sysDictDataService.add(sysDictData);
        return Result.build(ret);
    }

    /**
     * 字典数据表更新
     */
    @PutMapping("/update")
    public Result<Boolean> update(@RequestBody SysDictData sysDictData) {
        Boolean ret = sysDictDataService.update(sysDictData);
        return Result.build(ret);
    }

    /**
     * 字典数据表删除
     */
    @DeleteMapping("/delete/{id}")
    public Result<Boolean> delete(@PathVariable Long id) {
        Boolean ret = sysDictDataService.delete(id);
        return Result.build(ret);
    }

    /**
     * 根据字典类型code获取该类型下data的下拉数据
     * @param dictCode 类型code
     * @return List<DropDownBoxData>
     */
    @GetMapping("/getDropDownBoxDataByCode/{dictCode}")
    public Result<List<DropDownBoxData>> getDropDownBoxDataByCode(@PathVariable String dictCode){
        return Result.build(sysDictDataService.getDropDownBoxDataByCode(dictCode));
    }

}

