package com.dayou.controller;

import com.dayou.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.service.SysDictTypeService;
import com.dayou.entity.SysDictType;
import org.springframework.web.bind.annotation.*;
/**
 * 字典类型表
 *
 * @author mybatis-plus-generator
 * @since 2024-11-12
 */
@RestController
@RequestMapping("sysDictType")
@Slf4j
@CrossOrigin
public class SysDictTypeController {
    @Autowired
    private SysDictTypeService sysDictTypeService;

    /**
    * 字典类型表列表
    */
    @GetMapping("/page")
    public Result<Page<SysDictType>> page(SysDictType sysDictType, Page page){
        Page<SysDictType> pages=sysDictTypeService.selectPage(page,sysDictType);
        return Result.build(pages);
    }

    /**
     * 字典类型表详情
     */
    @GetMapping("/detail/{id}")
    public Result<SysDictType> detail(@PathVariable Long id){
        SysDictType xSysDictType =sysDictTypeService.detail(id);
        return Result.build(xSysDictType);
     }

    /**
     * 字典类型表新增
     */
    @PostMapping("/save")
    public Result<Boolean> save(@RequestBody SysDictType sysDictType) {
        Boolean ret = sysDictTypeService.add(sysDictType);
        return Result.build(ret);
    }

    /**
     * 字典类型表更新
     */
    @PutMapping("/update")
    public Result<Boolean> update(@RequestBody SysDictType sysDictType) {
        Boolean ret = sysDictTypeService.update(sysDictType);
        return Result.build(ret);
    }

    /**
     * 字典类型表删除
     */
    @DeleteMapping("/delete/{id}")
    public Result<Boolean> delete(@PathVariable Long id) {
        Boolean ret = sysDictTypeService.delete(id);
        return Result.build(ret);
    }

}

