package com.dayou.controller;

import cn.dev33.satoken.annotation.SaCheckRole;
import com.dayou.common.DropDownBoxData;
import com.dayou.result.Result;
import com.dayou.vo.TmplAssetCalculateDetailVO;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.service.TmplAssetCalculateService;
import com.dayou.entity.TmplAssetCalculate;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 资产测算表模板信息表
 *
 * @author mybatis-plus-generator
 * @since 2024-11-06
 */
@RestController
@RequestMapping("tmplAssetCalculate")
@Slf4j
@SaCheckRole("ADMIN")
public class TmplAssetCalculateController {
    @Autowired
    private TmplAssetCalculateService tmplAssetCalculateService;

    /**
    * 资产测算表模板信息表列表
    */
    @GetMapping("/page")
    public Result<Page<TmplAssetCalculate>> page(TmplAssetCalculate tmplAssetCalculate, Page page){
        Page<TmplAssetCalculate> pages=tmplAssetCalculateService.selectPage(page,tmplAssetCalculate);
        return Result.build(pages);
    }

    /**
     * 资产测算表模板信息表详情
     */
    @GetMapping("/detail/{id}")
    public Result<TmplAssetCalculateDetailVO> detail(@PathVariable Long id){
        return Result.build(tmplAssetCalculateService.detail(id));
     }

    /**
     * 资产测算表模板信息表新增
     */
    @PostMapping("/save")
    public Result<Boolean> save(@RequestBody TmplAssetCalculate tmplAssetCalculate) {
        Boolean ret = tmplAssetCalculateService.add(tmplAssetCalculate);
        return Result.build(ret);
    }

    /**
     * 资产测算表模板信息表更新
     */
    @PutMapping("/update")
    public Result<Boolean> update(@RequestBody TmplAssetCalculate tmplAssetCalculate) {
        Boolean ret = tmplAssetCalculateService.update(tmplAssetCalculate);
        return Result.build(ret);
    }

    /**
     * 资产测算表模板信息表删除
     */
    @DeleteMapping("/delete/{id}")
    public Result<Boolean> delete(@PathVariable Long id) {
        Boolean ret = tmplAssetCalculateService.delete(id);
        return Result.build(ret);
    }

    /**
     * 获取资产测算表的下拉框数据
     * @return List<DropDownBoxData>
     */
    @GetMapping("/getDropDownBoxData")
    public Result<List<DropDownBoxData>> getDropDownBoxData() {
        return Result.build(tmplAssetCalculateService.getDropDownBoxData());
    }

}

