package com.dayou.controller;

import com.dayou.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.service.TmplAssetCalculateSectionService;
import com.dayou.entity.TmplAssetCalculateSection;
import org.springframework.web.bind.annotation.*;
/**
 * 资产测算表段落模板信息表
 *
 * @author mybatis-plus-generator
 * @since 2024-11-06
 */
@RestController
@RequestMapping("tmplAssetCalculateSection")
@Slf4j
@CrossOrigin
public class TmplAssetCalculateSectionController {

    @Autowired
    private TmplAssetCalculateSectionService tmplAssetCalculateSectionService;

    /**
    * 资产测算表段落模板信息表列表
    */
    @GetMapping("/page")
    public Result<Page<TmplAssetCalculateSection>> page(TmplAssetCalculateSection tmplAssetCalculateSection, Page page){
        Page<TmplAssetCalculateSection> pages=tmplAssetCalculateSectionService.selectPage(page,tmplAssetCalculateSection);
        return Result.build(pages);
    }

    /**
     * 资产测算表段落模板信息表详情
     */
    @GetMapping("/detail/{id}")
    public Result<TmplAssetCalculateSection> detail(@PathVariable Long id){
        TmplAssetCalculateSection xTmplAssetCalculateSection =tmplAssetCalculateSectionService.detail(id);
        return Result.build(xTmplAssetCalculateSection);
     }

    /**
     * 资产测算表段落模板信息表新增
     */
    @PostMapping("/save")
    public Result<Boolean> save(@RequestBody TmplAssetCalculateSection tmplAssetCalculateSection) {
        Boolean ret = tmplAssetCalculateSectionService.add(tmplAssetCalculateSection);
        return Result.build(ret);
    }

    /**
     * 资产测算表段落模板信息表更新
     */
    @PutMapping("/update")
    public Result<Boolean> update(@RequestBody TmplAssetCalculateSection tmplAssetCalculateSection) {
        Boolean ret = tmplAssetCalculateSectionService.update(tmplAssetCalculateSection);
        return Result.build(ret);
    }

    /**
     * 资产测算表段落模板信息表删除
     */
    @DeleteMapping("/delete/{id}")
    public Result<Boolean> delete(@PathVariable Long id) {
        Boolean ret = tmplAssetCalculateSectionService.delete(id);
        return Result.build(ret);
    }

}

