package com.dayou.controller;

import com.dayou.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.service.TmplAssetReportSectionService;
import com.dayou.entity.TmplAssetReportSection;
import org.springframework.web.bind.annotation.*;
/**
 * 资产报告模板的段落模板信息表
 *
 * @author mybatis-plus-generator
 * @since 2024-12-05
 */
@RestController
@RequestMapping("tmplAssetReportSection")
@Slf4j
@CrossOrigin
public class TmplAssetReportSectionController {
    @Autowired
    private TmplAssetReportSectionService tmplAssetReportSectionService;

    /**
    * 资产报告模板的段落模板信息表列表
    */
    @GetMapping("/page")
    public Result<Page<TmplAssetReportSection>> page(TmplAssetReportSection tmplAssetReportSection, Page page){
        Page<TmplAssetReportSection> pages=tmplAssetReportSectionService.selectPage(page,tmplAssetReportSection);
        return Result.build(pages);
    }

    /**
     * 资产报告模板的段落模板信息表详情
     */
    @GetMapping("/detail/{id}")
    public Result<TmplAssetReportSection> detail(@PathVariable Long id){
        TmplAssetReportSection xTmplAssetReportSection =tmplAssetReportSectionService.detail(id);
        return Result.build(xTmplAssetReportSection);
     }

    /**
     * 资产报告模板的段落模板信息表新增
     */
    @PostMapping("/save")
    public Result<Boolean> save(@RequestBody TmplAssetReportSection tmplAssetReportSection) {
        Boolean ret = tmplAssetReportSectionService.add(tmplAssetReportSection);
        return Result.build(ret);
    }

    /**
     * 资产报告模板的段落模板信息表更新
     */
    @PutMapping("/update")
    public Result<Boolean> update(@RequestBody TmplAssetReportSection tmplAssetReportSection) {
        Boolean ret = tmplAssetReportSectionService.update(tmplAssetReportSection);
        return Result.build(ret);
    }

    /**
     * 资产报告模板的段落模板信息表删除
     */
    @DeleteMapping("/delete/{id}")
    public Result<Boolean> delete(@PathVariable Long id) {
        Boolean ret = tmplAssetReportSectionService.delete(id);
        return Result.build(ret);
    }

}

