package com.dayou.controller;

import com.dayou.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.service.UserService;
import com.dayou.entity.User;
import org.springframework.web.bind.annotation.*;
/**
 * 
 *
 * @author mybatis-plus-generator
 * @since 2024-10-14
 */
@RestController
@RequestMapping("user")
@Slf4j
public class UserController {
    @Autowired
    private UserService userService;

    /**
    * 列表
    */
    @GetMapping("/page")
    public Result<Page<User>> page(User user, Page page){
        Page<User> pages=userService.selectPage(page,user);
        return Result.build(pages);
    }

    /**
     * 详情
     */
    @GetMapping("/detail/{id}")
    public Result<User> detail(@PathVariable Long id){
        User xUser =userService.detail(id);
        return Result.build(xUser);
     }

    /**
     * 新增
     */
    @PostMapping("/save")
    public Result<Boolean> save(@RequestBody User user) {
        Boolean ret = userService.add(user);
        return Result.build(ret);
    }

    /**
     * 更新
     */
    @PutMapping("/update")
    public Result<Boolean> update(@RequestBody User user) {
        Boolean ret = userService.update(user);
        return Result.build(ret);
    }

    /**
     * 删除
     */
    @DeleteMapping("/delete/{id}")
    public Result<Boolean> delete(@PathVariable Long id) {
        Boolean ret = userService.delete(id);
        return Result.build(ret);
    }

}

