package com.dayou.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "file-net")
@Data
public class FileNetConfig {

    /**
     * 根目录
     */
    private String baseDir;

    /**
     * 资产报告模板存储位置
     */
    private String assetTemplateReportPath;

    /**
     * 文件访问url路径
     */
    private String domain;

    /**
     * 图片存储位置
     */
    private String image;

    /**
     * 资产测算表模板存储位置
     */
    private String assetTemplateCalculatePath;

    /**
     * 资产输出的报告文件位置
     */
    private String assetOutputReportPath;

    /**
     * 资产输出的测算表文件位置
     */
    private String assetOutputCalculatePath;

    /**
     * 文件大小
     */
    private int maxFileSize;

    /**
     * 房地产抵押文件目录
     */
    private String houseGuarantyPath;

    /**
     * 房地产抵押模版文件目录
     */
    private String houseGuarantyTemplatePath;

}
