package com.dayou.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebConfig implements WebMvcConfigurer {

    @Autowired
    private FileNetConfig fileNetConfig;

    /**
     * 上传后的静态资源访问配置
     * @param registry
     */
    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
        // 图片访问配置
        registry.addResourceHandler("/dfs/images/**")
                .addResourceLocations("file:" + fileNetConfig.getBaseDir() + fileNetConfig.getImage()); //此处为设置服务端存储图片的dir路径
    }
}
