package com.dayou.interceptor;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Setter;
import lombok.experimental.Accessors;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.executor.statement.StatementHandler;
import org.apache.ibatis.plugin.Intercepts;
import org.apache.ibatis.plugin.Signature;

import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;

@Setter
@Accessors(chain = true)
@Intercepts({@Signature(type = StatementHandler.class, method = "prepare", args = {Connection.class, Integer.class})})
@Slf4j
public class DefaultPageInterceptor extends PaginationInterceptor {

    protected static final String DEFAULT_ORDER_CLOMUN = "id";

    /**
     * 尽可能的找出默认排序字段
     * 查询SQL拼接Order By
     * 优先取别名id 没取到再取id  如果已有排序 就不传
     *
     * @param originalSql 需要拼接的SQL
     * @param page        page对象
     * @return ignore
     */
/*    @Override
    public String concatOrderBy(String originalSql, IPage<?> page) {
        if (CollectionUtils.isEmpty(page.orders())) {
            String defaultOrder = DEFAULT_ORDER_CLOMUN;
            if (page instanceof Page && defaultOrder != null) {
                List<OrderItem> item = new ArrayList<>();
                OrderItem defaultOrderItem = new OrderItem();
                defaultOrderItem.setColumn(defaultOrder);
                defaultOrderItem.setAsc(false);
                item.add(defaultOrderItem);
                ((Page<?>) page).addOrder(item);
            }
        }
        return super.concatOrderBy(originalSql, page);
    }*/


}
