package com.dayou.result;

public class Result<T> {
    //状态码
    private Integer code;
    //错误的状态信息
    private String message;
    //数据
    private T data;

    //get方法：获取状态码
    public Integer getCode() {
        return code;
    }
    //get方法：获取错误状态信息
    public String getMessage() {
        return message;
    }
    //get方法：获取数据内容
    public T getData() {
        return data;
    }
    /**
     * 构造器(私有化)，这里写了3个构造器。根据实际发开需要添加即可
     */
    private Result(Integer code,String message,T data){
        this.code=code;
        this.message=message;
        this.data=data;
    }
    private Result(Integer code,String message){
        this.code=code;
        this.message=message;
    }
    private Result(String message){
        this.message=message;
    }

    //下面就是根据需要返回不同参数格式的方法
    /**
     * 返回《状态码》《状态信息》《数据》
     * 状态码来自--->>枚举
     * 状态信息来自--->>开发人员
     * 数据来自--->>开发人员
     */
    public static <T> Result<T> build(Status code,String message,T data){
        return new Result<T>(code.getCode(),message,data);

    }

    /**
     * 返回《状态码》《状态信息》《状态信息》
     * 状态码来自--->>枚举
     * 状态信息来自--->>开发人员
     */
    public static <T> Result<T> build(Status code,String message){
        return new Result<T>(code.getCode(),message);
    }
    /**
     * 返回《状态码》《状态信息》《数据》
     * 状态码来自--->>枚举
     * 状态信息来自--->>枚举
     * 数据来自--->>开发人员
     */
    public static <T> Result<T> build(Status code,T data){
        return new Result<T>(code.getCode(),code.getMessage(),data);
    }
    /**
     * 返回《状态码》《状态信息》《数据》
     * 状态码来自--->>枚举
     * 状态信息来自--->>枚举
     * 数据来自--->>开发人员
     */
    public static <T> Result<T> build(Status code){
        return new Result<T>(code.getCode(),code.getMessage());
    }

    /**
     * 返回《状态码》《状态信息》《数据》
     * 状态码来自--->>枚举
     * 状态信息来自--->>枚举
     * 数据来自--->>开发人员
     */
    public static <T> Result<T> build(T data){
        return new Result<T>(Status.SUCCESS.getCode(), Status.SUCCESS.getMessage(),data);
    }
}
