package com.dayou.result;

public enum Status {
    SUCCESS(200,"请求成功"),
    PARAM_ERROR(201,"参数异常"),
    SYSTEM_ERROR(500,"系统异常"),
    MYBATIS_ERROR(501,"SQL语句或数据库连接异常"),
    REQUEST_ERROR(502,"请求异常"),
    NOT_LOGIN(701,"用户未登录"),
    NOT_ROLE(702,"用户无角色"),
    NOT_PERMISSION(703,"用户无权限"),
    ;
    //状态码
    private Integer code;
    //错误信息
    private String message;
    //构造器
    Status(Integer code,String message){
        this.code=code;
        this.message=message;
    }
    //只需要添加get方法就行
    public Integer getCode() {
        return code;
    }
    public String getMessage() {
        return message;
    }

    @Override
    public String toString() {
        return code+":"+message;
    }


}

