//package com.dayou.utils;
//
//import cn.hutool.core.util.StrUtil;
//import cn.hutool.json.*;
//import com.alibaba.fastjson2.JSON;
//import com.aspose.words.Document;
//import com.aspose.words.DocumentBuilder;
//import com.aspose.words.Font;
//import com.dayou.dto.Address;
//import com.dayou.dto.HouseRightsDTO;
//import com.dayou.entity.HouseGuarantyAim;
//import com.dayou.entity.*;
//import com.dayou.enums.HouseTargetTableColumn;
//import com.dayou.exception.BusinessException;
//import com.dayou.exception.ErrorCode;
//import com.dayou.table.HouseAreaTable;
//
//import java.lang.reflect.Field;
//import java.math.BigDecimal;
//import java.util.*;
//import java.util.function.Function;
//import java.util.stream.Collectors;
//
//import static com.dayou.constants.HouseGuarantyDoc.*;
//import static com.dayou.enums.HouseTargetTableColumn.*;
//import static com.dayou.utils.CollectionUtil.sortedByCounting;
//
///**
// * 房地产报告相关工具类
// */
//public class HouseDocumentUtil {
//
//    /**
//     * 格式化原始估价对象一览表json数据，筛出非估价对象行，填充合并单元格的属性值
//     * @param jsonArray
//     * @return
//     */
//    public static JSONArray houseTargetsFormat(JSONArray jsonArray){
//        JSONArray targets = new JSONArray();
//        if (jsonArray.size()>0){
//            JSONObject jsonObject = (JSONObject) jsonArray.get(0);
//            Set<String> columns = jsonObject.keySet();
//            for (int i = 0; i < jsonArray.size(); i++){
//                JSONObject item  = (JSONObject) jsonArray.get(i);
//                if (!item.isNull(LOCATION.getZhName()) &&
//                        item.get(LOCATION.getZhName())!=null &&
//                        !item.isNull(CERTIFICATE_NO.getZhName())
//                    && item.get(CERTIFICATE_NO.getZhName())!=null){
//                    for (String key : columns){
//                        if ((item.isNull(key) || item.get(key)==null || item.get(key)=="" || item.get(key) instanceof JSONNull)
//                                && !key.equals(ACT_ADDRESS.getZhName()) && i!=0){
//                            JSONObject lastItem  = (JSONObject) jsonArray.get(i-1);
//                            item.set(key, lastItem.get(key));
//                        }
//                    }
//                    targets.add(item);
//                }
//            }
//        }
//        return targets;
//    }
//
//    /**
//     * 格式化原始基本信息json数据
//     * @param baseInfoArray
//     * @return
//     */
//    public static JSONObject baseInfoFormat(JSONArray baseInfoArray) {
//        JSONObject baseInfo = new JSONObject();
//        if (baseInfoArray.size()>1){
//            baseInfo  = (JSONObject) baseInfoArray.get(0);
//            try {
//                for (int i = 1; i < baseInfoArray.size(); i+=2){
//                    JSONObject keys  = (JSONObject) baseInfoArray.get(i);
//                    JSONObject values  = (JSONObject) baseInfoArray.get(i+1);
//                    Set<String> cols = keys.keySet();
//                    for (String key : cols){
//                        Object k = keys.get(key);
//                        if (k!=null && !(k instanceof JSONNull) ){
//                            Object v = values.get(key);
//                            baseInfo.put((String) k, v);
//                        }
//                    }
//                }
//            } catch (IndexOutOfBoundsException e) {
//               ErrorCode.throwBusinessException(ErrorCode.CUSTOM_ERROR,"Excel表单中基本信息缺失");
//            }
//
//        }
//        return baseInfo;
//    }
//
//
//    public static List<HouseGuarantyAim> houseTargetsFormatDTO(JSONArray jsonArray) throws IllegalAccessException {
//        List<HouseGuarantyAim> dtoList = new ArrayList<>();
//                for (int i = 0 ; i < jsonArray.size(); i++){
//                    JSONObject item = (JSONObject) jsonArray.get(i);
//                    if (!item.isNull(LOCATION.getZhName()) &&
//                            item.get(LOCATION.getZhName())!=null &&
//                            !item.isNull(CERTIFICATE_NO.getZhName())
//                            && item.get(CERTIFICATE_NO.getZhName())!=null){
//                        HouseGuarantyAim guarantyTargetDTO = new HouseGuarantyAim();
//                        Field[] declaredFields = guarantyTargetDTO.getClass().getDeclaredFields();
//                        for (Field field : declaredFields) {
//                            field.setAccessible(true);
//                            String zhNameByCode = HouseTargetTableColumn.getZhNameByCode(field.getName());
//                            if (StrUtil.isBlank(zhNameByCode)){
//                                continue;
//                            }
//                            String value = String.valueOf(item.get(zhNameByCode)==null?"":item.get(zhNameByCode));
//                            field.set(guarantyTargetDTO, value);
//
//                        }
//                        dtoList.add(guarantyTargetDTO);
//                    }
//                }
//
//        return dtoList;
//
//    }
//
//    /**
//     * 格式化项目名称
//     * @param aims
//     * @return
//     */
//    public static String getProjectName(List<HouseGuarantyAim> aims){
//        List<String> addresses = aims.stream().map(HouseGuarantyAim::getLocation).collect(Collectors.toList());
//        List<Address> addressList = AddressUtil.parseAddress(addresses);
//
//        Map<List<Object>, List<Address>> collect = addressList.stream().collect(Collectors.groupingBy(compositeKey, Collectors.toList()));
//        //当地址大于6个时，忽略road以下信息
//        if (collect.size()>5){
//            AddressUtil.ignoreToRoad(addressList);
//        }
//        String result = "";
//        if (collect.size()>8){
//            addressList = addressList.subList(0, 8);
//            result =  CollectionUtil.formatSplitAndRemoveMiddle(mergeAddress(addressList)) + "等"+addressList.size();
//        }else {
//            result =  CollectionUtil.formatSplitAndRemoveMiddle(mergeAddress(addressList)) + "共计"+ addressList.size();
//        }
//        return result +"处估价对象" + getUseTo(aims) +"用房地产抵押价值评估";
//    }
//
//    /**
//     * 合并地址描述
//     * @param area
//     * @return
//     */
//    public static String getMergeAddress(List<HouseGuarantyArea> area){
//        List<String> addresses = area.stream().map(HouseGuarantyArea::getLocation).collect(Collectors.toList());
//        List<Address> addressList = AddressUtil.parseAddress(addresses);
//
//        Map<List<Object>, List<Address>> collect = addressList.stream().collect(Collectors.groupingBy(compositeKey, Collectors.toList()));
//        //当地址大于6个时，忽略road以下信息
//        if (collect.size()>5){
//            AddressUtil.ignoreToRoad(addressList);
//        }
//        return CollectionUtil.formatSplitAndRemoveMiddle(mergeAddress(addressList));
//    }
//
//
//    static Function<Address, List<Object>> compositeKey = address ->
//            Arrays.asList(address.getProvince(), address.getCity(), address.getDistrict(), address.getTown(),
//                    address.getCommunity(), address.getRoad());
//
//    /**
//     * 格式化地址
//     * @param aims
//     * @return
//     */
//    public static String getAddress(List<HouseGuarantyAim> aims){
//        List<String> addresses = aims.stream().map(HouseGuarantyAim::getLocation).collect(Collectors.toList());
//        List<Address> addressList = AddressUtil.parseAddress(addresses);
//        return CollectionUtil.formatSplitAndRemoveMiddle(mergeAddress(addressList));
//    }
//
//    /**
//     * 格式化权利人
//     * @param list
//     * @return
//     */
//    public static String getOwnShipUser(List<HouseGuarantyAim> list){
//        Set<Object> ownShipUsers = list.stream().map(obj -> obj.getOwnShipUser())
//                .filter(x->x!=null).collect(Collectors.toSet());
//        return CollectionUtil.formatDotAndRemoveMiddle(ownShipUsers);
//    }
//
//    /**
//     * 格式化用途
//     * @param aims
//     * @return
//     */
//    public static String getUseTo(List<HouseGuarantyAim> aims){
//        Set<Object> useTo = aims.stream().map(obj -> obj.getUseTo())
//                .filter(x->x!=null).collect(Collectors.toSet());
//        return CollectionUtil.formatDotAndRemoveMiddle(useTo);
//    }
//
//    /**
//     * 格式化实勘地址
//     * @param aims
//     * @return
//     */
//    public static String getActAddress(List<HouseGuarantyAim> aims){
//        StringBuilder sb = new StringBuilder("【");
//        String actAddress = aims.get(0).getActAddress();
//        if (StrUtil.isNotBlank(actAddress)){
//            sb.append("实勘地址为").append(actAddress).append("（未见其余门牌号）；");
//        }
//
//        List<Object> acreage = aims.stream().map(HouseGuarantyAim::getAcreage).collect(Collectors.toList());
//        //建筑面积
//        BigDecimal totalAcreage = sumList(acreage);
//
//        Set<String> landType = aims.stream().map(HouseGuarantyAim::getLandType).collect(Collectors.toSet());
//
//        List<Object> outerAcreage = aims.stream().filter(x->!"/".equals(x.getOuterAcreage())).map(HouseGuarantyAim::getOuterAcreage).collect(Collectors.toList());
//
//        Set<String> useTo = aims.stream().map(HouseGuarantyAim::getUseTo).collect(Collectors.toSet());
//
//        String outDesc = outAcreageTemplate(useTo, landType, outerAcreage);
//        sb.append("建筑面积"+(aims.size()>1?"合计：":"：")).append(totalAcreage).append("㎡；");
//
//
//        sb.append("房屋所有权证号：");
//        List<Object> certificateNos = aims.stream().map(HouseGuarantyAim::getCertificateNo).collect(Collectors.toList());
//
//        String certificates = CollectionUtil.formatDotAndRemoveMiddle(certificateNos);
//
//        sb.append(certificates).append("，");
//
//        sb.append(outDesc).append("】");
//
//        return sb.toString();
//    }
//    /**
//     * 格式化估价对象描述
//     * @param aims    估价对象
//     * @return
//     */
//    public static String getTargetDescription(List<HouseGuarantyAim> aims){
//        //单个估价对象里面可能有多个子对象
//        String address = getAddress(aims);
//        //实勘地址
//        //权利人
//        String ownShipUser = getOwnShipUser(aims);
//        //用途
//        String useTo = getUseTo(aims);
//        //编号
//        String id = aims.get(0).getTid();
//        //实勘描述
//        String actDesc = getActAddress(aims);
//        //格式化 todo 段落模版从DB中获取
//        String template ;
//        if (StrUtil.isNotBlank(ownShipUser)){
//            template = "估价对象${id}系${ownShipUser}所有的位于${address}${useTo}房地产${actDesc}";
//        }else {
//            template = "估价对象${id}位于${address}${useTo}房地产${actDesc}";
//        }
//        return template.replace("${id}", id).replace("${ownShipUser}", ownShipUser).replace("${address}", address)
//                .replace("${useTo}", useTo).replace("${actDesc}", actDesc);
//    }
//
//    /**
//     * 组合估价对象描述，添加序号
//     * @param collect
//     * @return
//     */
//    public static String combinationTargetDescription(Map<String, List<HouseGuarantyAim>> collect){
//        String actDesc = "";
//        int index = 1;
//        int mapSize = collect.size();
//        for (Map.Entry<String, List<HouseGuarantyAim>> entry : collect.entrySet()) {
//            List<HouseGuarantyAim> value = entry.getValue();
//            String actAddress = HouseDocumentUtil.getTargetDescription(value);
//            //添加换行符
//            if (index != mapSize){
//                actAddress +=  "\n";
//            }
//            actDesc += actAddress;
//            index ++;
//        }
//        return actDesc;
//    }
//
//    /**
//     * List<Object>求和
//     * @param list
//     * @return
//     */
//    public static BigDecimal sumList(List<Object> list) {
//        BigDecimal sum = null;
//        try {
//            sum = (BigDecimal) list.stream().reduce(BigDecimal.ZERO, (a, b) -> {
//                return new BigDecimal(String.valueOf(a)).add(new BigDecimal(String.valueOf(b)));
//            });
//        }catch (NumberFormatException e) {
//            ErrorCode.throwBusinessException(ErrorCode.CUSTOM_ERROR,"数字格式化异常");
//        } catch (Exception e) {
//            throw new RuntimeException(e);
//        }
//        return sum;
//    }
//
//    /**
//     * 分摊土地描述
//     * @param useTo
//     * @param landType
//     * @param outerAcreage
//     * @return
//     */
//    public static String outAcreageTemplate(Set<String> useTo,Set<String> landType,List<Object> outerAcreage){
//        //有地类用途和分摊面积
//        if (cn.hutool.core.collection.CollectionUtil.isNotEmpty(outerAcreage)
//                && cn.hutool.core.collection.CollectionUtil.isNotEmpty(landType)){
//            for (String l : landType){
//                if (l.contains("商业")){
//                    BigDecimal sum = sumList(outerAcreage);
//                    return "估价对象分摊出让商业用地使用权面积合计为："+sum.toString()+"㎡；详见估价结果一览表";
//                }
//                if (l.contains("零售")){
//                    BigDecimal sum = sumList(outerAcreage);
//                    return "估价对象分摊出让批发零售用地使用权面积合计为："+sum.toString()+"㎡；详见估价结果一览表";
//                }
//            }
//
//        }
//        //有用途和分摊面积
//        if (cn.hutool.core.collection.CollectionUtil.isNotEmpty(outerAcreage)
//                && cn.hutool.core.collection.CollectionUtil.isNotEmpty(useTo)){
//            for (Object u : useTo){
//                if (((String)u).contains("工厂")){
//                    BigDecimal sum = sumList(outerAcreage);
//                    return "估价对象分摊出让工业用地使用权面积："+sum.toString()+"㎡。详见估价结果一览表";
//                }
//                if (((String)u).contains("车位")){
//                    BigDecimal sum = sumList(outerAcreage);
//                    return "估价对象分摊出让住宅（地下车库）用地使用权面积合计："+sum.toString()+"㎡。详见估价结果一览表";
//                }
//                if (((String)u).contains("住宅")){
//                    BigDecimal sum = sumList(outerAcreage);
//                    return "估价对象分摊出让城镇住宅用地使用权面积："+sum.toString()+"㎡。详见估价结果一览表";
//                }
//            }
//
//        }
//        //有用途和无分摊面积
//        if (!CollectionUtil.isNotEmpty(outerAcreage)
//                && cn.hutool.core.collection.CollectionUtil.isNotEmpty(useTo)){
//            for (Object u : useTo){
//                if (((String)u).contains("商业")){
//                    return "估价对象占用（分摊）的国有建设用地使用权系商业用地。详见估价结果一览表";
//                }
//                if (((String)u).contains("住宅")){
//                    return "估价对象分摊的土地使用权系出让城镇住宅用地。详见估价结果一览表";
//                }
//            }
//
//        }
//         return "！分摊面积描述待补充！";
//
//    }
//
//    /**
//     * 合并地址
//     * @param addressList
//     * @return
//     */
//    @SuppressWarnings("unchecked")
//    public static List<String> mergeAddress(List<Address> addressList){
//        List<String> result = new ArrayList<>();
//        //一级分组
//        Map<String, List<Address>> collect1 = addressList.stream().collect(Collectors.groupingBy(Address::getProvince));
//        collect1 = (Map<String, List<Address>>) sortedByCounting(collect1);
//        for (Map.Entry<String, List<Address>> entry1 : collect1.entrySet()) {
//            String province = entry1.getKey();
//            StringBuilder stringBuilder = new StringBuilder(province);
//            List<Address> addresses1 = entry1.getValue();
//            Map<String, List<Address>> collect2 = addresses1.stream().collect(Collectors.groupingBy(Address::getCity));
//            collect2 = (Map<String, List<Address>>) sortedByCounting(collect2);
//            int index2 = 0;
//            for (Map.Entry<String,List<Address>> entry2 : collect2.entrySet()){
//                if (collect2.size()>1 && index2!=0){
//                    stringBuilder.append("、");
//                }
//                String city = entry2.getKey();
//                stringBuilder.append(city);
//                List<Address> addresses2 = entry2.getValue();
//                Map<String, List<Address>> collect3 = addresses2.stream().collect(Collectors.groupingBy(Address::getDistrict));
//                collect3 = (Map<String, List<Address>>) sortedByCounting(collect3);
//                index2 ++;
//                int index3 = 0;
//                for (Map.Entry<String,List<Address>> entry3 : collect3.entrySet()){
//                    if (collect3.size()>1 && index3!=0){
//                        stringBuilder.append("；");
//                    }
//                    String district = entry3.getKey();
//                    stringBuilder.append(district);
//                    List<Address> addresses3 = entry3.getValue();
//                    Map<String, List<Address>> collect4 = addresses3.stream().collect(Collectors.groupingBy(Address::getTown));
//                    collect4 = (Map<String, List<Address>>) sortedByCounting(collect4);
//                    index3 ++;
//                    int index4 = 0;
//                    for (Map.Entry<String,List<Address>> entry4 : collect4.entrySet()){
//                        if (collect4.size()>1 && index4!=0){
//                            stringBuilder.append("、");
//                        }
//                        String town = entry4.getKey();
//                        stringBuilder.append(town);
//                        List<Address> addresses4 = entry4.getValue();
//                        Map<String, List<Address>> collect5 = addresses4.stream().collect(Collectors.groupingBy(Address::getCommunity));
//                        collect5 = (Map<String, List<Address>>) sortedByCounting(collect5);
//                        index4 ++;
//                        int index5 = 0;
//                        for (Map.Entry<String,List<Address>> entry5 : collect5.entrySet()){
//                            if (collect5.size()>1 && index5!=0){
//                                stringBuilder.append("、");
//                            }
//                            String community = entry5.getKey();
//                            stringBuilder.append(community);
//                            List<Address> addresses5 = entry5.getValue();
//                            Map<String, List<Address>> collect6 = addresses5.stream().collect(Collectors.groupingBy(Address::getRoad));
//                            collect6 = (Map<String, List<Address>>) sortedByCounting(collect6);
//                            index5 ++;
//                            int index6 = 0;
//                            for (Map.Entry<String,List<Address>> entry6 : collect6.entrySet()){
//                                if (collect6.size()>1 && index6!=0){
//                                    stringBuilder.append("、");
//                                }
//                                String road = entry6.getKey();
//                                stringBuilder.append(road);
//                                List<Address> addresses6 = entry6.getValue();
//                                Map<String, List<Address>> collect7 = addresses6.stream().collect(Collectors.groupingBy(Address::getRoadNumber));
//                                collect7 = (Map<String, List<Address>>) sortedByCounting(collect7);
//                                index6 ++;
//                                int index7 = 0;
//                                for (Map.Entry<String,List<Address>> entry7 : collect7.entrySet()){
//                                    if (collect7.size()>1 && index7!=0){
//                                        stringBuilder.append("、");
//                                    }
//                                    String roadNumber = entry7.getKey();
//                                    stringBuilder.append(roadNumber);
//                                    List<Address> addresses7 = entry7.getValue();
//                                    Map<String, List<Address>> collect8 = addresses7.stream().collect(Collectors.groupingBy(Address::getBuilding));
//                                    collect8 = (Map<String, List<Address>>) sortedByCounting(collect8);
//                                    index7 ++;
//                                    int index8 = 0;
//                                    for (Map.Entry<String,List<Address>> entry8 : collect8.entrySet()){
//                                        if (collect8.size()>1 && index8!=0){
//                                            stringBuilder.append("、");
//                                        }
//                                        String building = entry8.getKey();
//                                        stringBuilder.append(building);
//                                        List<Address> addresses8 = entry8.getValue();
//                                        Map<String, List<Address>> collect9 = addresses8.stream().collect(Collectors.groupingBy(Address::getUnit));
//                                        collect9 = (Map<String, List<Address>>) sortedByCounting(collect9);
//                                        index8 ++;
//                                        int index9 = 0;
//                                        for (Map.Entry<String,List<Address>> entry9 : collect9.entrySet()){
//                                            if (collect9.size()>1 && index9!=0){
//                                                stringBuilder.append("、");
//                                            }
//                                            String unit = entry9.getKey();
//                                            stringBuilder.append(unit);
//                                            List<Address> addresses9 = entry9.getValue();
//                                            Map<String, List<Address>> collect10 = addresses9.stream().collect(Collectors.groupingBy(Address::getFloor));
//                                            collect10 = (Map<String, List<Address>>) sortedByCounting(collect10);
//                                            index9 ++;
//                                            int index10 = 0;
//                                            for (Map.Entry<String,List<Address>> entry10 : collect10.entrySet()){
//                                                if (collect10.size()>1 && index10!=0){
//                                                    stringBuilder.append("、");
//                                                }
//                                                String floor = entry10.getKey();
//                                                stringBuilder.append(floor);
//                                                List<Address> addresses10 = entry10.getValue();
//                                                Map<String, List<Address>> collect11 = addresses10.stream().collect(Collectors.groupingBy(Address::getRoom));
//                                                collect11 = (Map<String, List<Address>>) sortedByCounting(collect11);
//                                                index10 ++;
//                                                int index11 = 0;
//                                                for (Map.Entry<String,List<Address>> entry11 : collect11.entrySet()){
//                                                    if (collect11.size()>1 && index11!=0){
//                                                        stringBuilder.append("、");
//                                                    }
//                                                    String room = entry11.getKey();
//                                                    stringBuilder.append(room);
//                                                    index11 ++;
//                                                }
//                                            }
//                                        }
//                                    }
//                                }
//                            }
//                        }
//                    }
//
//                }
//
//            }
//            result.add(stringBuilder.toString());
//        }
//        Collections.reverse(result);
//        return result;
//    }
//
//    /**
//     * 一般假设、格式化“是否核对权属原件”
//     * @param certificates 权属证书类型
//     * @param tmplHouseParagraph 段落模版
//     * @return
//     */
//    public static String getCheckOriginCertificate(Boolean isCheckOriginCertificate,List<String> certificates, TmplHouseParagraph tmplHouseParagraph){
//        if (isCheckOriginCertificate){
//            String paragraph = tmplHouseParagraph.getParagraph();
//            return paragraph.replace("{certificates}",CollectionUtil.formatDotAndRemoveMiddle(certificates));
//        }
//        return null;
//    }
//
//    public static Boolean checkBoolean(String bool){
//        return YES.equals(bool);
//    }
//
//    /**
//     * 一般假设、格式化“是否是建筑物的一部分”
//     * @param targets
//     * @param tmplHouseParagraph
//     * @return
//     */
//    public static String getIsBuildingPart(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplHouseParagraph) {
//        String paragraph = tmplHouseParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            Set<String> tIds = targets.stream().filter(x -> (StrUtil.isNotBlank(x.getIsPart()) && x.getIsPart().equals(YES))).map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//            if (CollectionUtil.isNotEmpty(tIds)){
//                if (tIds.size() == targets.size()){
//                    return paragraph.replace("{tIds}", "");
//                }else {
//                    String tIdStr = CollectionUtil.formatDotAndRemoveMiddle(tIds);
//                    return paragraph.replace("{tIds}", tIdStr);
//                }
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 一般假设、格式化“是否是酒店的一部分”
//     * @param targets
//     * @param tmplHouseParagraph
//     * @return
//     */
//    public static String getIsHotelPart(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplHouseParagraph) {
//        String paragraph = tmplHouseParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            Set<String> tIds = targets.stream().filter(x -> (StrUtil.isNotBlank(x.getIsPart()) && x.getIsPart().equals(HOTEL_PART))).map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//            if (CollectionUtil.isNotEmpty(tIds)){
//                if (tIds.size() == targets.size()){
//                    return paragraph.replace("{tIds}", "");
//                }else {
//                    String tIdStr = CollectionUtil.formatSplitAndRemoveMiddle(tIds);
//                    return paragraph.replace("{tIds}", tIdStr);
//                }
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 未定事项假设、格式化“建成年代”
//     * @return
//     */
//    public static String buildingYear(List<HouseGuarantyTarget> targets,TmplHouseParagraph tmplHouseParagraph){
//        String paragraph = tmplHouseParagraph.getParagraph();
//        String result = null;
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> (x.getHasBuildingYear()!=null && !x.getHasBuildingYear() && StrUtil.isNotBlank(x.getBuildingYear()))).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                List<String> tIds = collect.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toList());
//                List<String> buildingYears = collect.stream().map(HouseGuarantyTarget::getBuildingYear).collect(Collectors.toList());
//                result = paragraph.replace("{tIds}", CollectionUtil.formatDotAndRemoveMiddle(tIds))
//                        .replace("{years}", CollectionUtil.formatDotAndRemoveMiddle(buildingYears));
//
//            }
//        }
//        return result;
//    }
//
//    /**
//     * 未定事项假设 房产证登记用途与土地证用途不一致
//     * @param targets
//     * @return
//     */
//    public static String isUseDiff(List<HouseGuarantyTarget> targets,TmplHouseParagraph tmplHouseParagraph) {
//        StringBuilder result = new StringBuilder();
//        if (CollectionUtil.isNotEmpty(targets)){
//                for (HouseGuarantyTarget target : targets) {
//                    List<HouseGuarantyAim> targetDTOS = target.getAims();
//                    for (HouseGuarantyAim targetDTO : targetDTOS) {
//                        if (!targetDTO.getLandType().contains(targetDTO.getUseTo())){
//                            result.append(tmplHouseParagraph.getParagraph())
//                                    .append("估价对象").append(targetDTO.getTid()).append("序号").append(targetDTO.getTno())
//                                    .append("所在宗地《国有土地使用证》记载土地用途为")
//                                    .append(targetDTO.getLandType()).append("，估价对象")
//                                    .append(targetDTO.getTid()).append("序号").append(targetDTO.getTno()).append("《房屋所有权证》记载规划用途为")
//                                    .append(targetDTO.getUseTo())
//                                    .append("，本次估价以估价对象合法保持房屋实际用途继续使用为假设前提。\n");
//                        }
//                    }
//
//                }
//                result.append("\n");
//        }
//        return result.toString();
//    }
//
//    /**
//     * 未定事项假设 未提供分户土地证，提供宗地大证
//     * @param targets
//     * @return
//     */
//    public static String isProvideLandBigCertificate(List<HouseGuarantyTarget> targets,TmplHouseParagraph tmplHouseParagraph, CertificateLandUse certificateLandUse) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplHouseParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> StrUtil.isNotBlank(x.getLandCertificateType())
//                    && x.getLandCertificateType().equals("大证")&& !x.getIsCostingShareMethod()).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect) && certificateLandUse!=null){
//                for (HouseGuarantyTarget target : collect) {
//                    String tId = target.getTid();
//                    String landUseTo = target.getLandUseTo();
//                    String content = paragraph.replace("{tId}", tId).replace("{landUseTo}", certificateLandUse.getUseType()).replace("{landExpireDate}", certificateLandUse.getExpireDate());
//                    result.append(content).append("\n");
//                }
//            }
//        }
//        return result.toString();
//    }
//
//    /**
//     * 未定事项假设 未提供分户土地证，提供宗地大证需要采用成本法，分摊土地面积处理方式
//     * @param targets
//     * @param tmplHouseParagraph
//     * @return
//     */
//    public static String isProvideLandBigCertificateShare(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplHouseParagraph, List<CertificateLandUse> landCerts) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplHouseParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> (StrUtil.isNotBlank(x.getLandCertificateType()) &&
//                    x.getLandCertificateType().equals("大证") )).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect) && CollectionUtil.isNotEmpty(landCerts)){
//                for (HouseGuarantyTarget target : collect) {
//                    List<CertificateLandUse> certs = landCerts.stream().filter(x -> x.getTid().equals(target.getTid())).collect(Collectors.toList());
//                    if (CollectionUtil.isNotEmpty(certs)){
//                        String tId = target.getTid();
//                        String content = paragraph.replace("{tId}", tId).replace("{landExpireDate}",certs.get(0).getExpireDate()).replace("{shareAcreage1}", certs.get(0).getOutterAcreage());
//                        result.append(content).append("\n");
//                    }
//
//                }
//            }
//        }
//        return result.toString();
//    }
//
//
//    /**
//     * 未定事项假设 房屋分层面积处理方式1 有图
//     * @param targets
//     * @param tmplHouseParagraph
//     * @return
//     */
//    public static String isDivideMethod1(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplHouseParagraph) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplHouseParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> (x.getIsLayer()!=null && x.getIsLayer()
//                    && x.getHasLayerImage()!=null && x.getHasLayerImage())).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                for (HouseGuarantyTarget target : collect) {
//                    String tId = target.getTid();
//                    List<HouseGuarantyAim> targetDTOS = target.getAims();
//                    List<String> acreageStr = targetDTOS.stream().filter(x -> StrUtil.isNotBlank(x.getAcreage())).map(HouseGuarantyAim::getAcreage).collect(Collectors.toList());
//                    BigDecimal acreage = BigDecimal.ZERO;
//                    for (String acreageStr1 : acreageStr) {
//                        acreage = acreage.add(new BigDecimal(acreageStr1));
//                    }
//                    StringBuilder floorAcreageDesc = new StringBuilder();
//                    String floor1Acreage = target.getFloor1Acreage();
//                    String floor2Acreage = target.getFloor2Acreage();
//                    String floor3Acreage = target.getFloor3Acreage();
//                    if (StrUtil.isNotBlank(floor1Acreage)){
//                        floorAcreageDesc.append("一层").append(floor1Acreage).append("平方米");
//                    }
//                    if (StrUtil.isNotBlank(floor2Acreage)){
//                        floorAcreageDesc.append("、");
//                        floorAcreageDesc.append("二层").append(floor2Acreage).append("平方米");
//                    }else {
//                        floorAcreageDesc.append("；");
//                    }
//                    if (StrUtil.isNotBlank(floor3Acreage)){
//                        floorAcreageDesc.append("、");
//                        floorAcreageDesc.append("三层").append(floor3Acreage).append("平方米");
//                    }else {
//                        floorAcreageDesc.append("；");
//                    }
//                    paragraph = paragraph.replace("{tId}", tId).replace("{acreage}", acreage.toPlainString());
//                    paragraph = paragraph.replace("{floorAcreageDesc}", floorAcreageDesc.toString());
//                    result.append(paragraph).append("\n");
//                }
//            }
//        }
//        return result.toString();
//    }
//
//    /**
//     * 未定事项假设 房屋分层面积处理方式2 无图
//     * @param targets
//     * @param tmplHouseParagraph
//     * @return
//     */
//    public static String isDivideMethod2(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplHouseParagraph) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplHouseParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> (x.getIsLayer()!=null && x.getIsLayer()
//                    && x.getHasLayerImage()!=null && !x.getHasLayerImage())).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                for (HouseGuarantyTarget target : collect) {
//                    String tId = target.getTid();
//                    List<HouseGuarantyAim> targetDTOS = target.getAims();
//                    List<String> acreageStr = targetDTOS.stream().filter(x -> StrUtil.isNotBlank(x.getAcreage())).map(HouseGuarantyAim::getAcreage).collect(Collectors.toList());
//                    BigDecimal acreage = BigDecimal.ZERO;
//                    for (String acreageStr1 : acreageStr) {
//                        acreage = acreage.add(new BigDecimal(acreageStr1));
//                    }
//                    StringBuilder floorAcreageDesc = new StringBuilder();
//                    String floor1Acreage = target.getFloor1Acreage();
//                    String floor2Acreage = target.getFloor2Acreage();
//                    String floor3Acreage = target.getFloor3Acreage();
//                    if (StrUtil.isNotBlank(floor1Acreage)){
//                        floorAcreageDesc.append("一层").append(floor1Acreage).append("平方米");
//                    }
//                    if (StrUtil.isNotBlank(floor2Acreage)){
//                        floorAcreageDesc.append("、");
//                        floorAcreageDesc.append("二层").append(floor2Acreage).append("平方米");
//                    }else {
//                        floorAcreageDesc.append("；");
//                    }
//                    if (StrUtil.isNotBlank(floor3Acreage)){
//                        floorAcreageDesc.append("、");
//                        floorAcreageDesc.append("三层").append(floor3Acreage).append("平方米").append("；");
//                    }else {
//                        floorAcreageDesc.append("；");
//                    }
//                    paragraph = paragraph.replace("{tId}", tId).replace("{acreage}", acreage.toPlainString());
//                    paragraph = paragraph.replace("{floorAcreageDesc}", floorAcreageDesc.toString());
//                    result.append(paragraph).append("\n");
//                }
//            }
//        }
//        return result.toString();
//    }
//
//    /**
//     * 不相一致假设 登记地址与实勘地址不一致 有证明
//     * @param targets
//     * @param certificates
//     * @param tmplHouseParagraph
//     * @return
//     */
//    public static String isAddressDiffCertificate(List<HouseGuarantyTarget> targets, List<String> certificates, TmplHouseParagraph tmplHouseParagraph) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplHouseParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> x.getIsAddressSame()!=null && !x.getIsAddressSame()
//                    && x.getIsAddressCertificate()!=null && x.getIsAddressCertificate()).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                for (HouseGuarantyTarget target : collect) {
//                    String tId = target.getTid();
//                    List<HouseGuarantyAim> targetDTOS = target.getAims();
//                    String location = targetDTOS.get(0).getLocation();
//                    String actAddress = targetDTOS.get(0).getActAddress();
//                    String replace = paragraph.replace("{tId}", tId).replace("{address}", location).replace("{actAddress}", actAddress).replace("{certificates}", CollectionUtil.formatDotAndRemoveMiddle(certificates));
//                    result.append(replace).append("\n");
//                }
//            }
//        }
//        return result.toString();
//    }
//
//    /**
//     * 不相一致假设 登记地址与实勘地址不一致 无证明
//     * @param targets
//     * @param certificates
//     * @param tmplHouseParagraph
//     * @return
//     */
//    public static String isAddressDiffNoCertificate(List<HouseGuarantyTarget> targets, List<String> certificates, TmplHouseParagraph tmplHouseParagraph) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplHouseParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> x.getIsAddressSame()!=null && !x.getIsAddressSame()
//                    && x.getIsAddressCertificate()!=null && !x.getIsAddressCertificate()).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                for (HouseGuarantyTarget target : collect) {
//                    String tId = target.getTid();
//                    List<HouseGuarantyAim> targetDTOS = target.getAims();
//                    String actAddress = targetDTOS.get(0).getActAddress();
//                    String replace = paragraph.replace("{tId}", tId)
//                            .replace("{actAddress}", actAddress).replace("{certificates}", CollectionUtil.formatDotAndRemoveMiddle(certificates));
//                    result.append(replace).append("\n");
//                }
//            }
//        }
//        return result.toString();
//    }
//
//    /**
//     * 不相一致假设 价值时点与查勘日期不一致
//     * @param targets
//     * @param tmplHouseParagraph
//     * @return
//     */
//    public static String isDateDiff(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplHouseParagraph,String valueTiming) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplHouseParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> x.getIsDateTimeSame()!=null && !x.getIsDateTimeSame()).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                for (HouseGuarantyTarget target : collect) {
//                    String tId = target.getTid();
//                    String exploreDate = target.getExploreDate();
//                    String replace = paragraph.replace("{tId}", tId).replace("{exploreDate}", exploreDate==null?"<缺失实勘日期>":exploreDate).replace("{valueTiming}", valueTiming);
//                    result.append(replace).append("\n");
//                }
//            }
//        }
//        return result.toString();
//    }
//
//    /**
//     * 依据不足假设 未办理分户土地证和提供所在宗地大证仅限住宅商品房
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isBigCertificateOnlyHouse(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph,Boolean isCheckOriginCertificate) {
//        if (CollectionUtil.isNotEmpty(targets) && !isCheckOriginCertificate){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> StrUtil.isNotBlank(x.getLandCertificateType()) &&
//                    x.getLandCertificateType().equals("大证") && !x.getHouseGetLandInfo()).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                String paragraph = tmplParagraph.getParagraph();
//                List<String> tIds = collect.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toList());
//                return paragraph.replace("{tIds}",CollectionUtil.formatDotAndRemoveMiddle(tIds));
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 依据不足假设 必须在“估价对象权利状况说明及承诺书”中说明未提供上述权属证书原件，并承诺提供的权属证书复印件与原件一致
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isNotOriginCertificateOnlyHouse(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph,Boolean isCheckOriginCertificate,List<String> certificates) {
//        if (CollectionUtil.isNotEmpty(targets)){
//            if (!isCheckOriginCertificate){
//                List<String> tIds = targets.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toList());
//                String paragraph = tmplParagraph.getParagraph();
//                return paragraph.replace("{tIds}", CollectionUtil.formatDotAndRemoveMiddle(tIds)).replace("{certificates}", CollectionUtil.formatDotAndRemoveMiddle(certificates));
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 依据不足假设 承诺提供的权属证书及与估价对象相关的法律文件复印件与原件一致（大成都范围内）
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isNotOriginFileInChengDu(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph ,Boolean isCheckOriginCertificate,List<String> certificates) {
//        if (CollectionUtil.isNotEmpty(targets) && !isCheckOriginCertificate){
//            List<String> tIds = new ArrayList<>();
//            for (HouseGuarantyTarget target : targets) {
//                List<HouseGuarantyAim> targetDTOS = target.getAims();
//                List<String> addresses = targetDTOS.stream().map(HouseGuarantyAim::getLocation).collect(Collectors.toList());
//                for (String address : addresses) {
//                    Boolean inBigChengdu = AddressUtil.isInBigChengdu(address);
//                    if (inBigChengdu){
//                        tIds.add(target.getTid());
//                    }
//                }
//
//            }
//            if (CollectionUtil.isNotEmpty(tIds) ){
//                String paragraph = tmplParagraph.getParagraph();
//                return paragraph.replace("{tIds}", CollectionUtil.formatDotAndRemoveMiddle(tIds)).replace("{certificates}",CollectionUtil.formatDotAndRemoveMiddle(certificates));
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 依据不足假设 承诺提供的权属证书及与估价对象相关的法律文件复印件与原件一致（大成都范围外）
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isNotOriginFileOutChengDu(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph,Boolean isCheckOriginCertificate,List<String> certificates) {
//        if (CollectionUtil.isNotEmpty(targets) && !isCheckOriginCertificate){
//            List<String> tIds = new ArrayList<>();
//            for (HouseGuarantyTarget target : targets) {
//                List<HouseGuarantyAim> targetDTOS = target.getAims();
//                List<String> addresses = targetDTOS.stream().map(HouseGuarantyAim::getLocation).collect(Collectors.toList());
//                for (String address : addresses) {
//                    Boolean inBigChengdu = AddressUtil.isInBigChengdu(address);
//                    if (!inBigChengdu){
//                        tIds.add(target.getTid());
//                    }
//                }
//
//            }
//            if (CollectionUtil.isNotEmpty(tIds) ){
//                String paragraph = tmplParagraph.getParagraph();
//                return paragraph.replace("{tIds}", CollectionUtil.formatDotAndRemoveMiddle(tIds)).replace("{certificates}",CollectionUtil.formatDotAndRemoveMiddle(certificates));
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 依据不足假设 已出租未提供租赁合同且未考虑租约影响
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isRentOutNotContractNoAffect(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph) {
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> x.getIsRentOut()!=null &&x.getIsRentOut()
//                    && x.getHasRentOutContract() !=null && !x.getHasRentOutContract() && x.getIsRentLimit()!=null && !x.getIsRentLimit()).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                String paragraph = tmplParagraph.getParagraph();
//                List<String> tIds = collect.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toList());
//                return paragraph.replace("{tIds}", CollectionUtil.formatDotAndRemoveMiddle(tIds));
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 依据不足假设 未提供土地出让合同且土地使用年限低于房屋年限且使用收益法评估
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isNotContractLandLowerHouseSY(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph,String methods) {
//        if (methods.contains("收益法")){
//            if (CollectionUtil.isNotEmpty(targets)){
//                List<HouseGuarantyTarget> collect = targets.stream().filter(x ->   x.getIsBuildingReduceValue()!=null && x.getIsBuildingReduceValue()).collect(Collectors.toList());
//                if (CollectionUtil.isNotEmpty(collect)){
//                    List<String> tIds = collect.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toList());
//                    String paragraph = tmplParagraph.getParagraph();
//                    return paragraph.replace("{tIds}", CollectionUtil.formatDotAndRemoveMiddle(tIds));
//                }
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 依据不足假设 未提供土地出让合同且土地使用年限低于房屋年限且使用成本法评估
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isNotContractLandLowerHouseCB(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph,String methods) {
//        if (methods.contains("成本法")){
//            if (CollectionUtil.isNotEmpty(targets)){
//                List<HouseGuarantyTarget> collect = targets.stream().filter(x ->  x.getIsBuildingReduceValue()!=null && x.getIsBuildingReduceValue()).collect(Collectors.toList());
//                if (CollectionUtil.isNotEmpty(collect)){
//                    List<String> tIds = collect.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toList());
//                    String paragraph = tmplParagraph.getParagraph();
//                    return paragraph.replace("{tIds}", CollectionUtil.formatDotAndRemoveMiddle(tIds));
//                }
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 限制条件 估价对象未设立抵押权
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isNotPledge(TmplHouseParagraph tmplParagraph,Boolean isPledge) {
//        if (!isPledge){
//            return tmplParagraph.getParagraph();
//        }
//        return null;
//    }
//
//    /**
//     * 限制条件 适用于原设立抵押权未注销，向新的抵押权人申请贷款
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isOldPledgeToNewPledge(TmplHouseParagraph tmplParagraph,HouseGuarantyBase base) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplParagraph.getParagraph();
//        if (base.getHasPledge() && !base.getSamePledgeContinue() && base.getNewPledgeUser()!=null){
////            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> (x.getHasPledge()!=null &&
////                    x.getHasPledge() && StrUtil.isNotBlank(x.getPledgeType())
////                    && StrUtil.isNotBlank(x.getPledgeUser()) && StrUtil.isNotBlank(x.getPledgeValue())
////                    && StrUtil.isNotBlank(x.getNewPledgeUser()))).collect(Collectors.toList());
//
//            String replace = getString(paragraph,base);
//            result.append(replace);
//            return result.toString();
//        }
//        return null;
//    }
//
//    private static String getString(String paragraph,HouseGuarantyBase base) {
//        String pledgeType = base.getPledgeType();
//        String pledgeUser = base.getPledgeUser();
//        String pledgeValue = base.getPledgeValue();
//        String newPledgeUser = base.getNewPledgeUser();
//        return paragraph.replace("{pledgeType}", pledgeType).replace("{pledgeType}", pledgeType)
//                .replace("{pledgeUser}", pledgeUser).replace("{pledgeValue}",
//                        pledgeValue).replace("{newPledgeUser}", newPledgeUser);
//    }
//
//    /**
//     * 限制条件 是否提供不动产权证
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isHasImmovableCertificate(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph, List<String> certificates) {
//        String paragraph = tmplParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(certificates)){
//            List<String> list = new ArrayList<>();
//            if (certificates.contains(HOUSE_OWN_CER)){
//                list.add("“房屋登记簿”");
//            }
//            if (certificates.contains(LAND_USE_CER)){
//                list.add("“土地登记簿”");
//            }
//            if (certificates.contains(IMMOVABLE_CER)){
//                list.add("“不动产登记簿”");
//            }
//            paragraph = paragraph.replace("{certificates1}",CollectionUtil.formatDotAndRemoveMiddle(list));
//        }
//        return paragraph.replace("{certificates}", CollectionUtil.formatDotAndRemoveMiddle(certificates));
//
//    }
//
//    /**
//     * 限制条件 适用于原抵押权未注销，现拟设立最高额抵押权，同一抵押权人
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isOldPledgeToOldPledge( TmplHouseParagraph tmplParagraph,HouseGuarantyBase base) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplParagraph.getParagraph();
//        if (base.getHasPledge()){
////            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> x.getHasPledge()!=null &&
////                    x.getHasPledge() && StrUtil.isNotBlank(x.getPledgeType())
////                    && x.getSamePledgeHigh()!=null &&x.getSamePledgeHigh()).collect(Collectors.toList());
//            String pledgeUser = base.getPledgeUser();
//            result.append(paragraph.replace("{pledgeUser}",pledgeUser));
//            return result.toString();
//        }
//        return null;
//    }
//
//    /**
//     * 限制条件 土地使用权未划拨但未扣除出让金
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isTransferNotDeductSellMoney(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph,String isDeductSellAmount) {
//        return checkBoolean(isDeductSellAmount)?null:tmplParagraph.getParagraph();
//    }
//
//    /**
//     * 限制条件 土地使用权未划拨已扣除出让金
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isTransferDeductSellMoney(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph,String isDeductSellAmount) {
//        return checkBoolean(isDeductSellAmount)?tmplParagraph.getParagraph():null;
//    }
//
//    /**
//     * 限制条件 是否提供技术报告
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isProvideTechReport(TmplHouseParagraph tmplParagraph,Boolean hasTechReport) {
//        String paragraph = tmplParagraph.getParagraph();
//        if (hasTechReport){
//            return paragraph.replace("{hasTechReport}","、“估价技术报告”");
//        }
//        return paragraph.replace("{hasTechReport}","");
//    }
//
//    /**
//     * 限制条件 是否是农商银行
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isNSBank(TmplHouseParagraph tmplParagraph,Boolean isNsBank) {
//        return isNsBank?tmplParagraph.getParagraph():null;
//    }
//
//    /**
//     * 限制条件 其他银行
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isNormalBank( TmplHouseParagraph tmplParagraph,Boolean isNsBank) {
//        return !isNsBank?tmplParagraph.getParagraph():null;
//    }
//
//    /**
//     * 估价中的特殊处理事项 无法定优先受偿款
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isNoFirstMoney(TmplHouseParagraph tmplParagraph,HouseGuarantyBase base) {
//        if (StrUtil.isNotBlank(base.getFirstMoney())){
//            return tmplParagraph.getParagraph();
//        }
//        return null;
//    }
//
//    /**
//     * 估价中的特殊处理事项 适用于同一抵押权人续贷
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isSamePledgeUserContinue(TmplHouseParagraph tmplParagraph,HouseGuarantyBase base) {
//        if (base.getSamePledgeContinue()!=null && base.getSamePledgeContinue() && StrUtil.isNotBlank(base.getPledgeType())){
//                String paragraph = tmplParagraph.getParagraph();
//                return paragraph.replace("{pledgeTypes}",base.getPledgeType());
//        }
//        return null;
//    }
//
//    /**
//     * 估价中的特殊处理事项 适用于原设立抵押权未注销，向新的抵押权人申请贷款
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isOldPledgeToNewPledgeSpecial(TmplHouseParagraph tmplParagraph,HouseGuarantyBase base) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplParagraph.getParagraph();
//        if (StrUtil.isNotBlank(base.getPledgeType()) && StrUtil.isNotBlank(base.getNewPledgeUser())){
//            String pledgeType = base.getPledgeType();
//            String newPledgeUser = base.getNewPledgeUser();
//            result.append(paragraph.replace("{pledgeType}", pledgeType).replace("{newPledgeUser}",newPledgeUser));
//            return result.toString();
//        }
//        return null;
//    }
//
//    /**
//     * 估价中的特殊处理事项 适用于原已设立抵押权，现拟设立最高额抵押权，同一抵押权人
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isNormalPledgeToHighPledge(TmplHouseParagraph tmplParagraph,HouseGuarantyBase base) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplParagraph.getParagraph();
//        if (base.getHasPledge()!=null &&
//            base.getHasPledge() && StrUtil.isNotBlank(base.getPledgeType()) && base.getSamePledgeHigh()!=null &&
//            base.getSamePledgeHigh()){
//            String pledgeUser = base.getPledgeUser();
//            result.append(paragraph.replace("{pledgeUser}",pledgeUser));
//            return result.toString();
//        }
//        return null;
//    }
//
//    /**
//     * 估价中的特殊处理事项 适用于已设立最高额抵押权，抵押未到期
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isHighPledgeNotExpire( TmplHouseParagraph tmplParagraph,HouseGuarantyBase base) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplParagraph.getParagraph();
//        if (base.getHasPledge()!=null && base.getHasPledge()
//                &&  base.getHighPledgeNotExpire()!=null && base.getHighPledgeNotExpire()){
//            String pledgeUser = base.getPledgeUser();
//            result.append(paragraph.replace("{pledgeUser}",pledgeUser));
//            return result.toString();
//        }
//        return null;
//    }
//
//    /**
//     * 估价中的特殊处理事项 估价对象未出租
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isNotRentOut(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph) {
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> x.getIsRentOut()!=null && !x.getIsRentOut()).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                List<String> tIds = collect.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toList());
//                String paragraph = tmplParagraph.getParagraph();
//                return paragraph.replace("{tIds}", CollectionUtil.formatDotAndRemoveMiddle(tIds));
//            }
//        }
//        return null;
//    }
//
//    /**
//     * 估价中的特殊处理事项 已出租，未考虑租约影响：高于市场租金
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isRentOutNotAffectHigh(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> x.getIsRentOut()!=null &&
//                    x.getIsRentOut() && x.getIsRentLimit()!=null && !x.getIsRentLimit()
//                    && StrUtil.isNotBlank(x.getNotRentLimitReason()) && StrUtil.equals(x.getRentLimitReason(), "高于市场租金")).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                for (int i = 0; i < collect.size(); i++){
//                    String tId = collect.get(i).getTid();
//                    result.append(paragraph.replace("{tId}", tId));
//                    if (i != collect.size()-1){
//                        result.append("\n");
//                    }
//                }
//            }
//            return result.toString();
//        }
//        return null;
//    }
//
//    /**
//     * 估价中的特殊处理事项 已出租，未考虑租约影响：与市场租金相当
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isRentOutNotAffectNormal(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> x.getIsRentOut()!=null && x.getIsRentOut()
//                    && x.getIsRentLimit()!=null && !x.getIsRentLimit()
//                    && StrUtil.isNotBlank(x.getNotRentLimitReason()) && StrUtil.equals(x.getRentLimitReason(), "与市场租金相当")).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                for (int i = 0; i < collect.size(); i++){
//                    String tId = collect.get(i).getTid();
//                    result.append(paragraph.replace("{tId}", tId));
//                    if (i != collect.size()-1){
//                        result.append("\n");
//                    }
//                }
//            }
//            return result.toString();
//        }
//        return null;
//    }
//
//    /**
//     * 估价中的特殊处理事项 已出租，考虑租约影响：低于市场租金
//     * @param targets
//     * @param tmplParagraph
//     * @return
//     */
//    public static String isRentOutAffectLow(List<HouseGuarantyTarget> targets, TmplHouseParagraph tmplParagraph) {
//        StringBuilder result = new StringBuilder();
//        String paragraph = tmplParagraph.getParagraph();
//        if (CollectionUtil.isNotEmpty(targets)){
//            List<HouseGuarantyTarget> collect = targets.stream().filter(x -> x.getIsRentOut()!=null && x.getIsRentOut()
//                    && x.getIsRentLimit()!=null && x.getIsRentLimit()
//                    && StrUtil.isNotBlank(x.getNotRentLimitReason()) && StrUtil.equals(x.getRentLimitReason(), "低于市场租金")).collect(Collectors.toList());
//            if (CollectionUtil.isNotEmpty(collect)){
//                for (int i = 0; i < collect.size(); i++){
//                    String tId = collect.get(i).getTid();
//                    result.append(paragraph.replace("{tId}", tId));
//                    if (i != collect.size()-1){
//                        result.append("\n");
//                    }
//                }
//            }
//            return result.toString();
//        }
//        return null;
//    }
//
//
//    /**
//     * 是否核对权属原件第九点
//     * @param isCheckOriginCertificate
//     * @param paragraph
//     * @return
//     */
//    public static String getCheckOriginCertificateX(String isCheckOriginCertificate, TmplHouseParagraph paragraph) {
//        if (HouseDocumentUtil.checkBoolean(isCheckOriginCertificate)){
//            return paragraph.getParagraph();
//        }
//        return null;
//    }
//
//    /**
//     * 是否核对权属原件第八点
//     * @param paragraph
//     * @return
//     */
//    public static String getCheckOriginCertificateXX(List<String> certificates, TmplHouseParagraph paragraph) {
//        if (CollectionUtil.isNotEmpty(certificates)){
//            String paragraph1 = paragraph.getParagraph();
//            return paragraph1.replace("{certificates}", CollectionUtil.formatDotAndRemoveMiddle(certificates));
//        }
//        return null;
//    }
//
//    /**
//     * 估价对象实物状况描述
//     * @param location
//     * @param useTo
//     * @param entity
//     * @return
//     */
//    public static String targetEntityDesc(String location, String useTo,String acreage,HouseTargetEntity entity){
//        StringBuilder desc = new StringBuilder("估价对象坐落于");
//        desc.append(location).append("，所在项目为“").append(entity.getCommunityName()).append("”小区，")
//                .append("该项目系").append(entity.getHouseAge()).append("建成的总层数为").append(entity.getFloor())
//                .append("层的").append(entity.getBuildingStructure()).append("结构").append(useTo).append("楼，");
//                if (StrUtil.isNotBlank(entity.getBuildingNo())){
//                    desc.append("估价对象位于该项目").append(entity.getBuildingNo()).append("，");
//                }
//                desc.append("估价对象规划用途为").append(useTo).append("，").append("目前实际为")
//                        .append(entity.getUseInfo()).append("，估价对象建筑面积为").append(acreage).append("㎡，室内布局为")
//                        .append(entity.getRoomType()).append("，层高约").append(entity.getRoomHigh()).append("米，建筑外观为")
//                        .append(entity.getBuildingOut()).append("，室内装修状况如下：估价对象客厅地面贴").append(entity.getLivingroomGround())
//                        .append("，内墙为").append(entity.getLivingroomWall()).append("，天棚为").append(entity.getLivingroomTop())
//                        .append("；卧室地面为").append(entity.getBedroomGround()).append("，内墙为").append(entity.getBedroomWall())
//                        .append("，天棚为").append(entity.getBedroomTop()).append("；厨房及卫生间地面为").append(entity.getBathroomGround())
//                        .append("，内墙为").append(entity.getBathroomWall()).append("，天棚为").append(entity.getBathroomTop())
//                        .append("；").append(entity.getLivingroomOther()).append("，").append(entity.getBedroomOther()).append("，")
//                        .append(entity.getBathroomOther()).append("。").append("估价对象");
//
//                if (entity.getElevator()>0){
//                    desc.append("所在楼栋安装").append(entity.getElevator()).append("部载人电梯上下通行");
//                }else {
//                    desc.append("通过消防楼梯上下通行");
//                }
//        Boolean centerAirConditioning = entity.getCenterAirConditioning();
//        Boolean autoSpray = entity.getAutoSpray();
//        Boolean smogEmergency = entity.getSmogEmergency();
//        Boolean fireHydrant = entity.getFireHydrant();
//        Boolean netLine = entity.getNetLine();
//        Boolean visualSys = entity.getVisualSys();
//        Boolean officeSmartSys = entity.getOfficeSmartSys();
//        if (centerAirConditioning || autoSpray || smogEmergency || fireHydrant || netLine || visualSys || officeSmartSys){
//            desc.append("，所在楼栋安装有").append(centerAirConditioning?"中央空调、":"").append(autoSpray?"自动喷淋、":"")
//                    .append(smogEmergency?"烟感报警、":"").append(fireHydrant?"消防栓、":"").append(netLine?"网线光纤、":"")
//                    .append(visualSys?"可视对讲系统、":"").append(officeSmartSys?"办公智慧系统、":"");
//        }
//        String baseFacility = entity.getBaseFacility();
//
//        desc.append("通气".equals(baseFacility)?"估价对象所在项目水、电、气、视、讯等基本设施较齐全。":("不通气".equals(baseFacility)?
//                "估价对象所在项目水、电、视、讯等基本设施较齐全。":"估价对象所在项目水、电、气、视、讯、暖气等基本设施较齐全。"));
//
//        String newPercentage = entity.getNewPercentage();
//
//        desc.append(("全新".equals(newPercentage) || "九成新".equals(newPercentage))?"估价对象维护保养状况好":
//                ("八至九成新".equals(newPercentage) || "七至八成新".equals(newPercentage))?"估价对象维护保养状况较好":
//                        ("六至七成新".equals(newPercentage)?"估价对象维护保养状况一般":"估价对象维护保养状况差"))
//                .append("，成新率为").append(newPercentage).append("。");
//
//        return desc.toString();
//    }
//
//    /**
//     * 组合土地实物状况描述
//     * @param entities
//     * @return
//     */
//    public static String getLandInfoDesc(List<HouseTargetEntity> entities){
//        StringBuilder resultDesc = new StringBuilder();
//        if (CollectionUtil.isNotEmpty(entities)){
//            for (HouseTargetEntity entity : entities){
//                if (entity.getCertCombination()==null){
//                    continue;
//                }
//                //第一段
//                StringBuilder p = new StringBuilder("估价对象"+entity.getTid()+"序号"+entity.getTno()+"\n");
//                if (entity.getCertCombination()==5 || entity.getCertCombination()==6){
//                    p.append("（1）根据估价对象权利人提供的相关资料，本次评估设定估价对象分摊（占用）的土地使用权系")
//                            .append(entity.getTargetLandUseType()).append(entity.getTargetLandUseTo())
//                            .append("；估价对象宗地四至：东临").append(entity.getEastWay()).append("，西临")
//                            .append(entity.getWestWay()).append("，南临").append(entity.getSouthWay())
//                            .append("，北临").append(entity.getNorthWay()).append("。");
//                }else if (entity.getCertCombination() == 4){
//                    p.append("（1）土地开发程度：经注册房地产估价师实地查勘，至价值时点，估价对象所在宗地上已修建")
//                            .append(entity.getUseTo()).append("用房，土地开发程度为").append(entity.getLandDeep())
//                            .append("；根据委托人提供的资料，估价对象所在宗地接城市供水、排水系统，雨水、污水分流处理，供电接城市电网，固定电话、网络接城市通讯网，移动讯号全覆盖。");
//                }else if (entity.getCertCombination() == 2 || entity.getCertCombination() == 3){
//                    p.append("（1）估价对象土地坐落、用途、面积、使用权类型、土地使用年期：根据估价对象权利人提供的")
//                            .append(entity.getLandCertificateNo()).append("《国有土地使用证》记载，估价对象所在宗地位于")
//                            .append(entity.getLandLocation()).append("，估价对象占用").append(entity.getLandUseType())
//                            .append(entity.getLandUseTo()).append("土地使用权面积：").append(entity.getLandAcreage())
//                            .append("㎡，土地使用权终止日期为").append(entity.getLandExpireDate()).append("，至价值时点，剩余使用年期为抵押价值评估年；估价对象宗地四至：东临")
//                            .append(entity.getEastWay()).append("，西临")
//                            .append(entity.getWestWay()).append("，南临").append(entity.getSouthWay())
//                            .append("，北临").append(entity.getNorthWay()).append("。");
//                }else{
//                    p.append("（1）估价对象土地坐落、用途、面积、使用权类型、土地使用年期：根据估价对象权利人提供的")
//                            .append(entity.getAssetsCertificateNo()).append("《不动产权证书》记载，估价对象所在宗地位于")
//                            .append(entity.getAssetsLocation()).append("，估价对象占用").append(entity.getAssetsUseType())
//                            .append(entity.getAssetsUseTo()).append("土地使用权面积：").append(entity.getAssetsAcreage())
//                            .append("㎡，土地使用权终止日期为").append(entity.getAssetsExpireDate()).append("，至价值时点，剩余使用年期为抵押价值评估年；估价对象宗地四至：东临")
//                            .append(entity.getEastWay()).append("，西临")
//                            .append(entity.getWestWay()).append("，南临").append(entity.getSouthWay())
//                            .append("，北临").append(entity.getNorthWay()).append("。");
//                }
//                p.append("\n");
//                //第二段
//                p.append("（2）估价对象土地形状、地形、地势、工程地质状况：经注册房地产估价师实地查勘，估价对象所在宗地形状较规则，利于项目规划布局和土地利用；地形、地势平缓无明显坡度；地基承载力较强，无不良地质条件。至价值时点，宗地上已修建")
//                        .append(entity.getUseTo()).append("用房。\n");
//                //第三段
//                p.append("（3）土地开发程度：经注册房地产估价师实地查勘，至价值时点，估价对象所在宗地上已修建")
//                        .append(entity.getUseTo()).append("用房，土地开发程度为").append(entity.getLandDeep())
//                        .append("；根据委托人提供的资料，估价对象所在宗地接城市供水、排水系统，雨水、污水分流处理，供电接城市电网，固定电话、网络接城市通讯网，移动讯号全覆盖。\n");
//
//                resultDesc.append(p);
//            }
//        }
//        return resultDesc.toString();
//    }
//
//    /**
//     * 组合估价对象权益状况描述
//     * @param doc
//     * @param rights
//     * @return
//     */
//     public static void getRightsDesc(Document doc,List<HouseRightsDTO> rights,HouseGuarantyBase baseInfo) throws Exception {
//         //构造 builder
//         DocumentBuilder builder = new DocumentBuilder(doc);
//         //将 光标移动到指定书签处，准备创作
//         builder.moveToBookmark("rightsInfo", true, false);
//
//         String copys = baseInfo.getIsCheckOriginCertificate()?"":"（复印件）";
//
//         Map<String, List<HouseRightsDTO>> rightsMap = rights.stream().collect(Collectors.groupingBy(HouseRightsDTO::getTid));
//
//         //设置字体样式
//         Font font = builder.getFont();
//         font.setName("宋体");
//         font.setSize(14);
//
//         for (Map.Entry<String, List<HouseRightsDTO>> entry : rightsMap.entrySet()){
//
//             for (int i=0; i<entry.getValue().size() ; i++){
//                 HouseRightsDTO right = entry.getValue().get(i);
//                 CertificateFixedAssets assetsCert = right.getAssetsCert();
//                 CertificateHouseOwn houseOwnCert = right.getHouseOwnCert();
//                 CertificateLandUse landUseCert = right.getLandUseCert();
//
//                 //用途
//                 String useTo = "";
//
//                 builder.writeln("估价对象"+entry.getKey()+"序号"+right.getTno());
//                 int j = 1;
//                 if (assetsCert != null){
//                     useTo = right.getAssetsCert().getUseTo();
//                         builder.writeln(j+"．不动产权属状况");
//                         builder.writeln("根据委托人提供的《不动产权证书》"+copys+"，估价对象不动产权属登记状况如下：");
//                     AsposeWordUtil.createTable(builder, CertificateFixedAssets.class, Collections.singletonList(right.getAssetsCert()));
//                     j++;
//                 }
//                 if (houseOwnCert != null){
//                     useTo = right.getHouseOwnCert().getUseTo();
//                         builder.writeln(j+"．房屋权属状况");
//                         builder.writeln("根据委托人提供的《房屋所有权证》" + copys + "，估价对象房屋权益登记状况如下：");
//                     builder.writeln("序号"+ right.getTno()+"：");
//                     AsposeWordUtil.createTable(builder, CertificateHouseOwn.class, Collections.singletonList(right.getHouseOwnCert()));
//                     j++;
//                 }
//                 if (landUseCert != null){
//                         builder.writeln(j+"．土地权属状况");
//                         builder.writeln("根据委托人提供的《国有土地使用证》"+copys+"，估价对象土地权属登记状况如下：");
//                     builder.writeln("序号"+ right.getTno()+"：");
//                     AsposeWordUtil.createTable(builder, CertificateLandUse.class, Collections.singletonList(right.getLandUseCert()));
//                     j++;
//                 }
//
//                 builder.writeln(j+"．担保物权状况");
//                 //是否设置抵押权
//                 Boolean hasPledge = baseInfo.getHasPledge();
//
//                 if (hasPledge != null && !hasPledge){
//                     builder.writeln("根据估价对象权利人提供的《房地产评估委托、确认书》《估价对象权利状况、法定优先受偿款调查说明及承诺书》，经注册房地产估价师实地查勘，至价值时点，估价对象未设定抵押等他项权利。");
//                     j++;
//                 }
//
//                 if (hasPledge != null && hasPledge){
//                     builder.writeln("根据估价对象权利人介绍和提供的“房地产评估委托、确认书”、“估价对象权利状况、法定优先受偿款调查说明及承诺书”，经注册房地产估价师实地查勘，至价值时点，估价对象已设立了"
//                             +baseInfo.getPledgeType()+"，"+(baseInfo.getPledgeType().equals("一般抵押权")?"抵押权利价值为":"最高债权额为")+baseInfo.getPledgeValue()+"万元，抵押权人为"+baseInfo.getPledgeUser()+"。");
//                     j++;
//                 }
//
//                 builder.writeln(j+"．用益物权状况");
//
//                 Boolean hasLandUseRight = right.getHasLandUseRight();
//                 Boolean hasLivingRight = right.getHasLivingRight();
//                 if (hasLandUseRight!=null && hasLivingRight!=null){
//                     if (!hasLandUseRight && !hasLivingRight && "住宅".equals(useTo)){
//                         builder.writeln("根据估价对象权利人提供的 “估价对象权利状况、法定优先受偿款调查说明及承诺书”，至价值时点，估价对象未设立居住权、地役权。");
//                         j++;
//                     }else if(hasLandUseRight && !hasLivingRight && "住宅".equals(useTo)){
//                         String landUseRightFrom = right.getLandUseRightFrom();
//                         String landUseRightTo = right.getLandUseRightTo();
//                         builder.writeln("根据估价对象权利人提供的 “估价对象权利状况、法定优先受偿款调查说明及承诺书”，至价值时点，估价对象用益物权已设立地役权，供役地权利人为"+landUseRightFrom+"，需役地权利人为"+landUseRightTo+"，当事人双方已订立地役权合同。估价对象未设置居住权。");
//                         j++;
//                     }else if (!hasLandUseRight && hasLivingRight && "住宅".equals(useTo)){
//                         builder.writeln("根据估价对象权利人提供的“估价对象权利状况、法定优先受偿款调查说明及承诺书”，至价值时点，估价对象用益物权已设立居住权，当事人双方已订立居住权合同，并已向登记机构登记。估价对象未设置地役权。");
//                         j++;
//                     }else if (!hasLandUseRight && !"住宅".equals(useTo)){
//                         builder.writeln("根据估价对象权利人提供的“估价对象权利状况、法定优先受偿款调查说明及承诺书”，至价值时点，估价对象未设立地役权。");
//                         j++;
//                     }else if (hasLandUseRight && !"住宅".equals(useTo)){
//                         String landUseRightFrom = right.getLandUseRightFrom();
//                         String landUseRightTo = right.getLandUseRightTo();
//                         builder.writeln("根据估价对象权利人提供的 “估价对象权利状况、法定优先受偿款调查说明及承诺书”，至价值时点，估价对象用益物权已设立地役权，供役地权利人为"+landUseRightFrom+"，需役地权利人为"+landUseRightTo+"，当事人双方已订立地役权合同。");
//                         j++;
//                     }else if (hasLandUseRight && hasLivingRight && "住宅".equals(useTo)){
//                         String landUseRightFrom = right.getLandUseRightFrom();
//                         String landUseRightTo = right.getLandUseRightTo();
//                         builder.writeln("根据估价对象权利人提供的 “估价对象权利状况、法定优先受偿款调查说明及承诺书”，至价值时点，估价对象用益物权已设立地役权，供役地权利人为"+landUseRightFrom+"，需役地权利人为"+landUseRightTo+"，当事人双方已订立地役权合同。估价对象用益物权已设立居住权，当事人双方已订立居住权合同，并已向登记机构登记。");
//                         j++;
//                     }else {
//
//                     }
//
//                 }
//
//                 builder.writeln(j+"．租赁或占用情况");
//
//                 if (hasPledge != null && !hasPledge && !right.getIsRentOut()){
//                     builder.writeln("根据估价对象权利人介绍和提供的“估价对象权利状况、法定优先受偿款调查说明及承诺书”、“估价对象权利状况说明及承诺书”，经注册房地产估价师实地查勘，至价值时点，估价对象未出租，目前为"+right.getUseInfo()+"。");
//                 }
//
//                 Boolean hasRentOutContract = right.getHasRentOutContract();
//                 if (hasPledge != null && hasPledge && hasRentOutContract!=null && hasRentOutContract){
//                     builder.writeln("根据估价对象权利人提供的“房地产评估委托、确认书”、“估价对象权利状况、法定优先受偿款调查说明及承诺书”，经注册房地产估价师实地查勘，至价值时点，估价对象已出租，承租方为"+right.getRentUser()+"租赁期限："+right.getRentStartDate()+"至"+right.getRentEndDate()+",至价值时点的租金为"+right.getRentMoney()+"元/㎡·月。");
//                 }
//                 if (hasPledge != null && hasPledge && hasRentOutContract!=null && !hasRentOutContract){
//                     builder.writeln("根据估价对象权利人提供的“房地产评估委托、确认书”、“估价对象权利状况、法定优先受偿款调查说明及承诺书”，经注册房地产估价师实地查勘，至价值时点，估价对象已出租,但估价对象权利人未提供估价对象租赁合同。");
//                 }
//
//             }
//         }
//     }
//
//    public static void getAreaDesc(Document doc, List<HouseGuarantyArea> areas) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("areaInfo", true, false);
//
//        Map<String, List<HouseGuarantyArea>> collect = areas.stream().collect(Collectors.groupingBy(HouseGuarantyArea::getTid));
//
//        //设置字体样式
//        Font font = builder.getFont();
//        font.setName("宋体");
//        font.setSize(14);
//
//        for (Map.Entry<String, List<HouseGuarantyArea>> entry : collect.entrySet()) {
//            for (HouseGuarantyArea area : entry.getValue()) {
//                builder.writeln("◆估价对象"+entry.getKey());
//                builder.writeln("经委托人介绍及注册房地产估价师实地查勘，估价对象"+entry.getKey()+"区位状况如下：");
//                List<HouseAreaTable> tables = convertHouseAreaTable(area);
//                AsposeWordUtil.createTable(builder, HouseAreaTable.class, tables);
//            }
//
//        }
//
//
//    }
//
//    private static List<HouseAreaTable> convertHouseAreaTable(HouseGuarantyArea area) {
//        String tid = area.getTid();
//        String location = area.getLocation();
//        String actAddress = area.getActAddress();
//        List<HouseAreaTable> tables = new ArrayList<>();
//        StringBuffer value1 = new StringBuffer("估价对象");
//        value1.append("估价对象").append(tid).append("序号")
//                        .append("位于").append(location);
//        if (StrUtil.isNotBlank(actAddress)){
//            value1.append("（实际地址为").append(actAddress).append("）");
//        }
//        HouseAreaTable build1 = HouseAreaTable.builder().type("估价对象位置").name("坐落及方位")
//                .value(value1.toString()).build();
//        tables.add(build1);
//
//        StringBuffer value2 = new StringBuffer("距");
//        JSONArray array = JSONUtil.parseArray(area.getSpot());
//        JSONObject jsonObject = JSONUtil.parseObj(array.get(0));
//        value2.append(jsonObject.get("name")).append("约").append(jsonObject.get("distance")).append("米。");
//        HouseAreaTable build2 = HouseAreaTable.builder().type("估价对象位置").name("与相关场所的距离")
//                .value(value2.toString()).build();
//        tables.add(build2);
//
//        StringBuffer value3 = new StringBuffer("估价对象");
//        value3.append(tid).append("序号").append("所在大楼临街：")
//                .append(CollectionUtil.formatDotAndRemoveMiddle(JSONUtil.parseArray(area.getRoad())));
//        HouseAreaTable build3 = HouseAreaTable.builder().type("估价对象位置").name("临街状况")
//                .value(value3.toString()).build();
//
//        tables.add(build3);
//        StringBuffer value4 = new StringBuffer();
//        value4.append(area.getAtFloor()).append("层").append("（总").append(area.getFloor()).append("层）");
//        HouseAreaTable build4 = HouseAreaTable.builder().type("估价对象位置").name("楼层")
//                .value(value4.toString()).build();
//
//        tables.add(build4);
//        StringBuffer value5 = new StringBuffer("估价对象");
//        value5.append(tid).append("序号").append("所在区域内分布着")
//                .append(CollectionUtil.formatDotAndRemoveMiddle(JSONUtil.parseArray(area.getRoad())))
//                .append("及区间道路，路网密集，交通便利。");
//        HouseAreaTable build5 = HouseAreaTable.builder().type("交通条件").name("道路等级及路网条件")
//                .value(value5.toString()).build();
//
//        tables.add(build5);
//        StringBuffer value6 = new StringBuffer("估价对象");
//        value6.append(tid).append("序号").append("周边有")
//                .append(CollectionUtil.formatDotAndRemoveMiddle(JSONUtil.parseArray(area.getPublicTransport()))).append("交通便捷度高");
//        HouseAreaTable build6 = HouseAreaTable.builder().type("交通条件").name("公共交通及对内交通状况")
//                .value(value6.toString()).build();
//
//        tables.add(build6);
//        HouseAreaTable build = HouseAreaTable.builder().type("交通条件").name("交通管制情况")
//                .value("无").build();
//
//        tables.add(build);
//        JSONArray parks = JSONUtil.parseArray(area.getPark());
//        HouseAreaTable.builder().type("").name("停车方便程度")
//                .value(parks.size()>0?"设有地面停车场，停车方便程度一般。":"无停车场，停车方便程度较差").build();
//
//        JSONArray community = JSONUtil.parseArray(area.getCommunity());
//        StringBuffer value7 = new StringBuffer();
//        value7.append("周边区域内有").append(CollectionUtil.formatDotAndRemoveMiddle(community))
//                .append("等成熟居住小区，区域内商业分布较密集，人流量较大，繁华程度较高。");
//
//        HouseAreaTable build7 = HouseAreaTable.builder().type("商业繁华度").name("商业")
//                .value(value7.toString()).build();
//
//        tables.add(build7);
//        HouseAreaTable.builder().type("城市基础设施状况").name("")
//                .value("所在区域内水、电、气、视、讯、路、宽带网等城市基础设施配套完善。").build();
//
//        JSONArray education = JSONUtil.parseArray(area.getEducation());
//        StringBuffer value8 = new StringBuffer();
//        value8.append(CollectionUtil.formatDotAndRemoveMiddle(education)).append("等分布在周围。");
//        HouseAreaTable build8 = HouseAreaTable.builder().type("公共服务设施").name("教育机构")
//                .value(value8.toString()).build();
//
//        tables.add(build8);
//        JSONArray hospital = JSONUtil.parseArray(area.getHospital());
//        StringBuffer value9 = new StringBuffer();
//        value9.append(CollectionUtil.formatDotAndRemoveMiddle(hospital)).append("等。");
//        HouseAreaTable build9 = HouseAreaTable.builder().type("公共服务设施").name("医疗机构")
//                .value(value9.toString()).build();
//
//        tables.add(build9);
//        JSONArray bank = JSONUtil.parseArray(area.getBank());
//        StringBuffer value10 = new StringBuffer();
//        value10.append(CollectionUtil.formatDotAndRemoveMiddle(bank)).append("在该区域及其周边均设有分支机构或营业网点。");
//        HouseAreaTable build10 = HouseAreaTable.builder().type("公共服务设施").name("金融机构")
//                .value(value10.toString()).build();
//
//        tables.add(build10);
//        JSONArray business = JSONUtil.parseArray(area.getBusiness());
//        StringBuffer value11 = new StringBuffer();
//        value11.append(CollectionUtil.formatDotAndRemoveMiddle(business)).append("等。");
//        HouseAreaTable build11 = HouseAreaTable.builder().type("公共服务设施").name("商服设施")
//                .value(value11.toString()).build();
//
//        tables.add(build11);
//        JSONArray hotel = JSONUtil.parseArray(area.getHotel());
//        StringBuffer value12 = new StringBuffer();
//        value12.append(CollectionUtil.formatDotAndRemoveMiddle(hotel)).append("等。");
//        HouseAreaTable build12 = HouseAreaTable.builder().type("公共服务设施").name("宾馆酒店")
//                .value(value12.toString()).build();
//
//        tables.add(build12);
//        HouseAreaTable build13 = HouseAreaTable.builder().type("周围环境和景观").name("自然环境")
//                .value("所在区域内无明显污染，绿化较好，紧邻河边，空气质量状况良好。").build();
//
//        tables.add(build13);
//        HouseAreaTable build14 = HouseAreaTable.builder().type("周围环境和景观").name("人文环境")
//                .value("区域内人口密度大，人流较大，商业繁华程度，区域治安状况良好。").build();
//
//        tables.add(build14);
//        JSONArray spot = JSONUtil.parseArray(area.getSpot());
//        List<String> spots = new ArrayList<>();
//        for (int i = 0; i < spot.size(); i++) {
//            JSONObject jsonObject1 = JSONUtil.parseObj(spot.get(i));
//            spots.add((String) jsonObject1.get("name"));
//        }
//        StringBuffer value15 = new StringBuffer();
//        value15.append(CollectionUtil.formatDotAndRemoveMiddle(spots)).append("等。");
//        HouseAreaTable build15 = HouseAreaTable.builder().type("周围环境和景观").name("景观")
//                .value(value15.toString()).build();
//        tables.add(build15);
//        return tables;
//    }
//
//    /**
//     * 抵押类：价值内涵
//     * @param doc
//     * @param targets
//     */
//    public static void getValueConnotation(Document doc, List<HouseGuarantyTarget> targets,String landUseType) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("valueConnotation", true, false);
//
//        List<HouseGuarantyTarget> lowRentMoney = targets.stream().filter(x -> (x.getIsRentLimit()!=null && x.getIsRentLimit() == true)).collect(Collectors.toList());
//
//        if (CollectionUtil.isNotEmpty(lowRentMoney)) {
//            //设置字体样式
//            Font font = builder.getFont();
//            font.setName("宋体");
//            font.setSize(14);
//            //考虑租约限制情况
//            builder.writeln("估价对象已出租，合同租金低于市场租金，其假定未设立法定优先受偿权利下的价值为出租人权益价值。出租人权益价值是指出租人对自己的已出租房地产依法享有权益的价值；其评估价值为已出租部分在租赁期间按合同租金确定租金收入，未出租部分和已出租部分在租赁期间届满后按市场租金确定租金收入所评估的价值。");
//        }
//
//        builder.writeln("估价对象假定未设立法定优先受偿权利下的价值内涵为：满足本报告“估价的假设和限制条件”，估价对象包括房屋所有权及其占用（分摊）的国有土地使用权，在价值时点，交易双方各自依法承担应缴纳的税费，以人民币为计价单位的价值。");
//
//        if ("出让".equals(landUseType)) {
//            builder.writeln("本报告估价结果含土地出让金。");
//        }
//
//        if ("划拨".equals(landUseType)) {
//            builder.writeln("本报告估价结果已扣除估价对象划拨土地使用权应缴纳的土地出让金或者相当于土地出让金的价款。");
//        }
//
//
//    }
//
//    /**
//     * 抵押类：价值内涵
//     * @param doc
//     * @param houseRightsDTOList
//     */
//    public static void getCertificateTypes(Document doc, List<HouseRightsDTO> houseRightsDTOList) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("certificateName", true, false);
//        Set<Integer> certType = houseRightsDTOList.stream().map(HouseRightsDTO::getCertType).collect(Collectors.toSet());
//        if (CollectionUtil.isNotEmpty(certType)) {
//            //设置字体样式
//            Font font = builder.getFont();
//            font.setName("宋体");
//            font.setSize(14);
//
//            int index = 3;
//            if (certType.contains(0)){
//                builder.writeln(index+".《不动产权证书》（复印件）；");
//                index ++;
//            }
//            if (certType.contains(5) || certType.contains(6)){
//                builder.writeln(index+".《房屋所有权证》（复印件）；");
//                index ++;
//            }
//            if (certType.contains(1) || certType.contains(2) || certType.contains(3) || certType.contains(4)){
//                builder.writeln(index+".《房屋所有权证》（复印件）；");
//                index ++;
//                builder.writeln(index+".《国有土地使用证》（复印件）；");
//                index ++;
//            }
//            builder.writeln(index+".《委托人企业法人营业执照、法人代表身份证（均为复印件）。");
//        }
//    }
//
//    /**
//     * 抵押类：估价思路
//     * @param doc
//     * @param targets
//     */
//    public static void getEvaluateThinking(Document doc, List<HouseGuarantyTarget> targets) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("evaluateThinking", true, false);
//        Map<String, List<HouseGuarantyTarget>> byMethod = targets.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getEvaluateMethod));
//
//        //设置字体样式
//        Font font = builder.getFont();
//        font.setName("宋体");
//        font.setSize(14);
//
//        for (Map.Entry<String, List<HouseGuarantyTarget>> entry : byMethod.entrySet()) {
//            List<HouseGuarantyTarget> targetList = entry.getValue();
//            Map<String, List<HouseGuarantyTarget>> byUseTo = targetList.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getUseTo));
//            if (entry.getKey().equals("比较法")){
//                for (Map.Entry<String, List<HouseGuarantyTarget>> entry2 : byUseTo.entrySet()) {
//                    if (entry2.getKey().equals("住宅")){
//                        List<HouseGuarantyTarget> houses = entry2.getValue();
//                        Set<String> housesTno = houses.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//                        String ids = CollectionUtil.formatDotAndRemoveMiddle(housesTno);
//                        builder.writeln("估价对象"+ids+"系成套住宅房地产，在同一供需圈内，与估价对象类似房地产市场转让较活跃，类似房地产转让案例较易收集，市场依据充分，可采用比较法；估价对象"+ids+"系已建成正常使用的成套住宅房地产，不属于具有开发或再开发潜力的房地产，不宜采用假设开发法；估价对象"+ids+"作为单套住宅用房虽然存在潜在收益，但所在区域同类住宅房地产的租金收益与售价不匹配，租金收益普遍较低，其住宅报酬率或资本化率难以准确把握，采用收益法测算结果不能准确反映其价值，故本次估价不采用收益法；估价对象"+ids+"作为单套住宅用房为整幢楼房的局部，因无法收集到估价对象所在整幢楼房建筑物和土地的相关资料，建筑物和土地相关成本测算参数难以准确把握，故本次估价不宜采用成本法。经综合分析，本次估价采用比较法。");
//                    }
//                    if (entry2.getKey().equals("商业")){
//                        // 商业待定
//                        builder.writeln("#！采用比较法的商业描述缺失 #！");
//                    }
//
//                }
//            }else if (entry.getKey().equals("比较法和收益法")){
//                for (Map.Entry<String, List<HouseGuarantyTarget>> entry2 : byUseTo.entrySet()) {
//                    if (entry2.getKey().equals("商业")){
//                        List<HouseGuarantyTarget> business = entry2.getValue();
//                        Set<String> businessTno = business.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//                        String ids = CollectionUtil.formatDotAndRemoveMiddle(businessTno);
//                        builder.writeln("估价对象"+ids+"系商业（办公）用房地产，在同一供需圈内，与估价对象类似房地产市场转让和租赁较活跃，类似房地产转让和租赁案例较易收集，市场依据充分，客观收益易于把握，可采用比较法和收益法；估价对象"+ids+"系已建成正常使用的商业（办公）用房地产，不属于具有开发或再开发潜力的房地产，故不采用假设开发法；估价对象系商业（办公）用房地产，采用成本法测算结果不能客观体现其价值，故不采用成本法。经综合分析，本次估价采用比较法和收益法。");
//
//                    }
//                }
//            }else if (entry.getKey().equals("收益法")){
//                for (Map.Entry<String, List<HouseGuarantyTarget>> entry2 : byUseTo.entrySet()) {
//                    if (entry2.getKey().equals("商业")){
//                        List<HouseGuarantyTarget> business = entry2.getValue();
//                        Set<String> businessTno = business.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//                        String ids = CollectionUtil.formatDotAndRemoveMiddle(businessTno);
//                        builder.writeln("估价对象"+ids+"系商业（办公）用房地产，在同一供需圈内，缺乏与估价对象类似房地产转让案例，故不采用比较法；估价对象"+ids+"系已建成正常使用的商业（办公）用房地产，不属于具有开发或再开发潜力的房地产，故不采用假设开发法；估价对象"+ids+"系商业（办公）用房地产，采用成本法测算结果不能客观体现其价值，故不采用成本法；在同一供需圈内，与估价对象类似房地产租赁较活跃，类似房地产租赁案例较易收集，客观收益易于把握，可采用收益法。经综合分析，本次估价采用收益法。");
//                    }
//                }
//            }else if (entry.getKey().equals("成本法")){
//                for (Map.Entry<String, List<HouseGuarantyTarget>> entry2 : byUseTo.entrySet()) {
//                    if (entry2.getKey().equals("工业")){
//                        List<HouseGuarantyTarget> factory = entry2.getValue();
//                        Set<String> factoryTno = factory.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//                        String ids = CollectionUtil.formatDotAndRemoveMiddle(factoryTno);
//                        builder.writeln("估价对象"+ids+"系工业用房地产，在同一供需圈内，缺乏与估价对象类似房地产转让案例和租赁案例，市场依据不充分，客观收益难以把握，不宜采用比较法和收益法；估价对象"+ids+"系已建成正常使用的工业用房地产，不属于具有开发或再开发潜力的房地产，故不采用假设开发法；估价对象在成都市城区基准地价范围内，其地价易于把握，其建筑物重置成本、费用较易收集掌握，故可采用成本法。经综合分析，本次估价采用成本法。");
//                    }
//                }
//            }
//        }
//    }
//
//    /**
//     * 抵押类：估价对象抵押价值描述
//     * @param doc
//     * @param base
//     */
//    public static void getTargetPledgeInfo(Document doc, HouseGuarantyBase base,String evaluateAmount) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("pledgeValueInfo", true, false);
//
//        //设置字体样式
//        Font font = builder.getFont();
//        font.setName("宋体");
//        font.setSize(14);
//
//        Boolean hasPledge = base.getHasPledge();
//        if (!hasPledge) {
//            builder.writeln("房地产抵押价值是拟抵押房地产在价值时点假定未设立法定优先受偿权利下的价值扣除房地产估价师知悉的法定优先受偿款额后的剩余价值，即：");
//            builder.writeln("估价对象的抵押价值＝估价对象假定未设立法定优先受偿权利下的价值－估价师知悉的法定优先受偿款额，为：");
//            builder.writeln("总价（RMB）：" + evaluateAmount + "-0=" + evaluateAmount + "（万元）[百元以下四舍五入]");
//        }else{
//            String pledgeType = base.getPledgeType();
//            String pledgeUser = base.getPledgeUser();
//            String pledgeValue = base.getPledgeValue();
//            String newPledgeUser = base.getNewPledgeUser();
//            if (base.getSamePledgeContinue()){
//                builder.writeln("房地产抵押价值是拟抵押房地产在价值时点假定未设立法定优先受偿权利下的价值扣除房地产估价师知悉的法定优先受偿款额后的剩余价值，即：");
//                builder.writeln("估价对象的抵押价值＝估价对象假定未设立法定优先受偿权利下的价值－估价师知悉的法定优先受偿款额");
//                builder.writeln("根据估价对象权利人提供的“估价对象权利状况说明及承诺书”，"
//                        +(pledgeType.equals("一般抵押权")?"估价对象已设置了一般抵押权":"估价对象已设立了最高额抵押权")+
//                        "，抵押权人为"+pledgeUser+"，"+(pledgeType.equals("一般抵押权")?"抵押权利价值为"+pledgeValue+"万元":"最高债权额"+pledgeValue+"万元")+
//                        "，截至价值时点尚未注销，委托人拟以估价对象向同一抵押权人申请续期贷款。根据《房地产估价规范》（GB/T50291-2015）相关规定，本抵押价值估价结果未扣减续贷对应的已抵押担保的债权数额，故，估价对象的抵押价值为：");
//                builder.writeln("总价（RMB）：" + evaluateAmount + "-0=" + evaluateAmount + "（万元）[百元以下四舍五入]");
//            }else {
//                builder.writeln("房地产抵押价值是拟抵押房地产在价值时点假定未设立法定优先受偿权利下的价值扣除房地产估价师知悉的法定优先受偿款额后的剩余价值，即：");
//                builder.writeln("估价对象的抵押价值＝估价对象假定未设立法定优先受偿权利下的价值－估价师知悉的法定优先受偿款额");
//                builder.writeln("根据估价对象权利人提供的“估价对象权利状况说明及承诺书”说明及承诺："+(pledgeType.equals("一般抵押权")?"估价对象已设置了一般抵押权":"估价对象已设立了最高额抵押权")+"，抵押权人为"+pledgeUser+"，"+(pledgeType.equals("一般抵押权")?"抵押权利价值为"+pledgeValue+"万元":"最高债权额"+pledgeValue+"万元")+"，" +
//                        "截至价值时点尚未注销，估价对象权利人拟以估价对象向"+newPledgeUser+"申请抵押贷款，在新的抵押权设立前，委托人（房屋所有权人）将清偿估价对象已抵押担保的所有债权，注销原已设立的抵押权；故本抵押价值估价结果未扣减已抵押担保的债权数额，则，估价对象的抵押价值为：");
//                builder.writeln("总价（RMB）：" + evaluateAmount + "-0=" + evaluateAmount + "（万元）[百元以下四舍五入]");
//            }
//            if (base.getSamePledgeHigh()){
//                builder.writeln("房地产抵押价值是拟抵押房地产在价值时点的假定未设立法定优先受偿权利下的价值扣除房地产估价师知悉的法定优先受偿款额后的剩余价值，即：");
//                builder.writeln("估价对象的抵押价值＝估价对象假定未设立法定优先受偿权利下的价值－估价师知悉的法定优先受偿款额");
//                builder.writeln("根据估价对象权利人提供的“估价对象权利状况说明及承诺书”，"
//                        +(pledgeType.equals("一般抵押权")?"估价对象已设置了一般抵押权":"估价对象已设立了最高额抵押权")+
//                        "，现拟设立最高额抵押权，抵押权人为"+pledgeUser+"，最高额抵押权设立前已存在的债权经当事人同意转入最高额抵押担保的债权范围内，原债权人与最高额抵押权人为同一权利主体。根据《房地产估价规范》（GB/T50291-2015）相关规定，本抵押价值估价结果未扣减续贷对应的已抵押担保的债权数额，故，估价对象的抵押价值为：");
//                builder.writeln("总价（RMB）：" + evaluateAmount + "-0=" + evaluateAmount + "（万元）[百元以下四舍五入]");
//
//            }
//            if (base.getHighPledgeNotExpire()){
//                builder.writeln("根据估价对象权利人提供的“估价对象权利状况说明及承诺书”说明及承诺：至价值时点，估价对象已设立最高额抵押权，抵押权人为"+pledgeUser+"，估价对象在最高债权额限度内，作为抵押物对一定期间内连续发生的债权作担保。因约定的债权确定期间内，债权可能连续发生，故本抵押价值估价结果未扣减至价值时点估价对象已抵押担保的债权数额，则，估价对象的抵押价值为：");
//                builder.writeln("总价（RMB）：" + evaluateAmount + "-0=" + evaluateAmount + "（万元）[百元以下四舍五入]");
//
//            }
//
//        }
//    }
//
//    /**
//     * 抵押类：估价对象通用性描述
//     * @param doc
//     * @param targets
//     */
//    public static void getTargetCommonInfo(Document doc, List<HouseGuarantyTarget> targets) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("targetCommonInfo", true, false);
//        Map<String, List<HouseGuarantyTarget>> useToTargets = targets.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getUseTo));
//
//        //设置字体样式
//        Font font = builder.getFont();
//        font.setName("宋体");
//        font.setSize(14);
//
//        for (Map.Entry<String, List<HouseGuarantyTarget>> entry : useToTargets.entrySet()) {
//            String useTo = entry.getKey();
//            if (useTo.equals("住宅")){
//                List<HouseGuarantyTarget> houses = entry.getValue();
//                Map<String, List<HouseGuarantyTarget>> collect = houses.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getCommonLevel));
//                for (Map.Entry<String, List<HouseGuarantyTarget>> houseEntry : collect.entrySet()) {
//                    List<HouseGuarantyTarget> value = houseEntry.getValue();
//                    Set<String> tids = value.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//                    Set<String> years = value.stream().map(HouseGuarantyTarget::getBuildingYear).collect(Collectors.toSet());
//                    String ids = CollectionUtil.formatDotAndRemoveMiddle(tids);
//                    String year = CollectionUtil.formatDotAndRemoveMiddle(years);
//                    if (houseEntry.getKey().equals("强")){
//                        builder.writeln("估价对象"+ids+"所在区域城市生活配套设施和城市公共配套设施完善，估价对象作为"+year+"年修建的存量住宅房地产，系房地产市场中常见并普遍使用的物业，其户型布局合理，面积适中，满足的需求群体大。故，通过以上的分析，我们认为估价对象的通用性为：强。");
//                    }
//                    if (houseEntry.getKey().equals("较强")){
//                        builder.writeln("估价对象"+ids+"所在区域城市生活配套设施和城市公共配套设施较完善，估价对象作为"+year+"年修建的存量住宅房地产，系房地产市场中较常见并普遍使用的物业，其户型布局较合理，面积适中，满足的需求群体较大。故，通过以上的分析，我们认为估价对象的通用性为：较强。");
//                    }
//                    if (houseEntry.getKey().equals("一般")){
//                        builder.writeln("估价对象"+ids+"所在区域城市生活配套设施和城市公共配套设施一般，估价对象作为"+year+"年修建的存量住宅房地产，系房地产市场中较常见并普遍使用的物业，其户型布局合理，面积适中，满足的需求群体受到一定限制。故，通过以上的分析，我们认为估价对象的通用性为：一般。");
//                    }
//                    if (houseEntry.getKey().equals("较弱")){
//                        builder.writeln("估价对象"+ids+"所在区域城市生活配套设施和城市公共配套设施较弱，估价对象作为"+year+"年修建的存量住宅房地产，系房地产市场中较常见并普遍使用的物业，其户型布局合理，面积适中，满足的需求群体较少。故，通过以上的分析，我们认为估价对象的通用性为：较弱。");
//                    }
//                    if (houseEntry.getKey().equals("弱")){
//                        builder.writeln("估价对象"+ids+"所在区域城市生活配套设施和城市公共配套设施弱，估价对象作为"+year+"年修建的存量住宅房地产，系房地产市场中较常见并普遍使用的物业，其户型布局合理，面积适中，满足的需求群体少。故，通过以上的分析，我们认为估价对象的通用性为：弱。");
//                    }
//                }
//            }
//            if (useTo.equals("商业")){
//                List<HouseGuarantyTarget> houses = entry.getValue();
//                Map<String, List<HouseGuarantyTarget>> collect = houses.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getCommonLevel));
//                for (Map.Entry<String, List<HouseGuarantyTarget>> businessEntry : collect.entrySet()) {
//                    List<HouseGuarantyTarget> value = businessEntry.getValue();
//                    Set<String> tids = value.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//                    Set<String> years = value.stream().map(HouseGuarantyTarget::getBuildingYear).collect(Collectors.toSet());
//                    String ids = CollectionUtil.formatDotAndRemoveMiddle(tids);
//                    String year = CollectionUtil.formatDotAndRemoveMiddle(years);
//                    if (businessEntry.getKey().equals("较强")){
//                        builder.writeln("估价对象"+ids+"所在区域城市生活配套设施和城市公共配套设施完善，估价对象作为"+year+"修建的存量商业、办公用房地产，系房地产市场中常见并普遍使用的物业，但其体量较大，满足的需求群体大。故，通过以上的分析，我们认为估价对象的通用性为：较强。");
//                    }
//                    if (businessEntry.getKey().equals("一般")){
//                        builder.writeln("估价对象"+ids+"所在区域城市生活配套设施和城市公共配套设施完善，估价对象作为"+year+"修建的存量商业、办公用房地产，系房地产市场中常见并普遍使用的物业，但其体量较大，满足的需求群体受到一定限制。故，通过以上的分析，我们认为估价对象的通用性为：一般。");
//                    }
//                    if (businessEntry.getKey().equals("较弱")){
//                        builder.writeln("估价对象"+ids+"所在区域城市生活配套设施和城市公共配套设施完善，估价对象作为"+year+"修建的存量商业、办公用房地产，系房地产市场中常见并普遍使用的物业，但其体量较大，满足的需求群体较少。故，通过以上的分析，我们认为估价对象的通用性为：较弱。");
//                    }
//                    if (businessEntry.getKey().equals("弱")){
//                        builder.writeln("估价对象"+ids+"所在区域城市生活配套设施和城市公共配套设施完善，估价对象作为"+year+"修建的存量商业、办公用房地产，系房地产市场中常见并普遍使用的物业，但其体量较大，满足的需求群体少。故，通过以上的分析，我们认为估价对象的通用性为：弱。");
//                    }
//                }
//            }
//            if (useTo.equals("工业")){
//                List<HouseGuarantyTarget> houses = entry.getValue();
//                Map<String, List<HouseGuarantyTarget>> collect = houses.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getCommonLevel));
//                for (Map.Entry<String, List<HouseGuarantyTarget>> factoryEntry : collect.entrySet()) {
//                    List<HouseGuarantyTarget> value = factoryEntry.getValue();
//                    Set<String> tids = value.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//                    Set<String> years = value.stream().map(HouseGuarantyTarget::getBuildingYear).collect(Collectors.toSet());
//                    String ids = CollectionUtil.formatDotAndRemoveMiddle(tids);
//                    String year = CollectionUtil.formatDotAndRemoveMiddle(years);
//                    if (factoryEntry.getKey().equals("一般")){
//                        builder.writeln("估价对象"+ids+"作为"+year+"修建的存量工业用房地产，类似房地产交易市场不活跃，不属房地产市场中常见并普遍使用的物业，其满足的需求群体受到一定限制。故，通过以上的分析，我们认为估价对象的通用性为：一般。");
//                    }
//                    if (factoryEntry.getKey().equals("较弱")){
//                        builder.writeln("估价对象"+ids+"作为"+year+"修建的存量工业用房地产，类似房地产交易市场不活跃，不属房地产市场中常见并普遍使用的物业，其满足的需求群体较少。故，通过以上的分析，我们认为估价对象的通用性为：较弱。");
//                    }
//                    if (factoryEntry.getKey().equals("弱")){
//                        builder.writeln("估价对象"+ids+"作为"+year+"修建的存量工业用房地产，类似房地产交易市场不活跃，不属房地产市场中常见并普遍使用的物业，其满足的需求群体少。故，通过以上的分析，我们认为估价对象的通用性为：弱。");
//                    }
//                }
//            }
//        }
//
//    }
//
//    /**
//     * 抵押类：房地产的独立使用性
//     * @param doc
//     * @param targets
//     */
//    public static void getTargetIndependence(Document doc, List<HouseGuarantyTarget> targets) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("targetIndependence", true, false);
//        Map<String, List<HouseGuarantyTarget>> useTo = targets.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getUseTo));
//
//        //设置字体样式
//        Font font = builder.getFont();
//        font.setName("宋体");
//        font.setSize(14);
//
//        for (Map.Entry<String, List<HouseGuarantyTarget>> entry : useTo.entrySet()) {
//            String key = entry.getKey();
//            List<HouseGuarantyTarget> value = entry.getValue();
//            if (key.equals("住宅")){
//                Map<String, List<HouseGuarantyTarget>> independenceMap = value.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getIndependence));
//                for (Map.Entry<String, List<HouseGuarantyTarget>> independence : independenceMap.entrySet()) {
//                    String key1 = independence.getKey();
//                    List<HouseGuarantyTarget> value1 = independence.getValue();
//                    Set<String> tids = value1.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//                    String ids = CollectionUtil.formatDotAndRemoveMiddle(tids);
//                    //todo 描述都是一样的，待业务那边把描述模版提供后修改
//                    if (key1.equals("强")){
//                        builder.writeln("估价对象"+ids+"作为单独成套的住宅用房，产权明晰，物质实体四界分明，不受相邻房地产和毗邻房地产使用或处分的影响，其独立使用既不影响其本身的使用功能，也对相邻或毗邻房地产不产生制约和影响。通过以上的分析，我们认为估价对象的独立使用性强。");
//                    }
//                    if (key1.equals("较强")){
//                        builder.writeln("估价对象"+ids+"作为单独成套的住宅用房，产权明晰，物质实体四界分明，不受相邻房地产和毗邻房地产使用或处分的影响，其独立使用既不影响其本身的使用功能，也对相邻或毗邻房地产不产生制约和影响。通过以上的分析，我们认为估价对象的独立使用性强。");
//                    }
//                    if (key1.equals("一般")){
//                        builder.writeln("估价对象"+ids+"作为单独成套的住宅用房，产权明晰，物质实体四界分明，不受相邻房地产和毗邻房地产使用或处分的影响，其独立使用既不影响其本身的使用功能，也对相邻或毗邻房地产不产生制约和影响。通过以上的分析，我们认为估价对象的独立使用性强。");
//                    }
//                    if (key1.equals("较弱")){
//                        builder.writeln("估价对象"+ids+"作为单独成套的住宅用房，产权明晰，物质实体四界分明，不受相邻房地产和毗邻房地产使用或处分的影响，其独立使用既不影响其本身的使用功能，也对相邻或毗邻房地产不产生制约和影响。通过以上的分析，我们认为估价对象的独立使用性强。");
//                    }
//                    if (key1.equals("弱")){
//                        builder.writeln("估价对象"+ids+"作为单独成套的住宅用房，产权明晰，物质实体四界分明，不受相邻房地产和毗邻房地产使用或处分的影响，其独立使用既不影响其本身的使用功能，也对相邻或毗邻房地产不产生制约和影响。通过以上的分析，我们认为估价对象的独立使用性强。");
//                    }
//                }
//
//            }
//            if (key.equals("工业")){
//                Map<String, List<HouseGuarantyTarget>> independenceMap = value.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getIndependence));
//                for (Map.Entry<String, List<HouseGuarantyTarget>> independence : independenceMap.entrySet()) {
//                    String key1 = independence.getKey();
//                    List<HouseGuarantyTarget> value1 = independence.getValue();
//                    Set<String> tids = value1.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//                    String ids = CollectionUtil.formatDotAndRemoveMiddle(tids);
//                    //todo 描述都是一样的，待业务那边把描述模版提供后修改
//                    if (key1.equals("强")){
//                        builder.writeln("估价对象"+ids+"作为工业用房地产，产权明晰，物质实体四界分明，估价对象整体作为******厂工业用物业，厂区内各栋建筑物公用部分及水、电、消防等附属设施设备统一布局配置，整体使用不受限制；但作为独立产权的估价对象个体来看，其独立使用性受到一定限制。通过以上的分析，我们认为估价对象的独立使用性：整体使用不受限制；但估价对象中具备房屋独立产权的估价对象个体，其独立使用性受到一定限制。");
//                    }
//                    if (key1.equals("较强")){
//                        builder.writeln("估价对象"+ids+"作为工业用房地产，产权明晰，物质实体四界分明，估价对象整体作为******厂工业用物业，厂区内各栋建筑物公用部分及水、电、消防等附属设施设备统一布局配置，整体使用不受限制；但作为独立产权的估价对象个体来看，其独立使用性受到一定限制。通过以上的分析，我们认为估价对象的独立使用性：整体使用不受限制；但估价对象中具备房屋独立产权的估价对象个体，其独立使用性受到一定限制。");
//                    }
//                    if (key1.equals("一般")){
//                        builder.writeln("估价对象"+ids+"作为工业用房地产，产权明晰，物质实体四界分明，估价对象整体作为******厂工业用物业，厂区内各栋建筑物公用部分及水、电、消防等附属设施设备统一布局配置，整体使用不受限制；但作为独立产权的估价对象个体来看，其独立使用性受到一定限制。通过以上的分析，我们认为估价对象的独立使用性：整体使用不受限制；但估价对象中具备房屋独立产权的估价对象个体，其独立使用性受到一定限制。");
//                    }
//                    if (key1.equals("较弱")){
//                        builder.writeln("估价对象"+ids+"作为工业用房地产，产权明晰，物质实体四界分明，估价对象整体作为******厂工业用物业，厂区内各栋建筑物公用部分及水、电、消防等附属设施设备统一布局配置，整体使用不受限制；但作为独立产权的估价对象个体来看，其独立使用性受到一定限制。通过以上的分析，我们认为估价对象的独立使用性：整体使用不受限制；但估价对象中具备房屋独立产权的估价对象个体，其独立使用性受到一定限制。");
//                    }
//                    if (key1.equals("弱")){
//                        builder.writeln("估价对象"+ids+"作为工业用房地产，产权明晰，物质实体四界分明，估价对象整体作为******厂工业用物业，厂区内各栋建筑物公用部分及水、电、消防等附属设施设备统一布局配置，整体使用不受限制；但作为独立产权的估价对象个体来看，其独立使用性受到一定限制。通过以上的分析，我们认为估价对象的独立使用性：整体使用不受限制；但估价对象中具备房屋独立产权的估价对象个体，其独立使用性受到一定限制。");
//                    }
//                }
//            }
//
//        }
//    }
//
//    /**
//     * 抵押类：估价对象的分隔转让性
//     * @param doc
//     * @param targets
//     */
//    public static void getTargetTransfer(Document doc, List<HouseGuarantyTarget> targets) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("targetTransfer", true, false);
//        Map<String, List<HouseGuarantyTarget>> useTo = targets.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getUseTo));
//
//        //设置字体样式
//        Font font = builder.getFont();
//        font.setName("宋体");
//        font.setSize(14);
//
//        for (Map.Entry<String, List<HouseGuarantyTarget>> entry : useTo.entrySet()) {
//            String key = entry.getKey();
//            List<HouseGuarantyTarget> value = entry.getValue();
//            Set<String> tids = value.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//            String ids = CollectionUtil.formatDotAndRemoveMiddle(tids);
//            if (key.equals("住宅")){
//                builder.writeln("估价对象"+ids+"作为成套独立使用的住宅用房，在物理上、经济上不可分离使用，其本身若再分割将无法满足其居家基本使用功能，且不符合房屋登记基本单元的规定。故，通过以上的分析，我们认为估价对象不可分割转让。");
//            }
//            if (key.equals("工业")){
//                builder.writeln("估价对象作为工业用房地产，各功能房屋不宜分割使用，分割使用会破坏其应有的效能，估价对象应整体使用才能发挥其应有的效能，体现其正常的房地产价值。通过以上的分析，我们认为估价对象不宜分割转让。");
//            }
//
//        }
//    }
//
//    /**
//     * 抵押类：估价对象区位描述
//     * @param doc
//     * @param areas
//     */
//    public static void getTargetAreaInfo(Document doc, List<HouseGuarantyArea> areas) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("targetAreaInfo", true, false);
//
//        //设置字体样式
//        Font font = builder.getFont();
//        font.setName("宋体");
//        font.setSize(14);
//
//        Map<String, List<HouseGuarantyArea>> collect = areas.stream().collect(Collectors.groupingBy(HouseGuarantyArea::getTid));
//        StringBuilder sb = new StringBuilder("估价对象");
//        for (Map.Entry<String, List<HouseGuarantyArea>> entry : collect.entrySet()) {
//            String key = entry.getKey();
//            List<HouseGuarantyArea> value = entry.getValue();
//            String mergeAddress = getMergeAddress(value);
//            if (AddressUtil.isCenterChengdu(mergeAddress)){
//                sb.append(key).append("位于").append(mergeAddress).append("，地处成都市中心城区成熟区域，所处区域道路通达，交通便捷，城市生活配套设施和城市公共配套设施完善，区域环境较好。故，通过以上的分析，我们认为估价对象区位条件对变现能力有正面影响。");
//                builder.writeln(sb.toString());
//            }
//            else if (AddressUtil.isTechChengdu(mergeAddress)){
//                sb.append(key).append("位于").append(mergeAddress).append("，地处成都市高新区CBD商务区，所处区域系成都市近年房地产市场热点区域，区域内办公、写字楼物业聚集度较高，商业设施配套完备。区域内有较多企事业单位在此办公、经营，办公物业销售状况稳定，租金收益良好，同时区域内有较多居住小区，商服繁华度逐步提高，该区域道路通达度高，交通便捷度高，区域城市生活配套设施和城市公共配套设施完善。估价对象作为办公及配套物业，物业类型与区域未来发展方向相一致，具备具有一定的升值和保值潜力。区位条件对其变现能力有积极的影响。通过以上的分析，我们认为估价对象区位总体条件较好。");
//                builder.writeln(sb.toString());
//            } else {
//                sb.append(key).append("位于").append(mergeAddress).append("，区域内商业物业聚集度较高，商业设施配套较完备。区域内有较多居住小区，商服繁华度较高，该区域道路通达度高，交通便捷度高，区域城市生活配套设施和城市公共配套设施完善。估价对象作为商业物业，物业类型与区域未来发展方向相一致，具备具有一定的升值和保值潜力。区位条件对其变现能力有积极的影响。通过以上的分析，我们认为估价对象区位总体条件较好。");
//                builder.writeln(sb.toString());
//            }
//        }
//
//
//    }
//
//    /**
//     * 抵押类：土地开发程度
//     * @param doc
//     * @param entities
//     */
//    public static void getTargetLandDev(Document doc, List<HouseTargetEntity> entities) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("targetLandDev", true, false);
//
//        //设置字体样式
//        Font font = builder.getFont();
//        font.setName("宋体");
//        font.setSize(14);
//
//        Map<String, List<HouseTargetEntity>> collect = entities.stream().collect(Collectors.groupingBy(HouseTargetEntity::getLandDeep));
//
//        for (Map.Entry<String, List<HouseTargetEntity>> entry : collect.entrySet()) {
//            String key = entry.getKey();
//            List<HouseTargetEntity> value = entry.getValue();
//            if (key.equals("宗地外“六通”（通上水、通下水、通电、通气、通路、通讯）、宗地内“五通一平”(通上水、通下水、通讯、通电、通路、场地平整)")){
//                StringBuffer sb = new StringBuffer();
//                Set<String> tids = value.stream().map(HouseTargetEntity::getTid).collect(Collectors.toSet());
//                String ids = CollectionUtil.formatDotAndRemoveMiddle(tids);
//                for (HouseTargetEntity targetEntity : value) {
//                    sb.append("估价对象").append(targetEntity.getTid()).append("作为").append(targetEntity.getHouseAge())
//                            .append("左右修建的").append(targetEntity.getUseTo().equals("商业")?"存量商业房地产，":"存量住宅房地产，");
//                }
//                sb.append("房屋维护保养较好，土地开发程度").append(key).append("。故，通过以上的分析，我们认为估价对象"+ids+"开发程度条件较好，能满足商业用房的正常使用。");
//            }
//            if (key.equals("宗地外“六通”（通上水、通下水、通电、通气、通路、通讯）、宗地内“六通一平”(通上水、通下水、通讯、通电、通气、通路、场地平整)")){
//                StringBuffer sb = new StringBuffer();
//                Set<String> tids = value.stream().map(HouseTargetEntity::getTid).collect(Collectors.toSet());
//                String ids = CollectionUtil.formatDotAndRemoveMiddle(tids);
//                for (HouseTargetEntity targetEntity : value) {
//                    sb.append("估价对象").append(targetEntity.getTid()).append("作为").append(targetEntity.getHouseAge())
//                            .append("左右修建的").append(targetEntity.getUseTo().equals("商业")?"存量商业房地产，":"存量住宅房地产，");
//                }
//                sb.append("房屋维护保养较好，土地开发程度").append(key).append("。故，通过以上的分析，我们认为估价对象"+ids+"开发程度条件较好，能满足商业用房的正常使用。");
//            }
//        }
//
//    }
//
//    /**
//     * 抵押类 ：房地产价值大小
//     * @param doc
//     * @param targets
//     */
//    public static void getTargetValueInfo(Document doc, List<HouseGuarantyTarget> targets) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("targetValueInfo", true, false);
//
//        //设置字体样式
//        Font font = builder.getFont();
//        font.setName("宋体");
//        font.setSize(14);
//        Map<String, List<HouseGuarantyTarget>> useTo = targets.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getUseTo));
//
//        for (Map.Entry<String, List<HouseGuarantyTarget>> entry : useTo.entrySet()) {
//            String key = entry.getKey();
//            List<HouseGuarantyTarget> value = entry.getValue();
//            Set<String> tids = value.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//            String ids = CollectionUtil.formatDotAndRemoveMiddle(tids);
//            if (key.equals("商业")){
//                builder.writeln("估价对象"+ids+"作为大体量的商业、办公用房地产，房地产价值大，变现时会对潜在购买人产生制约，流动性较差，故整体变现对其价值有较大影响。");
//            }
//            if (key.equals("住宅")){
//                builder.writeln("估价对象"+ids+"作为单独成套的住宅用房，总价不高，具有良好的流动性，故整体变现对其价值无特殊影响。");
//            }
//        }
//
//    }
//
//    /**
//     * 抵押类 ：房地产价值大小1
//     * @param doc
//     * @param targets
//     */
//    public static void getTargetValueInfo1(Document doc, List<HouseGuarantyTarget> targets) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("targetValueInfo1", true, false);
//
//        //设置字体样式
//        Font font = builder.getFont();
//        font.setName("宋体");
//        font.setSize(14);
//        Map<String, List<HouseGuarantyTarget>> useTo = targets.stream().collect(Collectors.groupingBy(HouseGuarantyTarget::getUseTo));
//
//        for (Map.Entry<String, List<HouseGuarantyTarget>> entry : useTo.entrySet()) {
//            String key = entry.getKey();
//            List<HouseGuarantyTarget> value = entry.getValue();
//            Set<String> tids = value.stream().map(HouseGuarantyTarget::getTid).collect(Collectors.toSet());
//            String ids = CollectionUtil.formatDotAndRemoveMiddle(tids);
//            if (key.equals("商业")){
//                builder.writeln("估价对象"+ids+"作为大体量的商业、办公用房地产，房地产价值大，变现时会对潜在购买人产生制约，流动性较差，故整体变现对其价值有较大影响。");
//            }
//            if (key.equals("住宅")){
//                builder.writeln("估价对象"+ids+"作为单独成套的住宅用房，总价不高，具有良好的流动性，故整体变现对其价值无特殊影响。");
//            }
//        }
//    }
//
//    /**
//     * 抵押类：抵押期间可能产生的房地产信贷风险关注点
//     * @param doc
//     */
//    public static void getTargetRiskPoint(Document doc) throws Exception {
//        //构造 builder
//        DocumentBuilder builder = new DocumentBuilder(doc);
//        //将 光标移动到指定书签处，准备创作
//        builder.moveToBookmark("targetRiskPoint", true, false);
//
//        //设置字体样式
//        Font font = builder.getFont();
//        font.setName("宋体");
//        font.setSize(14);
//        builder.writeln("!# 此部分内容未生成 #");
//    }
//}
