package com.dayou.utils.table;

import java.util.Map;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/8/31
 * created with IntelliJ IDEA.
 */
public class WordGeneratorWithFreemarker {

    /**
     * 创建doc文件
     * @param templatePath 模板所在路径 xxx/xxx/template
     * @param templateName 模板名字 xxx.ftl
     * @param dataMap 数据集合
     * @param outPath 输出文件路径  xxx/xxx/xxx.doc
     */
    public static void createDoc(String templatePath, String templateName, Map<String, String> dataMap, String outPath) throws Exception{
        FreemarkerUtil freemarker = new FreemarkerUtil();
        freemarker.fprint(templatePath,templateName,dataMap,outPath);
    }

    /**
     * 创建富文本Html处理器，主要处理图片及编码
     * @param richObject 需要的参数
     * @return
     */
    public static RichHtmlHandler createRichHtmlHandler(RichObject richObject) throws Exception{
        RichHtmlHandler richHtmlHandler = new RichHtmlHandler(richObject);
        return richHtmlHandler;
    }

}
