package com.dayou.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.DocumentProductionQueryDTO;
import com.dayou.entity.DocumentProduction;
import com.dayou.entity.HouseGuarantyProcess;
import org.apache.ibatis.annotations.Param;

public interface DocumentProductionMapper extends BaseMapper<DocumentProduction> {

    Page<DocumentProduction> getPage(Page page, @Param("dto") DocumentProductionQueryDTO dto);

    /**
     * 通过业务id获取文档信息
     * @param businessId 业务id
     * @param businessSubId 业务二级id
     * @return DocumentProduction
     */
    DocumentProduction getDocProdByBusinessId(@Param("businessId") Long businessId, @Param("businessSubId") Long businessSubId);

    Page<DocumentProduction> houseDocumentProduction(Page page, @Param("dto")DocumentProductionQueryDTO dto);

}
