package com.dayou.mapper;

import com.dayou.entity.EqptPPI;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 机器设备物价指数表 Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-26
 */
public interface EqptPPIMapper extends BaseMapper<EqptPPI> {

    /**
     * 获取所有PPI类型
     * @return List<String>
     */
    List<String> getAllPPIType();

    /**
     * 根据类型获取指数信息
     * @param type 类型
     * @return List<EqptPPI>
     */
    List<EqptPPI> getPPIByType(@Param("type") String type);

    /**
     * 根据ppi名和类型获取ppi
     * @param ppiName 名
     * @param ppiType 类型
     * @return EqptPPI
     */
    EqptPPI getPPIByNameType(@Param("ppiName") String ppiName, @Param("ppiType") String ppiType);

}
