package com.dayou.mapper;

import com.dayou.common.DropDownBoxData;
import com.dayou.entity.TmplAssetCalculate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dayou.vo.TmplAssetCalculateDetailVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 资产测算表模板信息表 Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-06
 */
public interface TmplAssetCalculateMapper extends BaseMapper<TmplAssetCalculate> {

    /**
     * 获取资产测算表的下拉框数据
     * @return List<DropDownBoxData>
     */
    List<DropDownBoxData> getDropDownBoxData();

    /**
     * 根据id获取模板详细信息
     * @param templateCalculateId 模板id
     * @return TmplAssetCalculateDetailVO
     */
    TmplAssetCalculateDetailVO getTmplAssetCalculateDetailById(@Param("templateCalculateId") Long templateCalculateId);

    /**
     * 根据测算表模板code获取模板信息
     * @param tmplCode 模板code
     * @return TmplAssetCalculate
     */
    TmplAssetCalculate getCalculateTmplByCode(@Param("tmplCode") String tmplCode);

}
