package com.dayou.mapper;

import com.dayou.common.DropDownBoxData;
import com.dayou.entity.TmplAssetReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dayou.entity.TmplAssetReportSection;
import com.dayou.vo.TmplAssetReportDetailVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 资产报告模板信息表 Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-05
 */
public interface TmplAssetReportMapper extends BaseMapper<TmplAssetReport> {

    /**
     * 获取资产报告的下拉框数据
     * @return List<DropDownBoxData>
     */
    List<DropDownBoxData> getDropDownBoxData();

    /**
     * 根据报告模板id获取报告模板详细信息
     * @param templateReportId 模板id
     * @return TmplAssetReportSection
     */
    TmplAssetReportDetailVO getTmplAssetReportDetailById(@Param("templateReportId") Long templateReportId);

    /**
     * 根据模板code获取报告主模板
     * @param tmplCode 模板code
     * @param reportType 模板类型
     * @return TmplAssetReport
     */
    TmplAssetReport getTmplByCode(@Param("tmplCode") String tmplCode, @Param("reportType") String reportType);

}
