package com.dayou.mapper;

import com.dayou.entity.TmplAssetReportSection;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 资产报告模板的段落模板信息表 Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-05
 */
public interface TmplAssetReportSectionMapper extends BaseMapper<TmplAssetReportSection> {
    /**
     * 根据报告主模板id更新段落模板删除状态
     * @param TRId 主模板id
     * @return Boolean
     */
    Boolean updateDeleteStatusByTRId(@Param("TRId") Long TRId);

    /**
     * 根据模板code获取报告段落模板
     * @param tmplCode 模板code
     * @param templateReportId 主模板id
     * @return TmplAssetReportSection
     */
    TmplAssetReportSection getTmplByCode(@Param("tmplCode") String tmplCode, @Param("templateReportId") Long templateReportId);
}
