package com.dayou.annotation;

import com.aspose.words.*;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface WordTableColumn {

    /**
     * 列名
     */
    String name() default "";

    /**
     * 是否创建列
     */
    boolean isCreate() default true;

    /**
     * 单元格垂直对齐(默认居中)
     */
    int cellVerticalAlignment() default CellVerticalAlignment.CENTER;

    /**
     * 对齐方式(默认左对齐,详见ParagraphAlignment)
     */
    int paragraphAlignment() default ParagraphAlignment.LEFT;

    /**
     * 首行缩进
     */
    double firstLineIndent() default 0;

    /**
     * 行高(默认14.175磅,约等于0.5厘米)
     */
    double lineSpacing() default 14.175;

    /**
     * 行高规则(默认最低,详见LineSpacingRule)
     */
    int lineSpacingRule() default LineSpacingRule.AT_LEAST;

    /**
     * 字体(默认宋体)
     */
    String fontName() default "宋体";

    /**
     * 是否加粗标题
     */
    boolean titleBold() default false;

    /**
     * 标题字号(默认小五)
     */
    double titleFontSize() default 9;

    /**
     * 是否加粗内容
     */
    boolean bold() default false;

    /**
     * 字号(默认小五)
     */
    double fontSize() default 9;

    /**
     * 单元格宽度(默认50磅)
     */
    double cellWidth() default 50;

}
