package com.dayou.converter;

import com.alibaba.excel.converters.NullableObjectConverter;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.data.ReadCellData;
import com.alibaba.excel.metadata.data.WriteCellData;
import com.alibaba.excel.metadata.property.ExcelContentProperty;

public class NullToEmptyStringConverter implements NullableObjectConverter<String> {

    @Override
    public Class supportJavaTypeKey() {
        return String.class;
    }

    @Override
    public CellDataTypeEnum supportExcelTypeKey() {
        return CellDataTypeEnum.STRING;
    }

    @Override
    public String convertToJavaData(ReadCellData cellData, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) throws Exception {
        if (cellData.getType() == CellDataTypeEnum.STRING) {
            if (cellData.getStringValue() == null) {
                return "";
            } else {
                return cellData.getStringValue();
            }
        } else if (cellData.getType() == CellDataTypeEnum.NUMBER) {
            if (cellData.getNumberValue() == null) {
                return "";
            } else {
                return cellData.getNumberValue().toString();
            }
        } else if (cellData.getType() == CellDataTypeEnum.BOOLEAN) {
            if (cellData.getBooleanValue() == null) {
                return "";
            } else {
                return (cellData.getBooleanValue() ? "true" : "false");
            }
        }
        return "";
    }

    @Override
    public WriteCellData<?> convertToExcelData(String value, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) throws Exception {
        return new WriteCellData<>(value);
    }
}
