package com.dayou.doc.house;

import lombok.Data;

@Data
public class GuarantyResultDO {

    /**
     * 报告号
     */
    private String docNo;

    /**
     * 委托人
     */
    private String consignor;

    /**
     * 划拨用地是否扣除出让金
     */
    private String consignorType;

    /**
     * 委托人住所
     */
    private String consignorAddress;

    /**
     * 法定代表人
     */
    private String consignorPerson;

    /**
     * 委托人注册资本
     */
    private String consignorMoney;

    /**
     * 统一社会信用代码
     */
    private String creditCode;

    /**
     * 估价目的
     */
    private String workPurpose;

    /**
     * 估价对象及范围
     */
    private String targetScope;

    /**
     * 建筑物实物状况
     */
    private String buildingInfo;

    /**
     * 土地实物状况
     */
    private String landInfo;

    /**
     * 担保物权状况
     */
    private String guarantyInfo;

    /**
     * 用益物权状况
     */
    private String remInfo;

    /**
     * 租赁或占用情况
     */
    private String rentInfo;

    /**
     * 估价对象区位状况
     */
    private String areaInfo;

    /**
     * 价值时点
     */
    private String valueTiming;

    /**
     * 价值时点描述
     */
    private String valueTimingInfo;
    /**
     * 价值类型
     */
    private String valueType;
    /**
     * 价值内涵
     */
    private String valueMeaning;
    /**
     * 估价依据1
     */
    private String gist1;
    /**
     * 估价依据2
     */
    private String gist2;
    /**
     * 估价依据3
     */
    private String gist3;
    /**
     * 估价依据4
     */
    private String gist4;
    /**
     * 估价原则
     */
    private String principle;

    /**
     * 估价结果1
     */
    private String result1;
    /**
     * 估价结果2
     */
    private String result2;
    /**
     * 估价结果3
     */
    private String result3;
    /**
     * 估价结果4
     */
    private String result4;
    /**
     * 实地查勘期
     */
    private String sceneDate;
    /**
     * 估价作业期
     */
    private String workDate;


    /**
     * 已抵押担保的债权数额（万元）
     */
    private String pledgeValue;

    /**
     * 拖欠的建设工程价款（万元）
     */
    private String debtMoney;

    /**
     * 其他法定优先受偿款（万元）
     */
    private String firstMoney;

    /**
     * 合计（万元）
     */
    private String totalMoney;

    /**
     * 估价师1
     */
    private String appraiser1;
    /**
     * 估价师2
     */
    private String appraiser2;
    /**
     * 估价师1注册号
     */
    private String appraNo1;
    /**
     * 估价师2注册号
     */
    private String appraNo2;

    private String excelUri;

}
