package com.dayou.dto.report.equipment;

import lombok.Data;

import java.util.List;

@Data
public class EqptReportBaseInfoDTO {

    /**
     * 报告类型(评估报告\咨询报告)
     */
    private String reportType;

    /**
     * 报告名称
     */
    private String reportName;

    /**
     * 目的
     */
    private String purpose;

    /**
     * 范围
     */
    private String scope;

    /**
     * 价值类型
     */
    private String valueType;

    /**
     * 前期准备阶段
     */
    private String preparationPhase;

    /**
     * 基准日
     */
    private String valuationBasisDate;

    /**
     * 现场调查日
     */
    private String fieldInvestigationDay;

    /**
     * 方法
     */
    private String method;

    /**
     * 结论
     */
    private String conclusion;

    /**
     * 是否包含增值税
     */
    private String hasVAT;

    /**
     * 报告日
     */
    private String reportDate;

    /**
     * 有效期
     */
    private String reportValidity;

    /**
     * 委托人
     */
    private List<ConsignorInfo> consignorInfos;

    /**
     * 产权持有人
     */
    private List<PropertyOwnerInfo> propertyOwnerInfos;

    /**
     * 委托人与产权持有人之间的关系
     */
    private String ownerClient;

    /**
     * 资产实物情况
     */
    private AssetsInfo assetsInfo;

    /**
     * 委托人信息
     */
    @Data
    public static class ConsignorInfo {

        /**
         * 序号
         */
        private Integer sort;

        /**
         * 序号(大写汉字)
         */
        private String sortUppercase;

        /**
         * 公司名称
         */
        private String consignorCompanyName;

        /**
         * 统一社会信用代码
         */
        private String consignorUnifiedSocialCreditCode;

        /**
         * 注册地址
         */
        private String consignorRegisteredAddress;

        /**
         * 法定代表人/负责人
         */
        private String consignorLegalRepresentative;

        /**
         * 类型
         */
        private String consignorType;

        /**
         * 成立日期
         */
        private String consignorEstablishmentDate;

        /**
         * 经营范围
         */
        private String consignorBusinessScope;

    }

    /**
     * 产权持有人信息
     */
    @Data
    public static class PropertyOwnerInfo {

        /**
         * 序号
         */
        private Integer sort;

        /**
         * 序号(大写汉字)
         */
        private String sortUppercase;

        /**
         * 公司名称
         */
        private String ownerCompanyName;

        /**
         * 统一社会信用代码
         */
        private String ownerUnifiedSocialCreditCode;

        /**
         * 注册地址
         */
        private String ownerRegisteredAddress;

        /**
         * 法定代表人/负责人
         */
        private String ownerLegalRepresentative;

        /**
         * 类型
         */
        private String ownerType;

        /**
         * 成立日期
         */
        private String ownerEstablishmentDate;

        /**
         * 经营范围
         */
        private String ownerBusinessScope;

    }

    /**
     * 资产实物情况信息
     */
    @Data
    public static class AssetsInfo {

        /**
         * 资产项数
         */
        private String assetCount;

        /**
         * 资产位置
         */
        private String assetLocation;

        /**
         * 主要设备资产
         */
        private String majorEquipmentAssets;

        /**
         * 购置期间
         */
        private String purchasePeriod;

        /**
         * 资产现状
         */
        private String assetCondition;

        /**
         * 是否设立抵押权
         */
        private Boolean establishMortgage;

        /**
         * 是否尚在质保期
         */
        private Boolean underWarranty;

        /**
         * 基准日尚余未付设备款
         */
        private Integer eqptUnpaidAmount;

        /**
         * 产权持有人权属等主要资料不完整或者存在瑕疵的情形
         */
        private String flaw;

    }

}
