package com.dayou.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 机器设备测算数据表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AssetsCalculateEqptData extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 资产测算表id
     */
    private Long assetsCalculateId;

    /**
     * 序号
     */
    @ExcelProperty("序号")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Integer sortId;

    /**
     * 设备名称
     */
    @ExcelProperty("设备名称")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String equipmentName;

    /**
     * 生产厂家
     */
    @ExcelProperty("生产厂家")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String manufacturer;

    /**
     * 型号规格
     */
    @ExcelProperty("型号规格")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String model;

    /**
     * 购买日期
     */
    @ExcelProperty("购买日期")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private LocalDate purchaseDate;

    /**
     * 启用日期
     */
    @ExcelProperty("启用日期")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private LocalDate activationDate;

    /**
     * 存放地点
     */
    @ExcelProperty("存放地点")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String storageLocation;

    /**
     * 数量
     */
    @ExcelProperty("数量")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Integer quantity;

    /**
     * 计量单位
     */
    @ExcelProperty("计量单位")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String unitOfMeasurement;

    /**
     * 账面原值
     */
    @ExcelProperty("账面原值")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal bookOriginalValue;

    /**
     * 账面净值
     */
    @ExcelProperty("账面净值")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal bookNetValue;


    /**
     * 评估原值
     */
    @ExcelIgnore
    private BigDecimal evaluateOriginalValue;

    /**
     * 评估净值
     */
    @ExcelIgnore
    private BigDecimal evaluateNetValue;

    /**
     * 合同/发票含税单价
     */
    @ExcelProperty("合同/发票含税单价")
    private BigDecimal taxedUnitPrice;

    /**
     * 购置时税率
     */
    @ExcelIgnore
    private BigDecimal taxRate;

    /**
     * 备注
     */
    @ExcelProperty("备注")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String remark;

    /**
     * 经济使用年数
     */
    @ExcelIgnore
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Integer economicServiceLife;

    /**
     * 直接观察成新率
     */
    @ExcelIgnore
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal directObservationDepreciationRate;

    /**
     * 设备类型
     */
    @ExcelProperty("设备类型")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String equipmentType;

    /**
     * 作价方法
     */
    @ExcelIgnore
    private String valuationMethod;

    /**
     * 询价依据
     */
    @ExcelIgnore
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String inquiryBasis;

    /**
     * 询价网址
     */
    @ExcelIgnore
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String inquiryWeb;

    /**
     * 询价地点
     */
    @ExcelIgnore
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String inquiryLocation;

    /**
     * 询价单价（元）
     */
    @ExcelIgnore
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal price;

    /**
     * 运杂费率
     */
    @ExcelIgnore
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal freightAndMiscellaneousFeeRate;

    /**
     * 基础费率
     */
    @ExcelIgnore
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal baseRate;

    /**
     * 安装费率
     */
    @ExcelIgnore
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal installationRate;

    /**
     * 使用情况
     */
    @ExcelIgnore
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String usageSituation;

    /**
     * 尚可使用年限
     */
    @ExcelIgnore
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Integer remainingUsefulLife;

    /**
     * 空单元格占位(对应模板上的设置)
     * 不设置占位的话,导入数据时空单元格不会创建单元格会导致模板样式丢失
     */
    @TableField(exist = false)
    private Integer placeholder;

    /**
     * 权重1
     */
    @TableField(exist = false)
    private Double weight01 = 0.4;

    /**
     * 权重2
     */
    @TableField(exist = false)
    private Double weight02 = 0.6;


}
