package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 机器设备-进口设备测算数据表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AssetsCalculateEqptImpData extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 测算数据主表id
     */
    private Long eqptDataId;

    /**
     * 价格指数
     */
    private Double ppi;

    /**
     * 取价依据
     */
    private String pricingBasis;

    /**
     * 基准日汇率中间价
     */
    private Float centralParityRate;

    /**
     * 关税税率
     */
    private Float tariffRate;

    /**
     * 关税税率截图
     */
    private String tariffRatePicture;

    /**
     * 进口增值税率
     */
    private Float importVATRate;

    /**
     * 银行财务费率
     */
    private Float bankChargesRate;

    /**
     * 外贸手续费率
     */
    private Float foreignTransactionRate;

    /**
     * 商品编号
     */
    private String productCode;

    /**
     * 合同结算币种
     */
    private String currency;

    /**
     * 生产国/进口国
     */
    private String address;

    /**
     * 成交方式
     */
    private String transactionMethod;

    /**
     * 合同金额
     */
    private BigDecimal contractAmount;

    /**
     * 合同签订日期
     */
    private LocalDate contractSigningDate;

    /**
     * 到岸港口
     */
    private String destinationPort;

    /**
     * 设备原价
     */
    private BigDecimal originalPrice;


}
