package com.dayou.entity;

import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
public class DocumentProduction extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 业务子类
     */
    private String businessCate;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 文档类型（各类报告、复评函、意见书、各类测算表）
     */
    private String docType;

    /**
     * 文档编号
     */
    private String docNo;

    /**
     * 文档名称
     */
    private String docName;

    /**
     * 文档路径
     */
    private String docUrl;

    /**
     * 业务版本
     */
    private Integer docVersion;

    /**
     * 当前使用
     */
    private Boolean isActive;

    /**
     * 业务生成人id
     */
    private Long createUserId;

    /**
     * 委托人
     */
    private String consignor;

    /**
     * 业务二级id
     */
    private Long businessSubId;

}
