package com.dayou.enums;

import lombok.Getter;

import java.util.Arrays;

/**
 * 房地产报告估价对象一览表
 * 表头字段
 */
@Getter
public enum HouseTargetTableColumn {

    TID("tid","估价对象"),
    TNO("tno","序号"),
    CERTIFICATE_NO("certificateNo","权属证书号"),
    OWE_SHIP_USER("ownShipUser","权利人"),
    LOCATION("location","坐落"),
    AT_FLOOR("atFloor","所在楼层"),
    STRUCTURE("structure","结构"),
    USE_TO("useTo","用途"),
    OUTER_ACREAGE("outerAcreage","分摊或占用土地使用权面积(㎡)"),
    ACREAGE("acreage","建筑面积(㎡)"),
    PRICE("price","单价(元/㎡)"),
    AMOUNT("amount","总价(万元)"),
    LAND_CERTIFICATE_NO("landCertificateNo","国有土地使用证号"),
    LAND_TYPE("landType","地类(用途)"),
    ACT_ADDRESS("actAddress","实勘地址")

    ;

    HouseTargetTableColumn(String code, String zhName) {
        this.code = code;
        this.zhName = zhName;
    }

    private String code;

    private String zhName;

    public static String getZhNameByCode(String name) {
        HouseTargetTableColumn houseTargetTableColumn = Arrays.stream(HouseTargetTableColumn.values())
                .filter(x -> x.getCode().equals(name)).findFirst().orElse(null);
        if (houseTargetTableColumn != null) {
            return houseTargetTableColumn.getZhName();
        }
        return null;
    }


}
