package com.dayou.vo;

import com.dayou.entity.AssetsCalculateEqptData;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 返回给前端用来在table中进行计算的,实际上后端不会设置值
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AssetsCalculateEqptDataVO extends AssetsCalculateEqptData {

    /**
     * 使用情况
     */
    private String usageSituation;

    /**
     * 不含税单价/发票价
     */
    private BigDecimal unTaxedUnitPrice;

    /**
     * 原值
     */
    private BigDecimal originalValue;

    /**
     * 净值
     */
    private BigDecimal netValue;

    /**
     * 增值率
     */
    private Double valueAddedRate;

    /**
     * 成新率%
     */
    private Double depreciationRate;

    /**
     * 已使用年数
     */
    private Integer yearsInUse;

    /**
     * 年限成新率
     */
    private Double depreciationRateByAge;

    /**
     * 综合成新率
     */
    private Double comprehensiveDepreciationRate;

    /**
     * 报价（含税不含运费不含安装调试费）
     */
    private BigDecimal quotation;

    /**
     * 运杂费
     */
    private BigDecimal freightAndMiscellaneousFee;

    /**
     * 安装费
     */
    private BigDecimal installationFee;

    /**
     * 基础费
     */
    private Double baseFee;

    /**
     * 设备工程费
     */
    private BigDecimal equipmentEngineeringCosts;

    /**
     * 前期费
     */
    private BigDecimal initialFee;

    /**
     * 资金成本
     */
    private BigDecimal costOfCapital;

    /**
     * 可抵扣增值税
     */
    private BigDecimal deductibleVAT;

    /**
     * 重置全价（不含税）
     */
    private BigDecimal excludeTaxPrice;

}
