package com.dayou.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class AssetsCalculateEqptImpDataVO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 序号
     */
    private Integer sortId;

    /**
     * 设备名称
     */
    private String equipmentName;

    /**
     * 生产厂家
     */
    private String manufacturer;

    /**
     * 型号规格
     */
    private String model;

    /**
     * 购买日期
     */
    private LocalDate purchaseDate;

    /**
     * 启用日期
     */
    private LocalDate activationDate;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 计量单位
     */
    private String unitOfMeasurement;

    /**
     * 账面原值
     */
    private Float bookOriginalValue;

    /**
     * 价格指数
     */
    private Double ppi;

    /**
     * 测算数据主表id
     */
    private Long eqptDataId;

    /**
     * 取价依据
     */
    private String pricingBasis;

    /**
     * 基准日汇率中间价
     */
    private Float centralParityRate;

    /**
     * 关税税率
     */
    private Float tariffRate;

    /**
     * 关税税率截图
     */
    private String tariffRatePicture;

    /**
     * 进口增值税率
     */
    private Float importVATRate;

    /**
     * 银行财务费率
     */
    private Float bankChargesRate;

    /**
     * 外贸手续费率
     */
    private Float foreignTransactionRate;

    /**
     * 商品编号
     */
    private String productCode;

    /**
     * 合同结算币种
     */
    private String currency;

    /**
     * 生产国/进口国
     */
    private String address;

    /**
     * 成交方式
     */
    private String transactionMethod;

    /**
     * 合同金额
     */
    private BigDecimal contractAmount;

    /**
     * 合同签订日期
     */
    private LocalDate contractSigningDate;

    /**
     * 到岸港口
     */
    private String destinationPort;

    /**
     * 设备原价
     */
    @ExcelIgnore
    private BigDecimal originalPrice;


    /**
     * 以下字段返回给前端用来在table中进行计算的,实际上后端不会设置值
     */

    /**
     * 购置价（CIF到岸价）
     */
    @ExcelIgnore
    private BigDecimal purchasePrice;

    /**
     * （CIF到岸价）折人民币
     */
    @ExcelIgnore
    private BigDecimal CIFLandedPrice;

    /**
     * 关税
     */
    @ExcelIgnore
    private BigDecimal tariff;

    /**
     * 进口增值税
     */
    @ExcelIgnore
    private BigDecimal importVAT;

    /**
     * 设备价格
     */
    @ExcelIgnore
    private BigDecimal eqptPrice;

    /**
     * 银行财务费
     */
    @ExcelIgnore
    private BigDecimal bankCharges;

    /**
     * 外贸手续费
     */
    @ExcelIgnore
    private BigDecimal foreignTransaction;

    /**
     * 费用小计
     */
    @ExcelIgnore
    private BigDecimal totalFees;

    /**
     * 空单元格占位(对应模板上的设置)
     * 不设置占位的话,导入数据时空单元格不会创建单元格会导致模板样式丢失
     */
    private Integer placeholder;

}
