package com.dayou.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class AssetsCalculateEqptNonsDataVO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 序号
     */
    private Integer sortId;

    /**
     * 设备名称
     */
    private String equipmentName;

    /**
     * 生产厂家
     */
    private String manufacturer;

    /**
     * 型号规格
     */
    private String model;

    /**
     * 购买日期
     */
    private LocalDate purchaseDate;

    /**
     * 启用日期
     */
    private LocalDate activationDate;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 计量单位
     */
    private String unitOfMeasurement;
    /**
     * 账面原值
     */
    private Float bookOriginalValue;

    /**
     * 账面净值
     */
    private Float bookNetValue;

    /**
     * 备注
     */
    private String remark;

    /**
     * 询价依据
     */
    private String inquiryBasis;

    /**
     * 询价地点
     */
    private String inquiryLocation;

    /**
     * 测算数据主表id
     */
    private Long eqptDataId;

    /**
     * 设备编号
     */
    private String eqptCode;

    /**
     * 所属系统/生产线名称
     */
    private String affiliatedSystem;

    /**
     * 主材费/设备报价（含税不含运费不含安装调试费）
     */
    private BigDecimal mainMaterialCost;

    /**
     * 不含主要外购件费的成本主材费率
     */
    private Float mainMaterialCostRate;

    /**
     * 主要外购件费
     */
    private BigDecimal mainPurchasedPartsCost;

    /**
     * 成本利润率
     */
    private Float costProfitRatio;

    /**
     * 销售税金率
     */
    private Float salesTaxRate;

    /**
     * 非标准设备设计费率
     */
    private Float designFeeRate;

    /**
     * 增值税率
     */
    @JsonProperty("VATRate")
    private Float VATRate;

    /**
     * 非标设备估值
     */
    @ExcelIgnore
    private BigDecimal nonsEqptValue;

    /**
     * 主材1
     */
    private String material1;

    /**
     * 主材2
     */
    private String material2;

    /**
     * 主材1用量
     */
    private Float material1Quantity;

    /**
     * 主材2用量
     */
    private Float material2Quantity;

    /**
     * 主材1利用率%
     */
    private Float material1UseRatio;

    /**
     * 主材2利用率%
     */
    private Float material2UseRatio;

    /**
     * 主材1单价（元/吨）
     */
    private BigDecimal material1Price;

    /**
     * 主材2单价（元/吨）
     */
    private BigDecimal material2Price;

    /**
     * 空单元格占位(对应模板上的设置)
     * 不设置占位的话,导入数据时空单元格不会创建单元格会导致模板样式丢失
     */
    private Integer placeholder;

}
