package com.dayou.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.dto.DocumentProductionQueryDTO;
import com.dayou.entity.DocumentProduction;

public interface DocumentProductionService extends IService<DocumentProduction> {

    Page<DocumentProduction> getPage(DocumentProductionQueryDTO dto, Page page);

    /**
     * 保存文档信息
     * @param documentProduction 文档信息
     * @return Boolean
     */
    Boolean saveDocumentProduction(DocumentProduction documentProduction);

    /**
     * 通过业务id获取文档信息
     * @param businessId 业务id
     * @param businessSubId 业务二级id
     * @return DocumentProduction
     */
    DocumentProduction getDocProdByBusinessId(Long businessId, Long businessSubId);

    Page<DocumentProduction> houseDocumentProduction(DocumentProductionQueryDTO dto, Page page);

    Long saveDocumentProductionByExcelId(Long excelId);
}
