package com.dayou.service;

import com.dayou.entity.EqptPPI;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.vo.EqptPPIDropDownData;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 机器设备物价指数表 服务类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-26
 */
public interface EqptPPIService extends IService<EqptPPI> {


    /**
     * 获取所有PPI
     */
    List<EqptPPIDropDownData> getPPIDownData();

    /**
     * 根据类型获取ppi
     * @param ppiType 指数类型
     * @return List<EqptPPI>
     */
    List<EqptPPI> getPPIByType(String ppiType);

    /**
     * 根据ppi名和类型获取ppi
     * @param ppiName 名
     * @param ppiType 类型
     * @return EqptPPI
     */
    EqptPPI getPPIByNameType(String ppiName, String ppiType);

}
