package com.dayou.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.doc.house.BaseInfoDO;
import com.dayou.doc.house.ConditionDO;
import com.dayou.doc.house.GuarantyResultDO;
import com.dayou.entity.HouseExcelData;
import com.dayou.vo.HouseGuarantyBaseVO;
import org.springframework.web.multipart.MultipartFile;

public interface HouseExcelDataService extends IService<HouseExcelData> {

    /**
     * 解析原始excel文件
     * @param excel
     * @return
     */
    Long analysisOriginExcelData(MultipartFile excel,String path);

    /**
     * 获取报告基本信息
     * @param excelId
     * @return
     */
    HouseGuarantyBaseVO getBaseInfo(Long excelId);

    /**
     * 文档baseInfo
     * @param excelId
     * @return
     */
    BaseInfoDO getBaseDO(Long excelId);

    /**
     * 从excelData中获取估价的假设和限制条件
     * @param businessId
     * @return
     */
    ConditionDO getConditionDO(Long businessId);

    GuarantyResultDO getResultReport(Long businessId);
}
