package com.dayou.service;


import com.dayou.dto.HouseGuarantyTableDTO;
import com.dayou.entity.HouseGuarantyProcess;

import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface HouseGuarantyService {


    /**
     * 创建估价结果一览表word文件
     * @param houseGuarantyTableDTO
     * @return
     */
    Long createTableWord(HouseGuarantyTableDTO houseGuarantyTableDTO);

    /**
     * 生成致委托人函
     * @param excelId
     * @return
     */
    Boolean genConsignorLetter(Long excelId,Long processId) throws Exception;



    /**
     * 生成《估价的假设和限制条件及使用报告说明》
     * @param id
     * @return
     */
    String genConditionLetter(Long id);

    /**
     * 从文件（表单1）中获取基本信息
     * @return
     */
    Map<String, String> getBaseInfoFromFile(Long id) throws IOException;

    /**
     * 生成《房地产抵押估价结果报告》
     * @param id
     * @return
     */
    Boolean genResultLetter(Long id);

    /**
     * 获取权属证书组合类型
     * @param businessId
     * @param tid
     * @param tno
     * @return
     */
    Integer getCertificateCombination(Long businessId,String tid,String tno);

    /**
     * 查询权属信息表代码
     * @param businessId
     * @return
     */
    HouseGuarantyProcess getCertificatesHtml(Long businessId);
}
