package com.dayou.service;

import com.dayou.common.DropDownBoxData;
import com.dayou.entity.TmplAssetCalculate;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.vo.TmplAssetCalculateDetailVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 资产测算表模板信息表 服务类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-06
 */
public interface TmplAssetCalculateService extends IService<TmplAssetCalculate> {

    Page<TmplAssetCalculate> selectPage(Page page, TmplAssetCalculate tmplAssetCalculate);

    TmplAssetCalculateDetailVO detail(Long id);

    Boolean add(TmplAssetCalculate tmplAssetCalculate);

    Boolean update(TmplAssetCalculate tmplAssetCalculate);

    Boolean delete(Long id);


    /**
     * 获取资产测算表的下拉框数据
     * @return List<DropDownBoxData>
     */
    List<DropDownBoxData> getDropDownBoxData();


    /**
     * 根据测算表模板code获取模板信息
     * @param tmplCode 模板code
     * @return TmplAssetCalculate
     */
    TmplAssetCalculate getCalculateTmplByCode(String tmplCode);

}
