package com.dayou.service;
import com.dayou.common.DropDownBoxData;
import com.dayou.entity.TmplAssetReport;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.entity.TmplAssetReportSection;
import com.dayou.vo.TmplAssetReportDetailVO;

import java.util.List;

/**
 * <p>
 * 资产报告模板信息表 服务类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-05
 */
public interface TmplAssetReportService extends IService<TmplAssetReport> {

        Page<TmplAssetReport> selectPage(Page page,TmplAssetReport tmplAssetReport);

        /**
         * 通过模板id获取报告模板详细信息
         * @param id 模板id
         * @return TmplAssetReportDetailVO
         */
        TmplAssetReportDetailVO detail(Long id);

        Boolean add(TmplAssetReport tmplAssetReport);

        Boolean update(TmplAssetReport tmplAssetReport);

        Boolean delete(Long id);

        /**
         * 获取资产报告的下拉框数据
         * @return List<DropDownBoxData>
         */
        List<DropDownBoxData> getDropDownBoxData();

}
