package com.dayou.service.impl;

import com.dayou.entity.EqptPPI;
import com.dayou.mapper.EqptPPIMapper;
import com.dayou.service.EqptPPIService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.vo.EqptPPIDropDownData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 机器设备物价指数表 服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-26
 */
@Service
public class EqptPPIServiceImpl extends ServiceImpl<EqptPPIMapper, EqptPPI> implements EqptPPIService {

    @Autowired
    private EqptPPIMapper eqptPPIMapper;

    /**
     * 获取所有PPI类型
     * @return List<String>
     */
    @Override
    public List<EqptPPIDropDownData> getPPIDownData() {
        List<EqptPPIDropDownData> dropDownData = new ArrayList<>();
        List<String> ppiType = eqptPPIMapper.getAllPPIType();
        for (String type : ppiType) {
            EqptPPIDropDownData ppi = new EqptPPIDropDownData();
            ppi.setPpiType(type);
            ppi.setEqptPPI(eqptPPIMapper.getPPIByType(type));
            dropDownData.add(ppi);
        }
        return dropDownData;
    }

    /**
     * 根据类型获取ppi
     * @param ppiType 指数类型
     * @return List<EqptPPI>
     */
    @Override
    public List<EqptPPI> getPPIByType(String ppiType) {
        return eqptPPIMapper.getPPIByType(ppiType);
    }

    /**
     * 根据ppi名和类型获取ppi
     * @param ppiName 名
     * @param ppiType 类型
     * @return EqptPPI
     */
    @Override
    public EqptPPI getPPIByNameType(String ppiName, String ppiType) {
        return eqptPPIMapper.getPPIByNameType(ppiName, ppiType);
    }
}
