package com.dayou.service.impl;

import com.dayou.common.DropDownBoxData;
import com.dayou.entity.SysDictData;
import com.dayou.mapper.SysDictDataMapper;
import com.dayou.service.SysDictDataService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 字典数据表 服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-12
 */
@Service
public class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements SysDictDataService {

    @Autowired
    private SysDictDataMapper sysDictDataMapper;

    @Override
    @SuppressWarnings("unchecked")
    public Page<SysDictData> selectPage(Page page,SysDictData sysDictData){
        return this.page(page, new QueryWrapper<SysDictData>(sysDictData));
    }


    @Override
    public SysDictData detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(SysDictData sysDictData){
        return  this.save(sysDictData);
    }

    @Override
    public Boolean update(SysDictData sysDictData){
        return  this.updateById(sysDictData);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }

    /**
     * 根据字典类型code获取该类型下data的下拉数据
     * @param dictCode 类型code
     * @return List<DropDownBoxData>
     */
    @Override
    public List<DropDownBoxData> getDropDownBoxDataByCode(String dictCode) {
        return sysDictDataMapper.getDropDownBoxDataByCode(dictCode);
    }
}
