package com.dayou.service.impl;

import com.dayou.common.DropDownBoxData;
import com.dayou.entity.TmplAssetCalculate;
import com.dayou.entity.TmplAssetCalculateSection;
import com.dayou.mapper.TmplAssetCalculateMapper;
import com.dayou.mapper.TmplAssetCalculateSectionMapper;
import com.dayou.service.TmplAssetCalculateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.vo.TmplAssetCalculateDetailVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

import java.util.List;
import java.util.ArrayList;

import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 资产测算表模板信息表 服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-06
 */
@Service
public class TmplAssetCalculateServiceImpl extends ServiceImpl<TmplAssetCalculateMapper, TmplAssetCalculate> implements TmplAssetCalculateService {

    @Autowired
    private TmplAssetCalculateMapper tmplAssetCalculateMapper;

    @Autowired
    private TmplAssetCalculateSectionMapper tmplAssetCalculateSectionMapper;

    @Override
    @SuppressWarnings("unchecked")
    public Page<TmplAssetCalculate> selectPage(Page page, TmplAssetCalculate tmplAssetCalculate) {
        return this.page(page, new QueryWrapper<TmplAssetCalculate>(tmplAssetCalculate));
    }

    @Override
    public TmplAssetCalculateDetailVO detail(Long id) {
        TmplAssetCalculateDetailVO detail = tmplAssetCalculateMapper.getTmplAssetCalculateDetailById(id);
        detail.setSectionList(tmplAssetCalculateSectionMapper.selectList(new LambdaQueryWrapper<TmplAssetCalculateSection>().eq(TmplAssetCalculateSection::getTemplateCalculateId, id)));
        return detail;
    }

    @Override
    public Boolean add(TmplAssetCalculate tmplAssetCalculate) {
        return this.save(tmplAssetCalculate);
    }

    @Override
    public Boolean update(TmplAssetCalculate tmplAssetCalculate) {
        return this.updateById(tmplAssetCalculate);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public Boolean delete(Long id) {
        tmplAssetCalculateSectionMapper.updateDeleteStatusByTCId(id);
        //逻辑删除
        return this.removeById(id);
    }

    /**
     * 获取资产测算表的下拉框数据
     *
     * @return List<DropDownBoxData>
     */
    @Override
    public List<DropDownBoxData> getDropDownBoxData() {
        return tmplAssetCalculateMapper.getDropDownBoxData();
    }

    /**
     * 根据测算表模板code获取模板信息
     * @param tmplCode 模板code
     * @return TmplAssetCalculate
     */
    @Override
    public TmplAssetCalculate getCalculateTmplByCode(String tmplCode) {
        return tmplAssetCalculateMapper.getCalculateTmplByCode(tmplCode);
    }
}
