package com.dayou.service.impl;

import com.dayou.common.DropDownBoxData;
import com.dayou.entity.TmplAssetCalculateSection;
import com.dayou.entity.TmplAssetReport;
import com.dayou.entity.TmplAssetReportSection;
import com.dayou.mapper.TmplAssetReportMapper;
import com.dayou.mapper.TmplAssetReportSectionMapper;
import com.dayou.service.TmplAssetReportService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.vo.TmplAssetReportDetailVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 资产报告模板信息表 服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-05
 */
@Service
public class TmplAssetReportServiceImpl extends ServiceImpl<TmplAssetReportMapper, TmplAssetReport> implements TmplAssetReportService {

    @Autowired
    private TmplAssetReportMapper tmplAssetReportMapper;

    @Autowired
    private TmplAssetReportSectionMapper tmplAssetReportSectionMapper;

    @Override
    @SuppressWarnings("unchecked")
    public Page<TmplAssetReport> selectPage(Page page,TmplAssetReport tmplAssetReport){
        return this.page(page, new QueryWrapper<TmplAssetReport>(tmplAssetReport));
    }

    /**
     * 通过模板id获取报告模板详细信息
     * @param id 模板id
     * @return TmplAssetReportDetailVO
     */
    @Override
    public TmplAssetReportDetailVO detail(Long id){
        TmplAssetReportDetailVO detail = tmplAssetReportMapper.getTmplAssetReportDetailById(id);
        detail.setSectionList(tmplAssetReportSectionMapper.selectList(new LambdaQueryWrapper<TmplAssetReportSection>().eq(TmplAssetReportSection::getTemplateReportId, id)));
        return detail;
    }

    @Override
    public Boolean add(TmplAssetReport tmplAssetReport){
        return  this.save(tmplAssetReport);
    }

    @Override
    public Boolean update(TmplAssetReport tmplAssetReport){
        return  this.updateById(tmplAssetReport);
    }

    @Override
    public Boolean delete(Long id){
        tmplAssetReportSectionMapper.updateDeleteStatusByTRId(id);
        //逻辑删除
        return this.removeById(id);
    }

    @Override
    public List<DropDownBoxData> getDropDownBoxData() {
        return tmplAssetReportMapper.getDropDownBoxData();
    }
}
