/**
  更新的SQL
 */

/**
  日期：2024-10-18
  修改人:苟耕铨
  未更新到test-env
 */
DROP TABLE IF EXISTS `assets_calculate`;
CREATE TABLE `assets_calculate` (
                                    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '资产项目测算表id',
                                    `assets_id` bigint(20) NOT NULL COMMENT '资产项目id',
                                    `calculate_name` varchar(255) DEFAULT NULL COMMENT '测算名',
                                    `valuation_basis_date` date DEFAULT NULL COMMENT '评估基准日',
                                    `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建项目user_id',
                                    `calculate_info` json DEFAULT NULL COMMENT '测算信息',
                                    `calculate_file_name` varchar(255) DEFAULT NULL COMMENT '测算表文件名',
                                    `calculate_file_url` varchar(500) DEFAULT NULL COMMENT '测算表文件存储位置',
                                    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                    `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                    PRIMARY KEY (`id`),
                                    KEY `assets_id` (`assets_id`,`create_user_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='资产项目测算信息表';

DROP TABLE IF EXISTS `assets`;
CREATE TABLE `assets` (
                          `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '资产项目id',
                          `project_name` varchar(500) DEFAULT NULL COMMENT '项目名称',
                          `project_type_id` bigint(20) DEFAULT NULL COMMENT '项目类型id(字典表)',
                          `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建项目user_id',
                          `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                          `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                          `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                          PRIMARY KEY (`id`),
                          KEY `project_type_id` (`project_type_id`,`create_user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

DROP TABLE IF EXISTS `user_post`;
CREATE TABLE `user_post` (
                             `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户岗位-部门信息id',
                             `user_oa_id` bigint(20) unsigned DEFAULT NULL COMMENT '用户OA id',
                             `post_name` varchar(100) DEFAULT NULL COMMENT '岗位名称',
                             `department_name` varchar(100) DEFAULT NULL COMMENT '部门名称',
                             `role` varchar(50) DEFAULT NULL COMMENT '用户角色',
                             `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                             `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                             `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                             PRIMARY KEY (`id`),
                             KEY `user_oa_id` (`user_oa_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/**
  日期：2024-10-18
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE user_post MODIFY COLUMN post_name JSON NULL COMMENT '岗位名称(json)';
ALTER TABLE user_post MODIFY COLUMN department_name JSON NULL COMMENT '部门名称(json)';
ALTER TABLE user_post CHANGE COLUMN user_oa_id user_id bigint(20) unsigned DEFAULT NULL COMMENT 'user_id';



/**
  日期：2024-10-22
  修改人:吴长林
  未更新到test-env
 */
DROP TABLE IF EXISTS `document_production`;
CREATE TABLE `document_production` (
                                       `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                       `business_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '业务类型（ASSETS、HOUSE、LAND）',
                                       `business_id` bigint NOT NULL COMMENT '业务id',
                                       `doc_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文档类型（各类报告、复评函、意见书、各类测算表）',
                                       `doc_no` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文档编号',
                                       `doc_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文档名称',
                                       `doc_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文档路径',
                                       `doc_version` int NOT NULL DEFAULT '1' COMMENT '文档版本',
                                       `is_active` bit(1) NOT NULL DEFAULT b'1' COMMENT '当前使用',
                                       `create_user_id` bigint DEFAULT NULL COMMENT '文档生成人id',
                                       `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '文档生成时间',
                                       `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                       `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='文档产品';

DROP TABLE IF EXISTS `certificate_fixed_assets`;
CREATE TABLE `certificate_fixed_assets` (
                                                   `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `business_type` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '业务类型（ASSETS、HOUSE、LAND）',
                                                   `business_id` bigint NOT NULL COMMENT '业务id',
                                                   `certificate_no` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '不动产权证书号',
                                                   `own_ship_user` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '权利人',
                                                   `own_ship_info` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '共有情况',
                                                   `location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '房屋坐落',
                                                   `unit_no` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '不动产单元号',
                                                   `own_ship_type` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '权利类型',
                                                   `own_ship_nature` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
                                                   `use_to` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '用途',
                                                   `acreage_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '面积描述',
                                                   `expire_date_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '使用期限描述',
                                                   `own_ship_other_info` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '权利其他状况',
                                                   `attach_info` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '附记',
                                                   `create_user_id` bigint NULL DEFAULT NULL COMMENT '录入人id',
                                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                   `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '权证-不动产权证书' ROW_FORMAT = Dynamic;

DROP TABLE IF EXISTS `certificate_house_own`;
CREATE TABLE `certificate_house_own` (
                                                   `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `business_type` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '业务类型（ASSETS、HOUSE、LAND）',
                                                   `business_id` bigint NOT NULL COMMENT '业务id',
                                                   `is_new` bit(1) NOT NULL COMMENT '是否为新证',
                                                   `certificate_no` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '房屋所有权证号',
                                                   `own_ship_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '房屋所有权人',
                                                   `own_ship_info` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '共有情况',
                                                   `location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '房屋坐落',
                                                   `register_date` date NULL DEFAULT NULL COMMENT '登记日期',
                                                   `house_nature` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '房屋性质',
                                                   `use_to` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '用途（新：规划用途，老：设计用途）',
                                                   `all_floor` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '总层数',
                                                   `acreage` decimal(10, 2) NULL DEFAULT NULL COMMENT '建筑面积',
                                                   `inner_acreage` decimal(10, 2) NULL DEFAULT NULL COMMENT '套内建筑面积',
                                                   `attach_info` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '附记',
                                                   `area_no` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '丘地号',
                                                   `own_ship_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '产别',
                                                   `building_no` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '幢号',
                                                   `house_no` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '房号',
                                                   `structure` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '结构',
                                                   `at_floor` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '所在楼层',
                                                   `create_user_id` bigint NULL DEFAULT NULL COMMENT '录入人id',
                                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                   `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '权证-房屋所有权证' ROW_FORMAT = Dynamic;

DROP TABLE IF EXISTS `certificate_land_use`;
CREATE TABLE `certificate_land_use` (
                                                   `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `business_type` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '业务类型（ASSETS、HOUSE、LAND）',
                                                   `business_id` bigint NOT NULL COMMENT '业务id',
                                                   `is_new` bit(1) NOT NULL COMMENT '是否为新证',
                                                   `certificate_no` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '国有土地使用证号',
                                                   `land_use_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '土地使用权人/土地使用者',
                                                   `location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '座落',
                                                   `land_no` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '地号',
                                                   `image_no` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '图号',
                                                   `use_to` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '地类用途',
                                                   `take_price` decimal(10, 2) NULL DEFAULT NULL COMMENT '取得价格',
                                                   `use_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '使用权类型',
                                                   `expire_date` date NULL DEFAULT NULL COMMENT '终止日期',
                                                   `acreage` decimal(10, 2) NULL DEFAULT NULL COMMENT '使用权面积',
                                                   `outer_acreage` decimal(10, 2) NULL DEFAULT NULL COMMENT '其中分摊面积',
                                                   `attach_info` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '记事',
                                                   `land_level` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '土地等级',
                                                   `create_user_id` bigint NULL DEFAULT NULL COMMENT '录入人id',
                                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                   `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '权证-国有土地使用证' ROW_FORMAT = Dynamic;

/**
  日期：2024-10-23
  修改人:苟耕铨
  未更新到test-env
 */
 # 删除资产测算信息表中关于文档信息的字段
ALTER TABLE assets_calculate DROP COLUMN calculate_file_name;
ALTER TABLE assets_calculate DROP COLUMN calculate_file_url;
# 模板信息表修改
ALTER TABLE tmpl_asset_calculate ADD COLUMN has_section BIT(1) NOT NULL DEFAULT 0 COMMENT '是否有段落模板';
ALTER TABLE tmpl_asset_report ADD COLUMN has_section BIT(1) NOT NULL DEFAULT 0 COMMENT '是否有段落模板';

/**
  日期：2024-11-06
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE tmpl_asset_calculate_section ADD COLUMN section_name VARCHAR(50) NOT NULL COMMENT '测算表段落模板名称';
ALTER TABLE tmpl_asset_calculate_section ADD COLUMN tmpl_code VARCHAR(50) NOT NULL COMMENT '模板code';
ALTER TABLE tmpl_asset_calculate ADD COLUMN tmpl_code VARCHAR(50) NOT NULL COMMENT '模板code';

/**
    日期：2024-11-07
    修改人:吴长林
 */
DROP TABLE IF EXISTS `house_guaranty_process`;
CREATE TABLE `house_guaranty_process-platform`  (
                                                   `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `home` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'docHome',
                                                   `targets_html` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价结果一览表代码',
                                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                   `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '房地产抵押过程表' ROW_FORMAT = Dynamic;

/**
  日期：2024-11-08
    修改人:吴长林
 */
ALTER TABLE house_guaranty_process ADD COLUMN doc_no VARCHAR(128) NOT NULL COMMENT '文档编号';

/**
  日期：2024-11-11
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE tmpl_asset_calculate_section CHANGE COLUMN template_report_id template_calculate_id BIGINT(20) NOT NULL COMMENT '测算表模板id';

/**
  日期：2024-11-11
  修改人:吴长林
  未更新到test-env
 */
ALTER TABLE house_guaranty_process DROP COLUMN doc_no;
ALTER TABLE document_production ADD COLUMN business_cate VARCHAR(128)  COMMENT '业务子类';

/**
  日期：2024-11-12
  修改人:苟耕铨
  未更新到test-env
 */
RENAME TABLE assets TO assets_project;
ALTER TABLE assets_project ADD COLUMN principal VARCHAR(128) NOT NULL COMMENT '委托人';

/**
  日期：2024-11-13
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate MODIFY COLUMN create_user_id bigint(20) DEFAULT NULL COMMENT '测算表创建者user_id';

/**
  日期：2024-11-14
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_project ADD COLUMN completion_status BIT(1) DEFAULT b'0' NOT NULL COMMENT '项目完成状态';
ALTER TABLE assets_calculate CHANGE COLUMN assets_id project_id BIGINT(20) NOT NULL COMMENT '资产项目id';



/**
  日期：2024-11-15
  修改人:wucl
  未更新到test-env
 */
DROP TABLE IF EXISTS `house_guaranty_process`;
CREATE TABLE `house_guaranty_process` (
                                          `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                          `parent_id` bigint(20) DEFAULT NULL COMMENT '父级id',
                                          `home` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'docHome',
                                          `targets_html` text COLLATE utf8mb4_unicode_ci COMMENT '估价结果一览表代码',
                                          `process_name` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '过程节点',
                                          `doc_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '过程文档路径',
                                          `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                          `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                          `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                          PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC COMMENT='房地产抵押过程表';

DROP TABLE IF EXISTS `document_production`;
CREATE TABLE `document_production` (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                       `business_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '业务类型（ASSETS、HOUSE、LAND）',
                                       `business_id` bigint(20) NOT NULL COMMENT '业务id',
                                       `doc_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文档类型（各类报告、复评函、意见书、各类测算表）',
                                       `doc_no` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文档编号',
                                       `doc_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文档名称',
                                       `consignor` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '委托人',
                                       `doc_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '文档路径',
                                       `doc_version` int(11) NOT NULL DEFAULT '1' COMMENT '文档版本',
                                       `is_active` bit(1) NOT NULL DEFAULT b'1' COMMENT '当前使用',
                                       `create_user_id` bigint(20) DEFAULT NULL COMMENT '文档生成人id',
                                       `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '文档生成时间',
                                       `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                       `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                       `business_cate` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '业务子类',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='文档产品';



/**
  日期：2024-11-15
  修改人:苟耕铨
  未更新到test-env
 */
 # 修改表
ALTER TABLE assets_calculate ADD COLUMN progress VARCHAR(128) NOT NULL COMMENT '测算表生成进度(BASE、IMPORT、GENERATE、FINISHED)';

# 新建表
DROP TABLE IF EXISTS `assets_calculate_eqpt_data`;
CREATE TABLE `assets_calculate_eqpt_data`  (
                                               `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '机器设备测算数据id',
                                               `assets_calculate_id` bigint(20) NOT NULL COMMENT '资产测算表id',
                                               `sort_id` int(11) NOT NULL COMMENT '序号',
                                               `equipment_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备名称',
                                               `manufacturer` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '生产厂家',
                                               `model` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '型号规格',
                                               `purchase_date` datetime(0) NOT NULL COMMENT '购买日期',
                                               `activation_date` datetime(0) NOT NULL COMMENT '启用日期',
                                               `storage_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '存放地点',
                                               `quantity` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '数量',
                                               `unit_of_measurement` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '计量单位',
                                               `original_value` float NOT NULL COMMENT '账面原值',
                                               `net_value` float NOT NULL COMMENT '账面净值',
                                               `equipment_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备类型',
                                               `equipment_type_detail` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备详细类型',
                                               `remark` varchar(500) DEFAULT NULL COMMENT '备注',
                                               `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
                                               `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
                                               `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                               PRIMARY KEY (`id`) USING BTREE,
                                               INDEX `assets_calculate_id`(`assets_calculate_id`, `sort_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '机器设备测算数据表' ROW_FORMAT = Dynamic;

/**
  日期：2024-11-18
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate CHANGE COLUMN calculate_info base_info JSON NULL COMMENT '基础测算信息';

/**
  日期：2024-11-22
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN taxedUnitPrice DECIMAL(11, 2) NULL COMMENT '含税单价';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN taxRate DECIMAL(11, 2) NULL COMMENT '税率';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN economicServiceLife INT(11) NULL COMMENT '经济使用年数';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN directObservationDepreciationRate DECIMAL(11, 2) NULL COMMENT '直接观察成新率';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN valuationMethod VARCHAR(100) NULL COMMENT '作价方法';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN inquiryBasis VARCHAR(500) NULL COMMENT '询价依据';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN inquiryLocation VARCHAR(500) NULL COMMENT '询价地点';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN price DECIMAL(11, 2) NULL COMMENT '单价';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN freightAndMiscellaneousFeeRate DECIMAL(11, 2) NULL COMMENT '运杂费率';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN baseRate DECIMAL(11, 2) NULL COMMENT '基础费率';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN installationRate DECIMAL(11, 2) NULL COMMENT '安装费率';

ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN original_value book_original_value DECIMAL(11,2) NOT NULL COMMENT '账面原值';
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN net_value book_net_value DECIMAL(11,2) NOT NULL COMMENT '账面净值';

DROP TABLE IF EXISTS `eqpt_life_ifr_refs`;
CREATE TABLE `eqpt_life_ifr_refs`  (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '设备参考年限、安装费率id',
                                       `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '类型',
                                       `life_low_limit` int(11) NULL DEFAULT NULL COMMENT '使用年限下限',
                                       `life_up_limit` int(11) NULL DEFAULT NULL COMMENT '使用年限上限',
                                       `life_recommended_value` int(11) NULL DEFAULT NULL COMMENT '推荐使用年限',
                                       `ifr_up_limit` int(11) NULL DEFAULT NULL COMMENT '安装费率%上限',
                                       `ifr_low_limit` int(11) NULL DEFAULT NULL COMMENT '安装费率%下限',
                                       `ifr_recommended_value` int(11) NULL DEFAULT NULL COMMENT '推荐安装费率%',
                                       `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
                                       `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
                                       `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
                                       `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                       PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1155 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '设备年限、安装费率参考信息表' ROW_FORMAT = Dynamic;


DROP TABLE IF EXISTS `house_guaranty_target`;
CREATE TABLE `house_guaranty_target`  (
                                                   `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `doc_id` bigint NOT NULL COMMENT '文档id',
                                                   `t_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价对象id',
                                                   `base_info` json NULL COMMENT '估价对象基本信息（数组）',
                                                   `is_part` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '是否建筑物部分',
                                                   `has_building_year` bit(1) NULL DEFAULT NULL COMMENT '是否登记建成年份',
                                                   `building_year` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '调查的建成年份',
                                                   `land_certificate_type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '国有土地证类型',
                                                   `land_use_to` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '土地用途',
                                                   `land_expire_date` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '土地使用权终止日期',
                                                   `share_acreage1` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '土地无分户产权时分摊面积（㎡）',
                                                   `is_layer` bit(1) NULL DEFAULT NULL COMMENT '是否采用分层面积处理方式',
                                                   `has_layer_image` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '分层面积处理方式是否有图',
                                                   `floor1_acreage` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '一层面积（㎡）',
                                                   `floor2_acreage` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '二层面积（㎡）',
                                                   `floor3_acreage` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '三层面积（㎡）',
                                                   `is_address_same` bit(1) NULL DEFAULT NULL COMMENT '查勘地址与登记地址是否一致',
                                                   `is_date_time_same` bit(1) NULL DEFAULT NULL COMMENT '查勘之日与价值时点是否一致',
                                                   `is_address_certificate` bit(1) NULL DEFAULT NULL COMMENT '地址不一致时是否开具地址证明',
                                                   `is_building_reduce_value` bit(1) NULL DEFAULT NULL COMMENT '是否考虑建筑物残值',
                                                   `has_origin_certificate` bit(1) NULL DEFAULT NULL COMMENT '是否提供权属证件原件',
                                                   `is_promise` bit(1) NULL DEFAULT NULL COMMENT '《权利状况说明及承诺书》承诺证件一致',
                                                   `has_land_use_right_contract` bit(1) NULL DEFAULT NULL COMMENT '提供《国有建设用地使用权出让合同》',
                                                   `is_rent_out` bit(1) NULL DEFAULT NULL COMMENT '估价对象是否已出租',
                                                   `has_rent_out_contract` bit(1) NULL DEFAULT NULL COMMENT '是否提供租赁合同',
                                                   `is_rent_limit` bit(1) NULL DEFAULT NULL COMMENT '是否考虑租约限制',
                                                   `not_rent_limit_reason` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '未考虑租约限制原因',
                                                   `rent_limit_reason` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '考虑租约限制原因',
                                                   `rent_end_date` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '租约结束日期',
                                                   `rent_start_date` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '租约起始日期',
                                                   `rent_money` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '价值时点租金',
                                                   `rent_user` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '承租人',
                                                   `has_pledge` bit(1) NULL DEFAULT NULL COMMENT '是否设置抵押权',
                                                   `pledge_user` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '抵押权人',
                                                   `pledge_type` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '抵押权类型',
                                                   `pledge_value` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '抵押权利价值',
                                                   `same_pledge_continue` bit(1) NULL DEFAULT NULL COMMENT '同一抵押权人续贷',
                                                   `new_pledge_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '新抵押权利人',
                                                   `high_pledge_not_expire` bit(1) NULL DEFAULT NULL COMMENT '已设立最高额抵押权且抵押未到期',
                                                   `same_pledge_high` bit(1) NULL DEFAULT NULL COMMENT '现拟设立最高额抵押权同一抵押权人',
                                                   `first_money` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '其他法定优先受偿款（万元）',
                                                   `debt_money` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '拖欠工程款（万元）',
                                                   `is_take_out_first_money` bit(1) NULL DEFAULT NULL COMMENT '是否扣除法定优先受偿款',
                                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                   `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '解析后的估价对象和补充信息' ROW_FORMAT = Dynamic;

/**
  日期：2024-11-26
  修改人:苟耕铨
  未更新到test-env
 */
DROP TABLE IF EXISTS `eqpt_ppi`;
CREATE TABLE `eqpt_ppi`  (
                             `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '机器设备物价指数id',
                             `ppi_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '指标名称/频率/单位',
                             `ppi_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '指数行业类型',
                             `ppi` float(11, 2) NULL DEFAULT NULL COMMENT '指数值',
                             `create_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
                             `update_time` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
                             `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                             PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 70 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '机器设备物价指数表' ROW_FORMAT = Dynamic;
# 将命名修改为下划线
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN taxedUnitPrice taxed_unit_price DECIMAL(11, 2) NULL COMMENT '含税单价';
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN taxRate tax_rate DECIMAL(11, 2) NULL COMMENT '税率';
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN economicServiceLife economic_service_life INT(11) NULL COMMENT '经济使用年数';
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN directObservationDepreciationRate direct_observation_depreciation_rate DECIMAL(11, 2) NULL COMMENT '直接观察成新率';
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN valuationMethod valuation_method VARCHAR(100) NULL COMMENT '作价方法';
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN inquiryBasis inquiry_basis VARCHAR(500) NULL COMMENT '询价依据';
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN inquiryLocation inquiry_location VARCHAR(500) NULL COMMENT '询价地点';
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN price price DECIMAL(11, 2) NULL COMMENT '单价';
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN freightAndMiscellaneousFeeRate freight_and_miscellaneous_fee_rate DECIMAL(11, 2) NULL COMMENT '运杂费率';
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN baseRate base_rate DECIMAL(11, 2) NULL COMMENT '基础费率';
ALTER TABLE assets_calculate_eqpt_data CHANGE COLUMN installationRate installation_rate DECIMAL(11, 2) NULL COMMENT '安装费率';

/**
  日期：2024-11-28
  修改人:苟耕铨
  未更新到test-env
 */
DROP TABLE IF EXISTS `assets_calculate_eqpt_imp_data`;
CREATE TABLE `assets_calculate_eqpt_imp_data` (
                                                  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '机器设备测算数据id',
                                                  `eqpt_data_id` bigint(20) DEFAULT NULL COMMENT '测算数据主表id',
                                                  `ppi` float(11,2) DEFAULT NULL COMMENT '价格指数',
                                                  `pricing_basis` varchar(255) DEFAULT NULL COMMENT '取价依据',
                                                  `central_parity_rate` float(11,2) DEFAULT NULL COMMENT '基准日汇率中间价',
                                                  `tariff_rate` float(11,4) DEFAULT NULL COMMENT '关税税率',
                                                  `import_VAT_rate` float(11,4) DEFAULT NULL COMMENT '进口增值税率',
                                                  `bank_charges_rate` float(11,4) DEFAULT NULL COMMENT '银行财务费率',
                                                  `foreign_transaction_rate` float(11,4) DEFAULT NULL COMMENT '外贸手续费率',
                                                  `product_code` varchar(255) DEFAULT NULL COMMENT '商品编号',
                                                  `currency` varchar(50) DEFAULT NULL COMMENT '币种',
                                                  `address` varchar(255) DEFAULT NULL COMMENT '地址',
                                                  `transaction_method` varchar(100) DEFAULT NULL COMMENT '成交方式',
                                                  `contract_amount` decimal(11,2) DEFAULT NULL COMMENT '合同金额',
                                                  `contract_signing_date` date DEFAULT NULL COMMENT '合同签订日期',
                                                  `destination_port` varchar(100) DEFAULT NULL COMMENT '到岸港口',
                                                  `original_price` decimal(11,2) DEFAULT NULL COMMENT '设备原价',
                                                  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                  `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                                  PRIMARY KEY (`id`),
                                                  KEY `eqpt_data_id` (`eqpt_data_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='机器设备-进口设备测算数据表';

/**
  日期：2024-11-28
  修改人:wucl
  未更新到test-env
 */
ALTER TABLE tmpl_house_paragraph ADD COLUMN rule varchar(255) NULL COMMENT '选用规则';
ALTER TABLE house_guaranty_target ADD COLUMN is_costing_share_method bit(1) NULL COMMENT '采用成本法且分摊土地面积处理';
ALTER TABLE house_guaranty_target ADD COLUMN no_building_house_nos bit(1) NULL COMMENT '未见栋号房号';
ALTER TABLE house_guaranty_target ADD COLUMN explore_date varchar(64) NULL COMMENT '查勘日期';
ALTER TABLE house_guaranty_target ADD COLUMN land_year_lower_house_year bit(1) NULL COMMENT '土地剩余使用年限短于建筑物剩余经济寿命';
ALTER TABLE house_guaranty_target ADD COLUMN is_promise_file bit(1) NULL COMMENT '《承诺书》承诺相关的法律文件复印件与原件一致';
ALTER TABLE house_guaranty_target ADD COLUMN is_in_cheng_du bit(1) NULL COMMENT '估价对象是否属于大成都范围内';

/**
  日期：2024-12-02
  修改人:苟耕铨
  未更新到test-env
 */
# 新建表assets_calculate_eqpt_nons_data
DROP TABLE IF EXISTS `assets_calculate_eqpt_nons_data`;
CREATE TABLE `assets_calculate_eqpt_nons_data` (
                                                   `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '非标设备测算数据id',
                                                   `eqpt_data_id` bigint(20) DEFAULT NULL COMMENT '测算数据主表id',
                                                   `eqpt_code` varchar(255) DEFAULT NULL COMMENT '设备编号',
                                                   `affiliated_system` varchar(255) DEFAULT NULL COMMENT '所属系统/生产线名称',
                                                   `main_material_Cost` decimal(11,2) DEFAULT NULL COMMENT '主材费/设备报价（含税不含运费不含安装调试费）',
                                                   `main_material_cost_rate` float(11,2) DEFAULT NULL COMMENT '不含主要外购件费的成本主材费率',
                                                   `main_purchased_parts_cost` decimal(11,2) DEFAULT NULL COMMENT '主要外购件费',
                                                   `cost_profit_ratio` float(11,2) DEFAULT NULL COMMENT '成本利润率',
                                                   `sales_tax_rate` float(11,2) DEFAULT NULL COMMENT '销售税金率',
                                                   `design_fee_rate` float(11,2) DEFAULT NULL COMMENT '非标准设备设计费率',
                                                   `VAT_rate` float(11,2) DEFAULT NULL COMMENT '增值税率',
                                                   `nons_eqpt_value` decimal(12,2) DEFAULT NULL COMMENT '非标设备估值',
                                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                   `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                                   PRIMARY KEY (`id`),
                                                   KEY `eqpt_data_id` (`eqpt_data_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='机器设备-非标设备测算数据表';;

# 新建表eqpt_gn_evp
DROP TABLE IF EXISTS `eqpt_gn_evp`;
CREATE TABLE `eqpt_gn_evp` (
                               `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '通用非标准设备估价参数id',
                               `name` varchar(255) DEFAULT NULL COMMENT '设备名称',
                               `mmcr_up_limit` double(11,2) DEFAULT NULL COMMENT '成本主材费率上限',
                               `mmcr_low_limit` double(11,2) DEFAULT NULL COMMENT '成本主材费率下限',
                               `mmcr_recommended_value` double(11,2) DEFAULT NULL COMMENT '推荐成本主材费率',
                               `cpr_up_limit` double(11,2) DEFAULT NULL COMMENT '成本利润率上限',
                               `cpr_low_limit` double(11,2) DEFAULT NULL COMMENT '成泵利润率下限',
                               `cpr_recommended_value` double(11,2) DEFAULT NULL COMMENT '推荐成本利润率',
                               `str_recommended_value` double(11,2) DEFAULT NULL COMMENT '推荐销售税金率',
                               `dfr_up_limit` double(11,2) DEFAULT NULL COMMENT '设计费率上限',
                               `dfr_low_limit` double(11,2) DEFAULT NULL COMMENT '设计费率下限',
                               `drf_recommended_value` double(11,2) DEFAULT NULL COMMENT '推荐设计费率',
                               `remark` varchar(500) DEFAULT NULL COMMENT '备注',
                               `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                               `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                               `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='通用非标准设备估价参数表 General Non-Standard Equipment Valuation Parameters';

# 新建表eqpt_gn_evp
DROP TABLE IF EXISTS `eqpt_life_ifr_refs`;
CREATE TABLE `eqpt_life_ifr_refs` (
                                      `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '设备参考年限、安装费率id',
                                      `type` varchar(255) NOT NULL COMMENT '类型',
                                      `life_low_limit` double(11,2) DEFAULT NULL COMMENT '使用年限下限',
                                      `life_up_limit` double(11,2) DEFAULT NULL COMMENT '使用年限上限',
                                      `life_recommended_value` double(11,2) DEFAULT NULL COMMENT '推荐使用年限',
                                      `ifr_up_limit` double(11,2) DEFAULT NULL COMMENT '安装费率%上限',
                                      `ifr_low_limit` double(11,2) DEFAULT NULL COMMENT '安装费率%下限',
                                      `ifr_recommended_value` double(11,2) DEFAULT NULL COMMENT '推荐安装费率%',
                                      `remark` varchar(500) DEFAULT NULL COMMENT '备注',
                                      `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                      `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                      `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1155 DEFAULT CHARSET=utf8mb4 COMMENT='设备年限、安装费率参考信息表';

# 修改表assets_calculate_eqpt_imp_data
ALTER TABLE assets_calculate_eqpt_imp_data MODIFY COLUMN id bigint(20) NOT NULL AUTO_INCREMENT COMMENT '进口设备测算数据id';

/**
  日期：2024-12-03
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE document_production ADD COLUMN business_sub_id bigint(20) NULL COMMENT '业务二级id';

/**
  日期：2024-12-04
  修改人:苟耕铨
  未更新到test-env
 */
CREATE TABLE `assets_report` (
                                 `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '资产项目报告id',
                                 `project_id` bigint(20) NOT NULL COMMENT '资产项目id',
                                 `report_name` varchar(255) DEFAULT NULL COMMENT '报告名',
                                 `base_info` json DEFAULT NULL COMMENT '基础报告信息',
                                 `create_user_id` bigint(20) DEFAULT NULL COMMENT '报告创建者user_id',
                                 `progress` varchar(128) NOT NULL COMMENT '报告生成进度(BASE、GENERATE、FINISHED)',
                                 `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                 `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                 `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                 PRIMARY KEY (`id`),
                                 KEY `project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='资产项目报告信息表';

/**
  日期：2024-12-05
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE tmpl_asset_report ADD COLUMN tmpl_code VARCHAR(50) NOT NULL COMMENT '模板code';
ALTER TABLE tmpl_asset_report_section ADD COLUMN section_name VARCHAR(50) NOT NULL COMMENT '测算表段落模板名称';
ALTER TABLE tmpl_asset_report_section ADD COLUMN tmpl_code VARCHAR(50) NOT NULL COMMENT '模板code';

/**
  日期：2024-12-06
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_report ADD COLUMN calculate_id BIGINT(20) NULL COMMENT '关联的测算表id';

/**
  日期：2024-12-09
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_report ADD COLUMN production_no VARCHAR(255) NULL COMMENT '报告号（产品号）';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN evaluate_original_value DECIMAL(11,2) NULL COMMENT '评估原值';
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN evaluate_net_value DECIMAL(11,2) NULL COMMENT '评估净值';


/**
  日期：2024-12-16
  修改人:吴长林
  未更新到test-env
 */
ALTER TABLE house_target_entity ADD COLUMN community_name VARCHAR(255)  NULL COMMENT '小区名称';
ALTER TABLE house_target_entity ADD COLUMN building_no VARCHAR(32)  NULL COMMENT '栋号';
ALTER TABLE house_target_entity ADD COLUMN cert_combination int(8)  NULL COMMENT '证件组合类型';
ALTER TABLE house_target_entity ADD COLUMN east_way varchar(255) NULL COMMENT '东至';
ALTER TABLE house_target_entity ADD COLUMN west_way varchar(255) NULL COMMENT '西至';
ALTER TABLE house_target_entity ADD COLUMN south_way varchar(255) NULL COMMENT '南至';
ALTER TABLE house_target_entity ADD COLUMN north_way varchar(255) NULL COMMENT '北至';
ALTER TABLE house_guaranty_target ADD COLUMN land_use_type varchar(32) NULL COMMENT '土地使用权类型';

CREATE TABLE `house_target_entity`  (
                   `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                   `business_id` bigint NOT NULL COMMENT '业务id',
                   `tid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价对象id',
                   `tno` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '估价对象序号',
                   `house_age` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '建成年代',
                   `use_info` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '使用状况',
                   `use_to` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '用途',
                   `building_out` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '外墙装饰',
                   `at_floor` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '所在楼层',
                   `floor` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '总楼层',
                   `elevator` int NULL DEFAULT NULL COMMENT '载人电梯数',
                   `center_air_conditioning` bit(1) NULL DEFAULT NULL COMMENT '中央空调',
                   `auto_spray` bit(1) NULL DEFAULT NULL COMMENT '自动喷淋',
                   `smog_emergency` bit(1) NULL DEFAULT NULL COMMENT '烟雾报警',
                   `fire_hydrant` bit(1) NULL DEFAULT NULL COMMENT '消防栓',
                   `net_line` bit(1) NULL DEFAULT NULL COMMENT '网络光纤',
                   `visual_sys` bit(1) NULL DEFAULT NULL COMMENT '可视化对讲系统',
                   `building_structure` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '建筑结构',
                   `office_smart_sys` bit(1) NULL DEFAULT NULL COMMENT '智慧办公系统',
                   `base_facility` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '基本设施',
                   `room_type` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '户型',
                   `room_high` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '层高',
                   `new_percentage` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '成新率',
                   `livingroom_ground` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '客厅地面',
                   `livingroom_top` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '客厅吊顶',
                   `livingroom_wall` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '客厅内墙',
                   `livingroom_other` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '客厅其他部分',
                   `bedroom_ground` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '卧室地面',
                   `bedroom_top` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '卧室吊顶',
                   `bedroom_wall` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '卧室内墙',
                   `bedroom_other` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '卧室其他部分',
                   `bathroom_ground` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '厨卫地面',
                   `bathroom_top` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '厨卫吊顶',
                   `bathroom_wall` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '厨卫内墙',
                   `bathroom_other` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '厨卫其他部分',
                   `land_deep` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '土地开发程度',
                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                   `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                   `community_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '小区名称',
                   `building_no` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '栋号',
                   `cert_combination` int NULL DEFAULT NULL COMMENT '证件组合类型',
                   `east_way` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '东至',
                   `west_way` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '西至',
                   `south_way` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '南至',
                   `north_way` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '北至',
                   PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '房地产估价对象实物信息' ROW_FORMAT = Dynamic;


/**
  日期：2024-12-17
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate_eqpt_data MODIFY COLUMN purchase_date date NOT NULL COMMENT '购买日期';
ALTER TABLE assets_calculate_eqpt_data MODIFY COLUMN activation_date date NOT NULL COMMENT '启用日期';

/**
  日期：2024-12-18
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate_eqpt_imp_data ADD COLUMN tariff_rate_picture VARCHAR(500) NULL COMMENT '关税税率查询截图';

ALTER TABLE assets_calculate_eqpt_nons_data ADD COLUMN material_1 VARCHAR(200) NULL COMMENT '主材1';
ALTER TABLE assets_calculate_eqpt_nons_data ADD COLUMN material_2 VARCHAR(200) NULL COMMENT '主材2';
ALTER TABLE assets_calculate_eqpt_nons_data ADD COLUMN material_1_quantity FLOAT(11,2) NULL COMMENT '主材1用量';
ALTER TABLE assets_calculate_eqpt_nons_data ADD COLUMN material_2_quantity FLOAT(11,2) NULL COMMENT '主材2用量';
ALTER TABLE assets_calculate_eqpt_nons_data ADD COLUMN material_1_use_ratio FLOAT(11,2) NULL COMMENT '主材1利用率%';
ALTER TABLE assets_calculate_eqpt_nons_data ADD COLUMN material_2_use_ratio FLOAT(11,2) NULL COMMENT '主材2利用率%';
ALTER TABLE assets_calculate_eqpt_nons_data ADD COLUMN material_1_price DECIMAL(11,2) NULL COMMENT '主材1单价（元/吨）';
ALTER TABLE assets_calculate_eqpt_nons_data ADD COLUMN material_2_price DECIMAL(11,2) NULL COMMENT '主材2单价（元/吨）';

ALTER TABLE assets_calculate_eqpt_data ADD COLUMN usage_situation VARCHAR(100) NULL COMMENT '使用情况';


/**
  房地产抵押SQL汇总  完整表结构
 */
/*
Navicat Premium Data Transfer

Source Server         : mac-local
Source Server Type    : MySQL
Source Server Version : 80100 (8.1.0)
Source Host           : localhost:3306
Source Schema         : productivity-platform

Target Server Type    : MySQL
Target Server Version : 80100 (8.1.0)
File Encoding         : 65001

Date: 19/12/2024 17:46:07
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for house_guaranty_aim
-- ----------------------------
DROP TABLE IF EXISTS `house_guaranty_aim`;
CREATE TABLE `house_guaranty_aim` (
                                      `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                      `doc_id` bigint DEFAULT NULL COMMENT '文档id',
                                      `tid` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价对象番号',
                                      `tno` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价标的物序号',
                                      `certificate_no` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '权属证书号',
                                      `own_ship_user` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '权利人',
                                      `location` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '坐落',
                                      `at_floor` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '所在楼层',
                                      `structure` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '结构',
                                      `use_to` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '用途',
                                      `outer_acreage` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '分摊或占用土地使用权面积(㎡)',
                                      `acreage` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '建筑面积',
                                      `price` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '单价',
                                      `amount` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '总价',
                                      `land_certificate_no` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '国有土地使用证号',
                                      `land_type` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '地类（用途）',
                                      `act_address` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '实勘地址',
                                      `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                      `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                      `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                      `lng_lat` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '经纬度',
                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='房地产估价对象标的物';

-- ----------------------------
-- Table structure for house_guaranty_base
-- ----------------------------
DROP TABLE IF EXISTS `house_guaranty_base`;
CREATE TABLE `house_guaranty_base` (
                                       `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                       `doc_id` bigint NOT NULL COMMENT '文档id',
                                       `project_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '项目名称',
                                       `consignor` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '委托人',
                                       `doc_no` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '报告号',
                                       `appraiser1` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价师1',
                                       `appraiser2` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价师2',
                                       `appra_no1` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价师1注册号',
                                       `appra_no2` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价师2注册号',
                                       `doc_date` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '出具报告日期',
                                       `value_timing` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '价值时点',
                                       `methods` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '评估方法',
                                       `has_tech_report` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '是否提供技术报告',
                                       `is_ns_bank` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '是否是农商银行项目',
                                       `is_check_origin_certificate` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '是否审核权属原件',
                                       `consignor_type` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '委托人类型',
                                       `consignor_address` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '委托人住所',
                                       `consignor_person` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '法定代表人',
                                       `consignor_money` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '注册资本',
                                       `credit_code` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '统一社会信用代码',
                                       `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                       `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                       `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='房地产抵押项目基本信息';

-- ----------------------------
-- Table structure for house_guaranty_process
-- ----------------------------
DROP TABLE IF EXISTS `house_guaranty_process`;
CREATE TABLE `house_guaranty_process` (
                                          `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                          `parent_id` bigint DEFAULT NULL COMMENT '父级id',
                                          `home` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'docHome',
                                          `targets_html` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci COMMENT '估价结果一览表代码',
                                          `process_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '过程节点',
                                          `doc_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '过程文档路径',
                                          `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                          `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                          `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                          PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=205 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC COMMENT='房地产抵押过程表';

-- ----------------------------
-- Table structure for house_guaranty_target
-- ----------------------------
DROP TABLE IF EXISTS `house_guaranty_target`;
CREATE TABLE `house_guaranty_target` (
                                         `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                         `doc_id` bigint NOT NULL COMMENT '文档id',
                                         `tid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价对象id',
                                         `is_part` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '是否建筑物部分',
                                         `has_building_year` bit(1) DEFAULT NULL COMMENT '是否登记建成年份',
                                         `building_year` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '调查的建成年份',
                                         `land_certificate_type` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '国有土地证类型',
                                         `land_use_to` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '土地用途',
                                         `land_expire_date` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '土地使用权终止日期',
                                         `share_acreage1` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '土地无分户产权时分摊面积（㎡）',
                                         `is_layer` bit(1) DEFAULT NULL COMMENT '是否采用分层面积处理方式',
                                         `has_layer_image` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '分层面积处理方式是否有图',
                                         `floor1_acreage` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '一层面积（㎡）',
                                         `floor2_acreage` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '二层面积（㎡）',
                                         `floor3_acreage` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '三层面积（㎡）',
                                         `is_address_same` bit(1) DEFAULT NULL COMMENT '查勘地址与登记地址是否一致',
                                         `is_date_time_same` bit(1) DEFAULT NULL COMMENT '查勘之日与价值时点是否一致',
                                         `is_address_certificate` bit(1) DEFAULT NULL COMMENT '地址不一致时是否开具地址证明',
                                         `is_building_reduce_value` bit(1) DEFAULT NULL COMMENT '是否考虑建筑物残值',
                                         `has_origin_certificate` bit(1) DEFAULT NULL COMMENT '是否提供权属证件原件',
                                         `is_promise` bit(1) DEFAULT NULL COMMENT '《权利状况说明及承诺书》承诺证件一致',
                                         `has_land_use_right_contract` bit(1) DEFAULT NULL COMMENT '提供《国有建设用地使用权出让合同》',
                                         `is_rent_out` bit(1) DEFAULT NULL COMMENT '估价对象是否已出租',
                                         `has_rent_out_contract` bit(1) DEFAULT NULL COMMENT '是否提供租赁合同',
                                         `is_rent_limit` bit(1) DEFAULT NULL COMMENT '是否考虑租约限制',
                                         `not_rent_limit_reason` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '未考虑租约限制原因',
                                         `rent_limit_reason` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '考虑租约限制原因',
                                         `rent_end_date` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '租约结束日期',
                                         `rent_start_date` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '租约起始日期',
                                         `rent_money` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '价值时点租金',
                                         `rent_user` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '承租人',
                                         `has_pledge` bit(1) DEFAULT NULL COMMENT '是否设置抵押权',
                                         `pledge_user` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '抵押权人',
                                         `pledge_type` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '抵押权类型',
                                         `pledge_value` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '抵押权利价值',
                                         `same_pledge_continue` bit(1) DEFAULT NULL COMMENT '同一抵押权人续贷',
                                         `new_pledge_user` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '新抵押权利人',
                                         `high_pledge_not_expire` bit(1) DEFAULT NULL COMMENT '已设立最高额抵押权且抵押未到期',
                                         `same_pledge_high` bit(1) DEFAULT NULL COMMENT '现拟设立最高额抵押权同一抵押权人',
                                         `first_money` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '其他法定优先受偿款（万元）',
                                         `debt_money` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '拖欠工程款（万元）',
                                         `is_take_out_first_money` bit(1) DEFAULT NULL COMMENT '是否扣除法定优先受偿款',
                                         `is_costing_share_method` bit(1) DEFAULT NULL COMMENT '采用成本法且分摊土地面积处理',
                                         `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                         `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                         `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                         `no_building_house_nos` bit(1) DEFAULT NULL COMMENT '未见栋号房号',
                                         `explore_date` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '查勘日期',
                                         `land_year_lower_house_year` bit(1) DEFAULT NULL COMMENT '土地剩余使用年限短于建筑物剩余经济寿命',
                                         `is_promise_file` bit(1) DEFAULT NULL COMMENT '《承诺书》承诺相关的法律文件复印件与原件一致',
                                         `is_in_cheng_du` bit(1) DEFAULT NULL COMMENT '估价对象是否属于大成都范围内',
                                         `house_get_land_info` bit(1) DEFAULT NULL COMMENT '住宅获取土地信息',
                                         `land_use_type` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '土地使用权类型',
                                         `has_land_use_right` bit(1) DEFAULT NULL COMMENT '地役权',
                                         `has_living_right` bit(1) DEFAULT NULL COMMENT '居住权',
                                         `land_use_right_from` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '供地役权人',
                                         `land_use_right_to` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '需地役权人',
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='解析后的估价对象和补充信息';

-- ----------------------------
-- Table structure for house_target_entity
-- ----------------------------
DROP TABLE IF EXISTS `house_target_entity`;
CREATE TABLE `house_target_entity` (
                                       `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                       `business_id` bigint NOT NULL COMMENT '业务id',
                                       `tid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价对象id',
                                       `tno` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '估价对象序号',
                                       `house_age` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '建成年代',
                                       `use_info` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '使用状况',
                                       `use_to` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '用途',
                                       `building_out` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '外墙装饰',
                                       `at_floor` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '所在楼层',
                                       `floor` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '总楼层',
                                       `elevator` int DEFAULT NULL COMMENT '载人电梯数',
                                       `center_air_conditioning` bit(1) DEFAULT NULL COMMENT '中央空调',
                                       `auto_spray` bit(1) DEFAULT NULL COMMENT '自动喷淋',
                                       `smog_emergency` bit(1) DEFAULT NULL COMMENT '烟雾报警',
                                       `fire_hydrant` bit(1) DEFAULT NULL COMMENT '消防栓',
                                       `net_line` bit(1) DEFAULT NULL COMMENT '网络光纤',
                                       `visual_sys` bit(1) DEFAULT NULL COMMENT '可视化对讲系统',
                                       `building_structure` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '建筑结构',
                                       `office_smart_sys` bit(1) DEFAULT NULL COMMENT '智慧办公系统',
                                       `base_facility` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '基本设施',
                                       `room_type` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '户型',
                                       `room_high` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '层高',
                                       `new_percentage` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '成新率',
                                       `livingroom_ground` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '客厅地面',
                                       `livingroom_top` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '客厅吊顶',
                                       `livingroom_wall` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '客厅内墙',
                                       `livingroom_other` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '客厅其他部分',
                                       `bedroom_ground` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '卧室地面',
                                       `bedroom_top` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '卧室吊顶',
                                       `bedroom_wall` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '卧室内墙',
                                       `bedroom_other` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '卧室其他部分',
                                       `bathroom_ground` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '厨卫地面',
                                       `bathroom_top` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '厨卫吊顶',
                                       `bathroom_wall` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '厨卫内墙',
                                       `bathroom_other` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '厨卫其他部分',
                                       `land_deep` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '土地开发程度',
                                       `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                       `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                       `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                       `community_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '小区名称',
                                       `building_no` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '栋号',
                                       `cert_combination` int DEFAULT NULL COMMENT '证件组合类型',
                                       `east_way` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '东至',
                                       `west_way` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '西至',
                                       `south_way` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '南至',
                                       `north_way` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '北至',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='房地产估价对象实物信息';

SET FOREIGN_KEY_CHECKS = 1;

/**
    12-20
    wucl
 */
CREATE TABLE `house_guaranty_area`  (
                                                   `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `doc_id` bigint NOT NULL COMMENT '文档id',
                                                   `tid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价对象id',
                                                   `tno` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '估价对象序号',
                                                   `lng` decimal(16, 6) NOT NULL COMMENT '经度',
                                                   `lat` decimal(16, 6) NOT NULL COMMENT '纬度',
                                                   `location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '地址',
                                                   `road` json NULL COMMENT '路网信息',
                                                   `public_transport` json NULL COMMENT '公共交通',
                                                   `park` json NULL COMMENT '停车场信息',
                                                   `business` json NULL COMMENT '商场信息',
                                                   `community` json NULL COMMENT '周边小区',
                                                   `education` json NULL COMMENT '周边学校',
                                                   `hospital` json NULL COMMENT '周边医院',
                                                   `bank` json NULL COMMENT '周边银行',
                                                   `hotel` json NULL COMMENT '周边酒店',
                                                   `spot` json NULL COMMENT '周边景区',
                                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                   `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '房地产标的物周边区位信息' ROW_FORMAT = Dynamic;


/**
  日期：2024-12-24
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate_eqpt_data ADD KEY `equipment_name` (`equipment_name`) USING BTREE;
ALTER TABLE assets_calculate_eqpt_data ADD KEY `model` (`model`) USING BTREE;
ALTER TABLE assets_calculate_eqpt_data ADD KEY `purchase_date` (`purchase_date`) USING BTREE;
ALTER TABLE assets_calculate_eqpt_data ADD KEY `activation_date` (`activation_date`) USING BTREE;

/**
  日期：2024-12-26
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate_eqpt_data ADD KEY `manufacturer` (`manufacturer`) USING BTREE;

/**
  日期：2024-12-26
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN inquiry_web VARCHAR(500) NULL COMMENT '询价网址';

/**
  日期：2024-12-28
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate_eqpt_data MODIFY COLUMN manufacturer VARCHAR(255) NULL COMMENT '生产厂家';
ALTER TABLE assets_calculate_eqpt_data MODIFY COLUMN model VARCHAR(255) NULL COMMENT '型号规格';

/**
  日期：2025-01-02
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate_eqpt_data MODIFY COLUMN book_net_value DECIMAL(11,2) NULL COMMENT '账面净值';

/**
  日期：2025-01-06
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate_eqpt_data ADD COLUMN remaining_useful_life INT(11) NULL COMMENT '尚可使用年限';

/**
  日期：2025-01-09
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE eqpt_ppi MODIFY COLUMN ppi DECIMAL(11,4) NULL COMMENT '指数值';
ALTER TABLE assets_calculate_eqpt_data MODIFY COLUMN quantity INT(11) NULL COMMENT '数量';

/**
  日期：2025-01-16
  修改人:苟耕铨
  已更新到prod
 */
ALTER TABLE assets_calculate_eqpt_data MODIFY COLUMN storage_location VARCHAR(255) NULL COMMENT '存放地点';

/**
  日期：2025-03-17
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE tmpl_asset_calculate MODIFY COLUMN tmpl_code VARCHAR(100) NULL COMMENT '模板code';
ALTER TABLE tmpl_asset_calculate_section MODIFY COLUMN tmpl_code VARCHAR(100) NULL COMMENT '模板code';
ALTER TABLE tmpl_asset_report MODIFY COLUMN tmpl_code VARCHAR(100) NULL COMMENT '模板code';
ALTER TABLE tmpl_asset_report_section MODIFY COLUMN tmpl_code VARCHAR(100) NULL COMMENT '模板code';

/**
  日期：2025-04-21
  修改人:苟耕铨
  未更新到test-env
 */
ALTER TABLE assets_calculate_eqpt_data MODIFY COLUMN evaluate_original_value DECIMAL ( 20, 2 ) NULL COMMENT '评估原值';
ALTER TABLE assets_calculate_eqpt_data MODIFY COLUMN evaluate_net_value DECIMAL(20,2) NULL COMMENT '评估净值';
ALTER TABLE assets_calculate_eqpt_data MODIFY COLUMN book_original_value DECIMAL(20,2) NOT NULL COMMENT '账面原值';
ALTER TABLE assets_calculate_eqpt_data MODIFY COLUMN book_net_value DECIMAL(20,2) NULL COMMENT '账面净值';

/**
    日期：2025-06-16
    修改人:吴长林
    未更新到test-env
 */
ALTER TABLE house_guaranty_process CHANGE base_id excel_id bigint NULL COMMENT 'excelId';
ALTER TABLE house_guaranty_process ADD COLUMN certificates_html longtext NULL COMMENT '权属信息表代码';
DROP TABLE house_guaranty_aim;
DROP TABLE house_guaranty_base;
DROP TABLE house_guaranty_target;
DROP TABLE house_target_entity;
CREATE TABLE `productivity-platform`.`house_excel_data`  (
                                                   `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `business_type` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '报告业务类型',
                                                   `doc_no` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '报告编号',
                                                   `doc_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '报告项目名称',
                                                   `consignor` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '委托人',
                                                   `owner` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '不动产权利人',
                                                   `appraiser1` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '估价师1',
                                                   `appraiser2` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '估价师2',
                                                   `appra_no1` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '估价师1注册号',
                                                   `appra_no2` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '估价师2注册号',
                                                   `doc_date` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '出具报告日期',
                                                   `value_timing` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '价值时点',
                                                   `work_method` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '评估方法',
                                                   `summary1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价对象描述1',
                                                   `summary2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价对象描述2',
                                                   `work_purpose` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '至函-估价目的',
                                                   `value_type` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '价值类型',
                                                   `expe_tip1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '特别提示1',
                                                   `expe_tip2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '特别提示2',
                                                   `expe_tip3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '特别提示3',
                                                   `expe_tip4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '特别提示4',
                                                   `expe_tip5` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '特别提示5',
                                                   `affix1` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '附件1名称',
                                                   `affix2` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '附件2名称',
                                                   `affix3` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '附件3名称',
                                                   `affix4` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '附件4名称',
                                                   `affix5` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '附件5名称',
                                                   `affix6` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '附件6名称',
                                                   `affix7` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '附件7名称',
                                                   `affix8` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '附件8名称',
                                                   `statement1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '声明1',
                                                   `statement2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '声明2',
                                                   `statement3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '声明3',
                                                   `statement4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '声明4',
                                                   `statement5` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '声明5',
                                                   `normal_assumption1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '一般假设1',
                                                   `normal_assumption2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '一般假设2',
                                                   `normal_assumption3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '一般假设3',
                                                   `normal_assumption4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '一般假设4',
                                                   `normal_assumption5` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '一般假设5',
                                                   `normal_assumption6` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '一般假设6',
                                                   `normal_assumption7` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '一般假设7',
                                                   `normal_assumption8` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '一般假设8',
                                                   `normal_assumption9` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '一般假设9',
                                                   `normal_assumption10` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '一般假设10',
                                                   `undefined_assumption1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '未定事项假设1',
                                                   `undefined_assumption2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '未定事项假设2',
                                                   `undefined_assumption3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '未定事项假设3',
                                                   `undefined_assumption4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '未定事项假设4',
                                                   `undefined_assumption5` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '未定事项假设5',
                                                   `undefined_assumption6` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '未定事项假设6',
                                                   `different_assumption1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '不相一致假设1',
                                                   `different_assumption2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '不相一致假设2',
                                                   `deficiency_assumption1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '依据不足假设1',
                                                   `deficiency_assumption2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '依据不足假设2',
                                                   `deficiency_assumption3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '依据不足假设3',
                                                   `deficiency_assumption4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '依据不足假设4',
                                                   `deficiency_assumption5` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '依据不足假设5',
                                                   `limit_condition1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '限制条件1',
                                                   `limit_condition2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '限制条件2',
                                                   `limit_condition3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '限制条件3',
                                                   `limit_condition4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '限制条件4',
                                                   `limit_condition5` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '限制条件5',
                                                   `limit_condition6` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '限制条件6',
                                                   `limit_condition7` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '限制条件7',
                                                   `limit_condition8` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '限制条件8',
                                                   `normal_explain1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '使用本报告的一般说明1',
                                                   `normal_explain2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '使用本报告的一般说明2',
                                                   `normal_explain3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '使用本报告的一般说明3',
                                                   `normal_explain4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '使用本报告的一般说明4',
                                                   `normal_explain5` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '使用本报告的一般说明5',
                                                   `normal_explain6` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '使用本报告的一般说明6',
                                                   `normal_explain7` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '使用本报告的一般说明7',
                                                   `normal_explain8` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '使用本报告的一般说明8',
                                                   `normal_explain9` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '使用本报告的一般说明9',
                                                   `expe_handle1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价中的特殊处理事项1',
                                                   `expe_handle2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价中的特殊处理事项2',
                                                   `expe_handle3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价中的特殊处理事项3',
                                                   `expe_handle4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价中的特殊处理事项4',
                                                   `consignor_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '委托人类型',
                                                   `consignor_address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '委托人住所',
                                                   `consignor_person` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '法定代表人',
                                                   `consignor_money` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '注册资本',
                                                   `credit_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '统一社会信用代码',
                                                   `target_scope` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价对象及范围',
                                                   `building_info` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '建筑物实物状况',
                                                   `land_info` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '土地实物状况',
                                                   `guaranty_info` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '担保物权状况',
                                                   `rem_info` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '用益物权状况',
                                                   `rent_info` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '租赁或占用情况',
                                                   `area_info` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价对象区位状况',
                                                   `value_timing_info` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '价值时点描述',
                                                   `value_meaning1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '价值内涵1',
                                                   `value_meaning2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '价值内涵2',
                                                   `value_meaning3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '价值内涵3',
                                                   `value_meaning4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '价值内涵4',
                                                   `gist1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价依据1',
                                                   `gist2` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价依据2',
                                                   `gist3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价依据3',
                                                   `gist4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价依据4',
                                                   `principle` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价原则',
                                                   `result1` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价结果1',
                                                   `result3` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价结果3',
                                                   `result4` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '估价结果4',
                                                   `scene_date` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '实地查勘期',
                                                   `work_date` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '估价作业期',
                                                   `pledge_value` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '已抵押担保的债权数额',
                                                   `debt_money` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '拖欠的建设工程价款',
                                                   `first_money` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '其他法定优先受偿款',
                                                   `total_money` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '合计（万元）',
                                                   `upload_user_id` bigint NOT NULL COMMENT '上传人id',
                                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                   `delete_status` bit(1) NOT NULL DEFAULT b'0' COMMENT '删除状态',
                                                   `excel_uri` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '原始excel保存路径',
                                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 110 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '房地产EXCEL原始数据' ROW_FORMAT = Dynamic;